2019-02-04  John W. Eaton  <jwe@octave.org>

	Added tag rc-5-0-91 for changeset af47f245a2ad

	Files: .hgtags

	bump version for first 5.1 release candidate

	* configure.ac (AC_INIT): Set version to 5.0.91.
	(OCTAVE_PATCH_VERSION): Now 91.
	(OCTAVE_RELEASE_DATE): Set to 2019-02-04.

	Files: configure.ac

2019-01-31  Mike Miller  <mtmiller@octave.org>

	build: support GNU bison 3.3, silence POSIX compatibility warning (bug #55613)

	* acinclude.m4 (OCTAVE_PROG_BISON): Define WARN_YFLAGS to include options to
	silence POSIX compatibility warnings from GNU bison.  Use it when testing for
	required syntax support.
	* Makefile.am (AM_YFLAGS): Include ${WARN_YFLAGS} in the list of options.

	Files: Makefile.am m4/acinclude.m4

2018-03-28  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Test hgload can handle old figure files (bug #53468)

	* struct2hdl.m: create figure invisible and set visibility afterwards
	* test/figure_files/ofig403.ofig, ofig421.ofig, ofig51.ofig: add binary figure
	  files saved from Octave 4.0.3, 4.2.1, 5.1 respectively
	* test/hgload.tst: new test file

	Files: test/figure_files/ofig403.ofig test/figure_files/ofig421.ofig
	test/figure_files/ofig51.ofig test/hgload.tst

2019-01-31  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Make sure octave-svgconvert encodes SVG documents in UTF8 (bug #55612)

	* octave-svgconvert.cc (main): Explicitely close original SVG file. Make sure
	  the output stream is encoded in UTF8.

	Files: src/octave-svgconvert.cc

2019-01-30  Rik  <rik@octave.org>

	splinefit.m: Relax tolerance of BIST tests (bug #55587).

	* splinefit.m: Relax tolerance of BIST tests from 15*eps to 20*eps.

	Files: scripts/polynomial/splinefit.m

2019-01-19  Rik  <rik@octave.org>

	datenum.m: Add warning about time zones and DST to documentation.

	* datenum.m: Add warning about time zones and DST to documentation.

	Files: scripts/time/datenum.m

2019-01-30  Rik  <rik@octave.org>

	splinefit.m: Fix typo in documentation.

	* splinefit.m: Fix typo in documentation.

	Files: scripts/polynomial/splinefit.m

2019-01-30  Torsten  <mttl@mailbox.org>

	adapt initial window sizes to the screen resolution (bug #55498)

	* main-window.cc (display_release_notes): size of release not window is
	  computed based on screen size;
	  (display_community_news): same for community news;
	  (set_window_layout): same for the whole main window

	* welcome-wizard.cc (welcome_wizard): same for the welcome wizard

	Files: libgui/src/main-window.cc libgui/src/welcome-wizard.cc

2019-01-29  Markus M?tzel  <markus.muetzel@gmx.de>

	Support opening handles to files with non-ASCII characters on Windows.

	* file-io.cc (do_stream_open): Use wrapper for fopen.

	Files: libinterp/corefcn/file-io.cc

2019-01-23  Mike Miller  <mtmiller@octave.org>

	doc: update table of obsolete functions (bug #55265)

	* obsolete.txi (Obsolete Functions): Update functions that have been moved
	to the statistics package.  Add entries for functions removed from versions
	4.2, 4.4, and the upcoming 5.1 release.

	Files: doc/interpreter/obsolete.txi

2019-01-27  Mike Miller  <mtmiller@octave.org>

	file id must not be single for textscan and other file I/O funcs (bug #55577)

	* oct-stream.cc (stream_list::get_info): Error if file id is single precision.
	(stream_list::get_file_number): Likewise.
	* file-io.cc: Ensure textscan input validation error is tested.

	Files: libinterp/corefcn/file-io.cc libinterp/corefcn/oct-stream.cc

2019-01-27  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	getframe.m: run tests with "qt" toolkit only \(bug #55528\)

	Files: scripts/image/getframe.m

2019-01-25  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Disallow recursion in drawnow for gnuplot toolkit (bug #55528)

	* graphics.cc (Fdrawnow): Revert cset 32d4ee071348.
	* __init_gnuplot__.cc (gnuplot_graphics_toolkit::redraw_figure): Prevent
	  recursion for any gnuplot terminal.

	Files: libinterp/corefcn/graphics.cc libinterp/dldfcn/__init_gnuplot__.cc

2019-01-26  Torsten  <mttl@mailbox.org>

	fix possible memleak by avoiding bare poointer (bug #55440)

	* shortcut-manager.cc (do_import_export): do not use a pointer for the
	  QSettings object that is used for importing or esporting custom shortcuts

	Files: libgui/src/shortcut-manager.cc

2019-01-26  John Donoghue  <john.donoghue@ieee.org>

	Update smart indent code for case/otherwise (Bug #55276)

	* libgui/src/m-editor/octave-qscintilla.cc:
	  (octave_qscintilla::smart_indent_line_or_selected_text, octave_qscintilla::smart_indent):
	  process case/otherwise as special case in indent

	Files: libgui/src/m-editor/octave-qscintilla.cc

2019-01-25  Rik  <rik@octave.org>

	Use 'gesvd' as default svd_driver (bug #55564).

	* svd.cc: Change default initialization of Vsvd_driver to "gesvd".
	* svd.cc (Fsvd_driver): Update documentation.

	Files: libinterp/corefcn/svd.cc

2019-01-24  John W. Eaton  <jwe@octave.org>

	* .hgignore: Undo previous change.

	Files: .hgignore

2019-01-24  Mike Miller  <mtmiller@octave.org>

	Added tag rc-5-0-90 for changeset 82865ccb62c2

	Files: .hgtags

2019-01-24  John W. Eaton  <jwe@octave.org>

	bump version for first 5.1 release candidate

	* configure.ac (AC_INIT): Set version to 5.0.90.
	(OCTAVE_PATCH_VERSION): Now 90.
	(OCTAVE_RELEASE_DATE): Set to 2019-01-24.

	Files: configure.ac

	* NEWS: Refer to version "5", not "5.0".

	Files: NEWS

	maint: Strip trailing whitespace from source files.

	* NEWS, GLCanvas.cc, dialog.cc, error.cc, ft-text-renderer.cc,
	sysdep.cc, utils.cc, pt-jit.cc, oct-rl-hist.c, makeUniqueStrings.m,
	randi.m, waitbar.m, clearvars.m, sqp.m, fplot.m, openfig.m,
	__print_parse_opts__.m, octave-svgconvert.cc: Strip trailing whitespace.

	Files: NEWS libgui/graphics/GLCanvas.cc libgui/src/dialog.cc
	libinterp/corefcn/error.cc libinterp/corefcn/ft-text-renderer.cc
	libinterp/corefcn/sysdep.cc libinterp/corefcn/utils.cc libinterp
	/parse-tree/pt-jit.cc liboctave/util/oct-rl-hist.c
	scripts/+matlab/+lang/makeUniqueStrings.m scripts/general/randi.m
	scripts/gui/waitbar.m scripts/miscellaneous/clearvars.m
	scripts/optimization/sqp.m scripts/plot/draw/fplot.m
	scripts/plot/util/openfig.m
	scripts/plot/util/private/__print_parse_opts__.m src/octave-
	svgconvert.cc

	* .hgignore: Also ignore build-aux/ar-lib.

	Files: .hgignore

	* HACKING.md: Explain release candidate version numbers.

	Files: etc/HACKING.md

2019-01-24  Rik  <rik@octave.org>

	doc: Fix typo in svd_driver docstring.

	* svd.cc (Fsvd_driver): Change "use" to "used".

	Files: libinterp/corefcn/svd.cc

2019-01-23  Mike Miller  <mtmiller@octave.org>

	maint: update library version numbers for upcoming version 5 release

	* configure.ac (OCTAVE_API_VERSION): Update to api-v53.
	* libgui/module.mk (%canon_reldir%_liboctgui_current): Update to 5.
	* libinterp/module.mk (%canon_reldir%_liboctinterp_current): Update to 7.
	* liboctave/module.mk (%canon_reldir%_%canon_reldir%_current): Update to 7.

	Files: configure.ac libgui/module.mk libinterp/module.mk
	liboctave/module.mk

	mkoctfile: restore LDFLAGS, warn only when LFLAGS used directly (bug #55447)

	* mkoctfile.in.cc: Restore the correct default value for LDFLAGS, do not
	overwrite LDFLAGS with LFLAGS.  Continue to pass LFLAGS to the linker for
	now.  Only emit a warning when explicitly using or overriding LFLAGS.

	Files: src/mkoctfile.in.cc

	javachk.m: overhaul function and doc string for compatibility with Matlab

	* javachk.m: Always return an error structure for compatibility with Matlab.
	Return a valid error structure for any unrecognized Java feature name.
	Include the optional second argument in the generated error message. Rewrite
	the doc string and BIST tests to match the new behavior.

	Files: scripts/java/javachk.m

2019-01-22  Mike Miller  <mtmiller@octave.org>

	remove references to obsolete build system variables

	* subst-config-vals.in.sh, subst-cross-config-vals.in.sh: Remove DL_LIBS,
	OSMESA_CPPFLAGS, OSMESA_LDFLAGS, and OSMESA_LIBS from the list of
	substitutions.
	* build-env.h, build-env.in.cc (octave::build_env): Remove DL_LIBS,
	OSMESA_CPPFLAGS, OSMESA_LDFLAGS, and OSMESA_LIBS variables.
	* toplev.cc (F__octave_config_info__): Remove DL_LIBS, OSMESA_CPPFLAGS,
	OSMESA_LDFLAGS, and OSMESA_LIBS from build_environment.

	Files: build-aux/subst-config-vals.in.sh build-aux/subst-cross-config-
	vals.in.sh libinterp/build-env.h libinterp/build-env.in.cc
	libinterp/corefcn/toplev.cc

2019-01-22  Rik  <rik@octave.org>

	octave.texi: Change indentation of @example blocks to 2 ems in PDF.

	* octave.texi: Use @exampleindent to set indent to 2.
	Use @c on multiple lines to comment out block of texinfo code because
	the @ignore/@end ignore macro set is not recognized by all syntax highlighters.
	Condense long @c comment from 3 lines to 2.  Add @c comment describing the
	"Chapter" section of the manual.

	Files: doc/interpreter/octave.texi

	trapz.m: Restore documentation comments lost in f6730533820e.

	* trapz.m: Restore comments about what code in @example block is doing.

	Files: scripts/general/trapz.m

2019-01-22  Mike Miller  <mtmiller@octave.org>

	doc: clean up doc example blocks for accuracy and consistent formatting

	* bitset.m, circshift.m, idivide.m, int2str.m, integral3.m, num2str.m, rat.m,
	repelem.m, shiftdim.m, structfun.m, trapz.m, condeig.m, cross.m, qzhess.m,
	computer.m, fullfile.m, orderfields.m, substruct.m, swapbytes.m, contourc.m,
	isprime.m, runlength.m, clock.m, date.m: Fix presentation and formatting of
	example block results.
	* graphics.cc (Fset): Likewise.
	* sparse.cc (Fsparse): Likewise.

	Files: libinterp/corefcn/graphics.cc libinterp/corefcn/sparse.cc
	scripts/general/bitset.m scripts/general/circshift.m
	scripts/general/idivide.m scripts/general/int2str.m
	scripts/general/integral3.m scripts/general/num2str.m
	scripts/general/rat.m scripts/general/repelem.m
	scripts/general/shiftdim.m scripts/general/structfun.m
	scripts/general/trapz.m scripts/linear-algebra/condeig.m scripts
	/linear-algebra/cross.m scripts/linear-algebra/qzhess.m
	scripts/miscellaneous/computer.m scripts/miscellaneous/fullfile.m
	scripts/miscellaneous/orderfields.m
	scripts/miscellaneous/substruct.m scripts/miscellaneous/swapbytes.m
	scripts/plot/draw/contourc.m scripts/specfun/isprime.m
	scripts/statistics/runlength.m scripts/time/clock.m
	scripts/time/date.m

	shg: fix syntax error introduced in cset b785394f10d0

	* shg.m: Delete extraneous parenthesis left over from copy/paste.

	Files: scripts/plot/util/shg.m

2019-01-22  Markus M?tzel  <markus.muetzel@gmx.de>

	ilu.m: Fix state of random number generator in BISTs.

	* ilu.m: Fix state of random number generator in BISTs and restore to previous
	state after tests.

	Files: scripts/sparse/ilu.m

2019-01-22  John W. Eaton  <jwe@octave.org>

	use @CLASS name when searching for @CLASS/METHOD (bug #55501)

	* help.cc (help_system::which): Return early if name is empty.

	* symtab.h, symtab.cc (symbol_table::find_function): Handle empty
	argument case with a separate function.
	(symbol_table::find_function (const std::string&)): New function.
	Handle @CLASS/FUNCTION case by forwarding to find_method.  Otherwise,
	call existing find_function method with empty args.

	Files: libinterp/corefcn/help.cc libinterp/corefcn/symtab.cc
	libinterp/corefcn/symtab.h

2019-01-21  Rik  <rik@octave.org>

	mkdir.m: Prevent exceeding max recursion limit on bad input (bug #55540).

	* mkdir.m: Fix documentation to use DIRNAME rather than DIR to refer to input
	argument.  Use @w{} to prevent Texinfo from breaking code block in docstring.
	Add BIST test for bug #55540.
	* mkdir.m (mkdir_recur): Check for an empty input argument parent and error
	out if true.

	Files: scripts/miscellaneous/mkdir.m

2019-01-18  Andrew Janke  <andrew@apjanke.net>

	doc: Clarify that parfor is not implemented.

	* op-kw-docs (Fparfor): Clarify that parfor is currently unimplemented.

	Files: libinterp/op-kw-docs

2019-01-21  Rik  <rik@octave.org>

	movmin.m: Change copyright assignment to Juan Pablo Carbajal.

	* movmin.m: Change copyright assignment to Juan Pablo Carbajal.

	Files: scripts/statistics/movmin.m

2019-01-21  Mike Miller  <mtmiller@octave.org>

	test: use "format short" in tests depending on output format (bug #55539)

	* pr-output.cc: Apply "format short" on evalc tests assuming short output
	display format, restore original output format.
	* oct-parse.yy: Likewise.

	Files: libinterp/corefcn/pr-output.cc libinterp/parse-tree/oct-parse.yy

2019-01-19  Markus M?tzel  <markus.muetzel@gmx.de>

	Run tests with graphics toolkit fltk only if it is available (bug #54169).

	* graphics.cc, uimenu.m, allchild.m, findall.m, graphics_toolkit.m: Check if
	  "fltk" is among the available graphics toolkits for the specific tests.

	Files: libinterp/corefcn/graphics.cc scripts/gui/uimenu.m
	scripts/plot/util/allchild.m scripts/plot/util/findall.m
	scripts/plot/util/graphics_toolkit.m

2018-06-24  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Prevent the use of FLTK toolkit on Mac when running multithreaded (bug #54169).

	* __init_fltk__.cc (PKG_ADD): Don't register fltk toolkit on Mac when GUI and
	  interpreter run in different threads.

	Files: libinterp/dldfcn/__init_fltk__.cc

2019-01-19  Markus M?tzel  <markus.muetzel@gmx.de>

	documentation: Avoid some overfull lines in the PDF manual.

	* plot.txi, cellfun.cc (Fnum2cell, Fmat2cell), circshift.m, inputdlg.m,
	  questdlg.m, uicontextmenu.m, uicontrol.m, uipanel.m, uitable.m, pkg.m,
	  erase.m, strsplit.m: Break some long lines in examples.

	* warning_ids.m: Insert sentence to get better line break.

	Files: doc/interpreter/plot.txi libinterp/corefcn/cellfun.cc
	scripts/general/circshift.m scripts/gui/inputdlg.m
	scripts/gui/questdlg.m scripts/gui/uicontextmenu.m
	scripts/gui/uicontrol.m scripts/gui/uipanel.m scripts/gui/uitable.m
	scripts/help/warning_ids.m scripts/pkg/pkg.m scripts/strings/erase.m
	scripts/strings/strsplit.m

	documentation: Slightly change figure with Voronoi diagram.

	* geometryimages.m: Omit legend that was covering a large part of the figure.
	  Use equal axis scaling to make the circle look non-elliptic.

	* geometry.txi: Reference colors in caption of figure.

	Files: doc/interpreter/geometry.txi doc/interpreter/geometryimages.m

	documentation: Replace ASCII with UTF-8 where it is more correct.

	* doc/interpreter/string.txi: Octave casts numerical values to UTF-8 instead of
	ASCII. Add reference to "unicode2native" and "native2unicode" earlier in the
	manual.

	* scripts/help/warning_ids.m: Octave casts numerical values to UTF-8 instead of
	ASCII.

	Files: doc/interpreter/strings.txi scripts/help/warning_ids.m

2019-01-18  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Avoid accumulating data in text_renderer member variable (bug #55287)

	* ft-text-renderer.cc (m_do_strlist): New data member.
	  (ft_text_renderer::text_to_strlist): Reset m_strlist before rendering.
	  Unwind protect the value of m_do_strlist and m_strlist. Set m_do_strlist true
	  prior to calling text_to_pixels.
	  (ft_text_renderer::visit (text_element_string)): Only feed the strlist when in
	  MODE_RENDER and m_do_strlist is true.
	  (ft_text_renderer::visit (text_element_symbol)): Ditto.

	Files: libinterp/corefcn/ft-text-renderer.cc

2019-01-18  Markus M?tzel  <markus.muetzel@gmx.de>

	sparse-util.cc: Fix typo in 0e77df67b522.

	Files: liboctave/util/sparse-util.cc

2019-01-17  Markus M?tzel  <markus.muetzel@gmx.de>

	Add static compile-time checking of printf functions in liboctave.

	* util/lo-error.h: Use macro OCTAVE_FORMAT_PRINTF for printf functions.

	* array/Array.h: Use format specifier "z" for type size_t.

	* array/Array-util.cc, numeric/oct-norm.cc: Supply a format string of "%s" when
	  printing a single string.

	* array/idx-vector.cc, array/MatrixType.cc, array/Sparse.cc, numeric/DASPK.cc,
	  numeric/DASRT.cc, numeric/DASSL.cc, numeric/LSODE.cc,
	  util/lo-array-errwarn.cc, util/sparse-util.cc: Use preprocessor macro
	  OCTAVE_IDX_TYPE_FORMAT as the format identifier for octave_idx_type.

	* util/f77-fcn.c: Cast width argument to int.

	* util/lo-utils.cc: Pass missing argument c0.

	Files: liboctave/array/Array-util.cc liboctave/array/Array.h
	liboctave/array/MatrixType.cc liboctave/array/Sparse.cc
	liboctave/array/idx-vector.cc liboctave/numeric/DASPK.cc
	liboctave/numeric/DASRT.cc liboctave/numeric/DASSL.cc
	liboctave/numeric/LSODE.cc liboctave/numeric/oct-norm.cc
	liboctave/util/f77-fcn.c liboctave/util/lo-array-errwarn.cc
	liboctave/util/lo-error.h liboctave/util/lo-utils.cc liboctave/util
	/sparse-util.cc

2019-01-17  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Choose "painters" renderer when printing rotated text (bug #55485)

	* __print_parse_opt__.m: Do not choose opengl renderer when some text objects
	  have angles other that multiples of 90?.

	* print.m: Document that the renderer options are only implemented for the qt
	  toolkit.

	Files: scripts/plot/util/print.m
	scripts/plot/util/private/__print_parse_opts__.m

2019-01-17  Rik  <rik@octave.org>

	Fix dead assignments found by clang static analysis (bug #55440).

	* find.cc (Ffind): Delete "direction = 0;" assignment.

	* oct-map.cc (octave_fields::equal_up_to_order): Declare, but don't bother to
	initialize retval.  If mismatch is found, return false directly to jump
	out of loop.

	* oct-stream.cc (printf_format_list::printf_format_list): Delete
	"empty_buf = false;"

	* oct-stream.cc (textscan::scan_complex): delete unnecessary call to
	is.tellg () to get pos which is never used.

	* regexp.cc (do_regexp_ptn_string_escapes): Delete "bad_esc_seq = true;".

	* ov-java.cc (unbox): Delete "found = false;".

	Files: libinterp/corefcn/find.cc libinterp/corefcn/oct-map.cc
	libinterp/corefcn/oct-stream.cc libinterp/corefcn/regexp.cc
	libinterp/octave-value/ov-java.cc

2019-01-16  Rik  <rik@octave.org>

	Fix uninitialized argument value found by clang static analysis (bug #55440).

	* dSparse.cc (bsolve): Initialize anorm to 0.0.  For consistency, initialize atmp to "0.0" rather than "0.".

	Files: liboctave/array/dSparse.cc

2019-01-16  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Fixed dash pattern when figure "__device_pixel_ratio__" is not 1 (bug #55484)

	* gl-render.cc (opengl_renderer::set_linestyle): Compute the repetition factor
	  based on m_devpixelratio.

	Files: libinterp/corefcn/gl-render.cc

2019-01-14  Tatsuro Matsuoka  <tmacchant@yahoo.co.jp>

	Japanese Translation

	Files: libgui/languages/ja_JP.ts

2019-01-16  John W. Eaton  <jwe@octave.org>

	mlock __init_qt__ function

	Files: libgui/graphics/__init_qt__.cc

	avoid crash with audioplayer and audiorecorder (bug #55254)

	* audiodevinfo.cc (get_recorder, get_player): Pass interpreter as
	argument.  Lock calling function.  Change all uses.
	(F__player_audioplayer__): Lock function.

	Files: libinterp/dldfcn/audiodevinfo.cc

2019-01-16  Rik  <rik@octave.org>

	Fix uninitialized argument value found by clang static analysis (bug #55440).

	* __glpk__.cc (glpk): Move assignment to *time outside of if statement so that
	a value is always given.

	Files: libinterp/dldfcn/__glpk__.cc

	Fix garbage return value found by clang static analysis (bug #55440).

	* History.cpp (HistoryScrollFile::startOfLine): Initialize variable "res" so
	that something valid is always returned.

	Files: libgui/qterminal/libqterminal/unix/History.cpp

	Fix dead initialization found by clang static analysis (bug #55400).

	* Range.cc (limit_internal): Don't bother to initialize "new_limit" as it is
	always assigned a value.

	Files: liboctave/array/Range.cc

2019-01-16  Torsten  <mttl@mailbox.org>

	* main-window.cc (focus_changed): prevent accessing null pointer (bug #55440)

	Files: libgui/src/main-window.cc

	fixed dead assignments in libgui (bug #55440)

	* documentation.cc (registerDoc): remove assignment just before return

	* file-editor-tab.cc (detect_eol_mode): do not update max value after last test

	* file-editor.cc (emtpy_script): do not update unused variable

	* variable-editor.cc (createColumnMenu, createRowMenu): do not update
	  unused variables

	Files: libgui/src/documentation.cc libgui/src/m-editor/file-editor-tab.cc
	libgui/src/m-editor/file-editor.cc libgui/src/variable-editor.cc

2019-01-14  Markus M?tzel  <markus.muetzel@gmx.de>

	test/bug-54995: Rename "testclass" to "testclass54995" (bug #54995).

	Files: test/bug-54995/@testclass/subsref.m
	test/bug-54995/@testclass/testclass.m
	test/bug-54995/@testclass54995/subsref.m
	test/bug-54995/@testclass54995/testclass54995.m
	test/bug-54995/bug-54995.tst test/bug-54995/module.mk

2019-01-14  Julien Bect  <jbect@users.sourceforge.net>

	libinterp/parse-tree/pt-jit.cc: comment: Fix a typo

	Files: libinterp/parse-tree/pt-jit.cc

2019-01-04  Julien Bect  <jbect@users.sourceforge.net>

	jit: Remove jit::PassManager and jit::FunctionPassManager from public API

	* libinterp/parse-tree/jit-util.h: Remove jit::PassManager and
	  jit::FunctionPassManager from public API.
	* libinterp/parse-tree/pt-jit.h: Idem.
	* libinterp/parse-tree/pt-jit.cc: Define them here.

	Files: libinterp/parse-tree/jit-util.h libinterp/parse-tree/pt-jit.cc
	libinterp/parse-tree/pt-jit.h

2019-01-03  Julien Bect  <jbect@users.sourceforge.net>

	jit: configure: Improve configure AC_CACHE_CHECK messages

	* m4/acinclude.m4: Improve configure AC_CACHE_CHECK messages.

	Files: m4/acinclude.m4

	jit: configure: Check if llvm::IRBuilder::CreateConstInBoundsGEP1_32 API

	* m4/acinclude.m4: New macro to check if
	  llvm::IRBuilder::CreateConstInBoundsGEP1_32 requires a type argument.
	* configure.ac: Call the new macro.
	* libinterp/parse-tree/pt-jit.cc: Add corresponding #if defined

	Files: configure.ac libinterp/parse-tree/pt-jit.cc m4/acinclude.m4

2019-01-02  Julien Bect  <jbect@users.sourceforge.net>

	jit: configure: Check if llvm/Bitcode/ReaderWriter.h exists

	* configure.ac: Check if llvm/Bitcode/ReaderWriter.h exists.
	* libinterp/parse-tree/pt-jit.cc: If llvm/Bitcode/ReaderWriter.h exists,
	  use it, otherwise try to load BitcodeReader.h + BitcodeWriter.h.  The
	  latter should happen n LLVM >= 4.0.

	Files: configure.ac libinterp/parse-tree/pt-jit.cc

	jit: configure: Check if llvm::createAlwaysInlinerPass exists

	* m4/acinclude.m4: New macro to check if llvm::createAlwaysInlinerPass exists.
	* configure.ac: Call the new macro.
	* libinterp/parse-tree/pt-jit.cc: Skip pass if it does not exist.

	Files: configure.ac libinterp/parse-tree/pt-jit.cc m4/acinclude.m4

2019-01-01  Julien Bect  <jbect@users.sourceforge.net>

	jit: configure: Check if llvm/Transforms/Scalar/GVN.h exists

	* configure.ac: Check if llvm/Transforms/Scalar/GVN.h exists.
	* libinterp/parse-tree/pt-jit.cc: If llvm/Transforms/Scalar/GVN.h exists,
	  we need to include it in order to use llvm::createGVNPass.

	Files: configure.ac libinterp/parse-tree/pt-jit.cc

2018-12-29  Julien Bect  <jbect@users.sourceforge.net>

	jit: configure: Check llvm::IRBuilder API

	* m4/acinclude.m4: New macro to check if llvm::IRBuilder has two template
	  arguments (or not, in which case it has three).
	* configure.ac: Call the new macro.
	* libinterp/parse-tree/jit-util.h: Adapt IRBuilderD typedef.

	Files: configure.ac libinterp/parse-tree/jit-util.h m4/acinclude.m4

2019-01-01  Julien Bect  <jbect@users.sourceforge.net>

	jit: Avoid the use of llvm::getGlobalContext, removed in LLVM 3.9

	* libinterp/parse-tree/pt-jit.h: Add a static llvm_context member in tree_jit.
	* libinterp/parse-tree/pt-jit.cc: Define and use tree_jit::llvm_context.
	* libinterp/parse-tree/jit-typeinfo.cc: Use tree_jit::llvm_context.

	Files: libinterp/parse-tree/jit-typeinfo.cc libinterp/parse-tree/pt-jit.cc
	libinterp/parse-tree/pt-jit.h

2018-12-28  Massimiliano Fasi  <massimiliano.fasi@studio.unibo.it.>

	Update Italian translation

	Files: libgui/languages/it_IT.ts libgui/languages/translators

2019-01-13  Markus M?tzel  <markus.muetzel@gmx.de>

	ov-java.cc: Fix static analyzer detected issue (bug #55464).

	* ov-java.cc (initialize_jvm): Check validity of pointer "static_locale" before
	using.

	Files: libinterp/octave-value/ov-java.cc

	lo-sysdep.cc: Fix static analyzer detected issue (bug #55464).

	* lo-sysdep.cc (putenv_wrapper): Fix use after free.

	Files: liboctave/system/lo-sysdep.cc

	Use check boxes for "uncommenting text" strings in editor properties (bug #55404).

	* settings-dialog.[cc,h]: Use check boxes instead of radio buttons for
	non-exclusive options.

	Files: libgui/src/settings-dialog.cc libgui/src/settings-dialog.h

2019-01-12  Markus M?tzel  <markus.muetzel@gmx.de>

	graphics.cc: Fix typo uncovered by clang static analyzer (bug #55440).

	* graphics.cc (axes::properties::update_looseinset): Fix typo.

	Files: libinterp/corefcn/graphics.cc

	oct-rl-hist.c: Fix static analyzer detected issues (bug #55440).

	* oct-rl-hist.c (octave_history_list): Calculate size of memory for malloc with
	correct type.

	Files: liboctave/util/oct-rl-hist.c

2019-01-12  Guillaume Flandin  <guillaume.offline@gmail.com>

	test for bug #54995

	* test/bug-54995/module.mk, test/bug-54995/@testclass/subsref.m,
	test/bug-54995/@testclass/testclass.m, test/bug-54995/bug-54995.tst:
	New files.

	* test/module.mk: Update.

	Files: test/bug-54995/@testclass/subsref.m
	test/bug-54995/@testclass/testclass.m test/bug-54995/bug-54995.tst
	test/bug-54995/module.mk test/module.mk

2019-01-12  John W. Eaton  <jwe@octave.org>

	Backed out changeset 920a4ad8043b (bug #54995)

	Files: libinterp/octave-value/ov-base.cc libinterp/octave-value/ov-base.h
	libinterp/octave-value/ov-class.cc libinterp/octave-value/ov-
	classdef.cc

2019-01-11  Andrew Janke  <andrew@apjanke.net>

	Change EOL format label from "Mac (CR)" to "Legacy Mac (CR)" in GUI

	Files: libgui/languages/be_BY.ts libgui/languages/ca_ES.ts
	libgui/languages/de_DE.ts libgui/languages/en_US.ts
	libgui/languages/es_ES.ts libgui/languages/eu_ES.ts
	libgui/languages/fr_FR.ts libgui/languages/it_IT.ts
	libgui/languages/ja_JP.ts libgui/languages/lt_LT.ts
	libgui/languages/nl_NL.ts libgui/languages/pt_BR.ts
	libgui/languages/pt_PT.ts libgui/languages/ru_RU.ts
	libgui/languages/uk_UA.ts libgui/languages/zh_CN.ts
	libgui/src/m-editor/file-editor.cc libgui/src/settings-dialog.ui

2019-01-12  Torsten  <mttl@mailbox.org>

	updated translator and contributor file

	* libgui/languages/trnaslators: updated new and leaving trnaslators
	* doc/interpreter/contributors.in: added a former translator

	Files: doc/interpreter/contributors.in libgui/languages/translators

2019-01-11  Torsten  <mttl@mailbox.org>

	fix crash of gui when too many files are opened (bug #49736)

	* file-editor-tab.cc (update_lexer_settings): check if apis files for auto completion
	  can be opened before using them for the current lexer

	Files: libgui/src/m-editor/file-editor-tab.cc

2019-01-11  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Don't use C++ callback to notify close request from Qt Figures (bug #54187)

	* Figure.h/cc (Figure::close_figure_callback): Remove callback.
	  (Figure::eventNotifyBefore): Use gh_manager::post_callback rather than
	  octave_link::post_event to notify that a figure should be closed.

	* graphics.in.h (graphics_event::create_mcode_event): New static function.

	* graphics.cc (mcode_event): New class to handle direct mcode evaluation.
	  (gh_manager::do_post_callback): For "closerequestfcn" callback, create an
	  mcode_event and use the "close" function to make the figure current before
	  evaluating the actual closerequestfcn.

	Files: libgui/graphics/Figure.cc libgui/graphics/Figure.h
	libinterp/corefcn/graphics.cc libinterp/corefcn/graphics.in.h

	Allow any object to be the root "callbackobject" (bug #55428)

	* graphics.cc (base_properties::update_handlevisibility): Don't prevent objects
	  with "handlevisibility" = "off" from being the root "callbackobject"
	  (do_execute_callback): Don't prevent objects with "handlevisibility" = "off"
	  from becoming the root "callbackobject". Rework BIST associated to the
	  previous behavior.

	Files: libinterp/corefcn/graphics.cc

2019-01-10  Markus M?tzel  <markus.muetzel@gmx.de>

	Use LF as default EOL character on MacOS.

	* file-editor-tab.cc (detect_eol_mode, new_file), settings_dialog.cc:
	  Remove special case for MacOS.

	Files: libgui/src/m-editor/file-editor-tab.cc libgui/src/settings-dialog.cc

	qr.cc: Fix state of random number generator in BISTs (bug #55421).

	* qr.cc: Fix state of random number generator in BISTs.

	Files: libinterp/dldfcn/qr.cc

2019-01-10  Mike Miller  <mtmiller@octave.org>

	silence unused parameter compiler warnings when building without FFTW

	* CNDArray.cc (ComplexNDArray::fourier, ComplexNDArray::ifourier): Use
	octave_unused_parameter to silence compiler warnings when building without FFTW.
	* dNDArray.cc (NDArray::fourier, NDArray::ifourier): Likewise.
	* fCNDArray.cc (FloatComplexNDArray::fourier, FloatComplexNDArray::ifourier):
	Likewise.
	* fNDArray.cc (FloatNDArray::fourier, FloatNDArray::ifourier): Likewise.

	Files: liboctave/array/CNDArray.cc liboctave/array/dNDArray.cc
	liboctave/array/fCNDArray.cc liboctave/array/fNDArray.cc

2019-01-10  Kai T. Ohlhus  <k.ohlhus@gmail.com>

	doc: Remove orphaned documentation for deprecated keyword "static" (bug #55434).

	* libinterp/op-kw-docs: Remove documentation for keyword "static", deprecated
	in Octave 3.8 and removed in Octave 4.0.  Thus two major releases ago, maybe
	forgotten already.

	Files: libinterp/op-kw-docs

2019-01-09  Rik  <rik@octave.org>

	betainc.m: Relax tolerance of BIST test to pass on Solaris (bug #54383).

	* betainc.m: Relax tolerance for BIST test of bug #54383 to -7e-14.

	Files: scripts/specfun/betainc.m

2019-01-09  John W. Eaton  <jwe@octave.org>

	avoid double free of lexer on exit (bug #55347)

	* parse.h (parser::parser): Accept pointer to lexer object instead of
	reference.  Comment to state that lexer object must be allocated by
	new and will be deleted by the parser destructor.

	* pt-eval.cc (tree_evaluator::repl): Construct parser using pointer to
	lexer.  Don't delete lexer object.
	(tree_evaluator::repl, tree_evaluator::eval_string): Avoid confusing
	"parser parser" declaration by renaming parser objects to be
	repl_parser and eval_parser, respectively.

	Files: libinterp/parse-tree/parse.h libinterp/parse-tree/pt-eval.cc

2019-01-09  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Fix error when performing autoscale from Qt figures (bug #54920)

	* Canvas.cc (autoscale_axes): Clear zoom stack without performing unzoom before.

	Files: libgui/graphics/Canvas.cc

2019-01-08  Rik  <rik@octave.org>

	pt-eval.cc: Fix static analyzer detected issues (bug #55347).

	* pt-eval.cc (tree_evaluator::repl): Free memory in variable "lxr" created by
	new.

	Files: libinterp/parse-tree/pt-eval.cc

	oct-rl-edit.c: Fix static analyzer detected issues (bug #55347).

	* oct-rl-edit.c (OCTAVE_RL_SAVE_STRING): Check validity of "ss" pointer before
	calling strcpy.

	Files: liboctave/util/oct-rl-edit.c

	lo-sysinfo.cc: Fix static analyzer detected issues (bug #55347).

	* lo-sysinfo.cc (blas_version): Eliminate unnecessary code for first assignmet
	to retval.

	Files: liboctave/system/lo-sysinfo.cc

	lo-sysdep.cc: Fix static analyzer detected issues (bug #55347).

	* lo-sysdep.cc (putenv_wrapper): Check validity of pointer "new_item" before
	using.

	Files: liboctave/system/lo-sysdep.cc

	fDiagMatrix.cc: Fix static analyzer detected issues (bug #55347).

	* fDiagMatrix.cc (FloatDiagMatrix::row (octave_idx_type)): Delete useless
	check on "r > c".
	* fDiagMatrix.cc (FloatDiagMatrix::row (char *s)): Get first character
	with "s[0]" rather than "*s".
	* fDiagMatrix.cc (FloatDiagMatrix::column (octave_idx_type)): Delete useless
	check on "r < c".
	* fDiagMatrix.cc (FloatDiagMatrix::column (char *s)): Get first character
	with "s[0]" rather than "*s".

	Files: liboctave/array/fDiagMatrix.cc

	fCDiagMatrix.cc: Fix static analyzer detected issues (bug #55347).

	* fCDiagMatrix.cc (FloatComplexDiagMatrix::row (octave_idx_type)): Delete useless
	check on "r > c".
	* fCDiagMatrix.cc (FloatComplexDiagMatrix::row (char *s)): Get first character
	with "s[0]" rather than "*s".
	* fCDiagMatrix.cc (FloatComplexDiagMatrix::column (octave_idx_type)): Delete useless
	check on "r < c".
	* fCDiagMatrix.cc (FloatComplexDiagMatrix::column (char *s)): Get first character
	with "s[0]" rather than "*s".

	Files: liboctave/array/fCDiagMatrix.cc

	dDiagMatrix.cc: Fix static analyzer detected issues (bug #55347).

	* dDiagMatrix.cc (DiagMatrix::row (octave_idx_type)): Delete useless
	check on "r > c".
	* dDiagMatrix.cc (DiagMatrix::row (char *s)): Get first character
	with "s[0]" rather than "*s".
	* dDiagMatrix.cc (DiagMatrix::column (octave_idx_type)): Delete useless
	check on "r < c".
	* dDiagMatrix.cc (DiagMatrix::column (char *s)): Get first character
	with "s[0]" rather than "*s".

	Files: liboctave/array/dDiagMatrix.cc

	CDiagMatrix.cc: Fix static analyzer detected issues (bug #55347).

	* CDiagMatrix.cc (ComplexDiagMatrix::row (octave_idx_type)): Delete useless
	check on "r > c".
	* CDiagMatrix.cc (ComplexDiagMatrix::row (char *s)): Get first character
	with "s[0]" rather than "*s".
	* CDiagMatrix.cc (ComplexDiagMatrix::column (octave_idx_type)): Delete useless
	check on "r < c".
	* CDiagMatrix.cc (ComplexDiagMatrix::column (char *s)): Get first character
	with "s[0]" rather than "*s".

	Files: liboctave/array/CDiagMatrix.cc

	pr-output.cc: Fix static analyzer detected issues (bug #55347).

	* pr-output.cc (make_real_format): Remove never executed code for inf_or_nan.
	* pr-output.cc (make_real_matrix_format): Remove never executed code for
	inf_or_nan.
	* pr-output.cc (make_complex_format): Remove never executed code for
	inf_or_nan.
	* pr-output.cc (make_complex_matrix_format): Remove never executed code for
	inf_or_nan.
	* pr-output.cc (octave_print_matrix_internal): Remove useless test on
	"j < lim".
	* pr-output.cc (octave_print_diag_matrix_internal): Remove useless test on
	"j < lim".
	* pr-output.cc (print_nd_array): Remove useless test on "i < m".
	* pr-output.cc (octave_print_internal): Remove useless test on "j < lim" and on
	"i < m".

	Files: libinterp/corefcn/pr-output.cc

	oct-stream.cc: Fix static analyzer detected issues (bug #55347).

	* oct-stream.cc (scanf_format_list::finish_conversion): Pass width by value,
	not reference.
	* oct-stream.cc (printf_format_list::printf_format_list): Pass argument to
	process_conversion in the correct order of "modifier", "type" (accidentally
	reversed, but apparently no error).
	* oct-stream.cc (textscan_format_list::finish_conversion): Pass width, prec,
	and bitwidth argument by value rather than reference.
	* oct-stream.cc (textscan_format_list::read_first_row): Remove unneeded
	variable progress.
	* oct-stream.cc (textscan::do_scan): Enclose expression that is the subject of
	+= operator in parentheses for clarity.
	* oct-stream.cc (textscan::read_double): Remove three useless test on
	"width_left".

	Files: libinterp/corefcn/oct-stream.cc

	ls-hdf5.cc: Fix static analyzer detected issues (bug #55347).

	* ls-hdf5.cc (save_hdf5_empty): Remove useless comparison to ">= 0".

	Files: libinterp/corefcn/ls-hdf5.cc

2019-01-08  Torsten  <mttl@mailbox.org>

	* pt_BR.ts: updated translation by Felipe G. Nievinski

	Files: libgui/languages/pt_BR.ts

	improve full text search in documentation browser

	* documentation.cc (global_search): use m_internal_search for storing the
	  query string;
	  (global_search_finished): make a copy of m_internal_search for the full
	  text search in the found help text, use show_search_result_clicked for
	  opening the first search result;
	  (handle_search_result_clicked): if search string is not found in help
	  text, go to the top of the page

	* documentation.h: fix parameter of show_single_result signal

	Files: libgui/src/documentation.cc libgui/src/documentation.h

2019-01-08  Rik  <rik@octave.org>

	pt-assign.cc: Fix static analyzer detected issues (bug #55347).

	* pt-assign.cc (tree_simple_assignment::tree_simple_assignment):
	Initialize m_ans_assign in constructor.

	Files: libinterp/parse-tree/pt-assign.cc

	__eigs__.cc: Fix static analyzer detected issues (bug #55347).

	* __eigs__.cc (F__eigs__): Check that "issym", "isreal", and "cholB" are all
	scalars before converting to boolean with xbool_value.

	* eigs.m: Update BIST tests to use a boolean value for cholB input.

	Files: libinterp/dldfcn/__eigs__.cc scripts/sparse/eigs.m

2019-01-07  Rik  <rik@octave.org>

	dot.cc: Fix static analyzer detected issues (bug #55347).

	* dot.cc (get_red_dims): Reverse order of assignment of z(i) and tmp_k to match
	other sections of code.
	* dot.cc (get_blkmm_dims): Surround expressions with parentheses for clarity.
	Remove unnecessary instance of "match" in logical expression.

	Files: libinterp/corefcn/dot.cc

2019-01-07  Mike Miller  <mtmiller@octave.org>

	build: add custom silent rule tags for jar and javac

	* scripts/java/module.mk (OCT_V_JAR, OCT_V_JAVAC): Define and use custom
	silent build rule variables for the javac compiler and jar tool.

	Files: scripts/java/module.mk

	test: use workaround to allow pkg.tst to pass in 'make distcheck' (bug #53578)

	* pkg.tst: Ensure temporary pkg prefix directory is writeable before attempting
	to uninstall packages.  This is a temporary hack that uses recursive chmod to
	work around the real issue to allow the tests to pass.

	Files: test/pkg/pkg.tst

	allow printd to work when the current directory is not writeable

	* printd.m: Use tempdir when creating temporary files.  Use a temporary file
	in BIST test and use unwind_protect to clean up safely.  Modify demo to use
	type and unlink instead of cat and delete.

	Files: scripts/plot/util/printd.m

2019-01-07  Rik  <rik@octave.org>

	cmd-edit.cc: Fix static analyzer detected issues (bug #55347).

	* cmd-edit.cc (looks_like_filename): Check pointer 'f' validity before using.
	* cmd-edit.cc (gnu_readline::command_generator, gnu_readline::command_quoter,
	gnu_readline::command_dequoter): Check pointer "retval" validity before using.
	* cmd-edit.cc (gnu_readline::command_completer): Declare and assign "matches"
	in one statement.
	* cmd-edit.cc (command_editor::do_decode_prompt_string): Replace final "else if"
	in if/else if tree with just "else".

	Files: liboctave/util/cmd-edit.cc

	__magick_read__.cc: Fix static analyzer detected issues (bug #55347).

	* __magick_read__.cc (maybe_initialize_magick): Check "locale" C string is not
	null before using it in constructor of C++ string.

	Files: libinterp/corefcn/__magick_read__.cc

	Fix memory leak in mkoctfile.

	* mkoctfile.in.cc (tmp_objfile_name): Use delete to free memory created with
	new.

	Files: src/mkoctfile.in.cc

2019-01-07  John W. Eaton  <jwe@octave.org>

	avoid possible crash while executing readline hook function (bug #55391)

	* cmd-edit.cc (command_editor::startup_handler,
	command_editor::pre_input_handler): Iterate over copy of the set of
	hook functions to avoid problems if a hook function
	attempts to remove itself from the set.

	Files: liboctave/util/cmd-edit.cc

2019-01-07  Mike Miller  <mtmiller@octave.org>

	restore default history file timestamp (bug #55329)

	* oct-hist.cc (history_system::history_system): Set the default history
	timestamp format string.

	Files: libinterp/corefcn/oct-hist.cc

2019-01-07  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Consistently notify uicontrol "style" property changes (bug #55368)

	* graphics.cc (uicontrol::properties::set_style): Notify the "style" property
	  change, whatever the style.

	Files: libinterp/corefcn/graphics.cc

2019-01-07  John W. Eaton  <jwe@octave.org>

	don't increment line number twice when parsing continuation markers

	* lex.ll (<COMMAND_START>(\.\.\.){ANY_EXCEPT_NL}*{NL}): Don't set line
	and column info twice (it is already done by
	HANDLE_STRING_CONTINUATION).

	Files: libinterp/parse-tree/lex.ll

2019-01-06  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Fix regression in uicontrol "style" property handling (bug #55368).

	* graphics.cc (uicontrol::properties::set_style): Fix the "value" property of
	  popupmenu and listbox objects before notifying the toolkit of the style change

	Files: libinterp/corefcn/graphics.cc

2018-12-29  John Donoghue  <John Donoghue>

	Allow indent of mid block keywords (#55276)

	* libgui/src/m-editor/octave-qscintilla.cc
	  (octave_qscintilla::smart_indent):
	    add unwind_protect_cleanup, case and otherwise to mid block keys,
	  (octave_qscintilla::smart_indent_line_or_selected_text):
	    add processing of mid block keys

	Files: libgui/src/m-editor/octave-qscintilla.cc

2019-01-07  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Fix memory leak with FT_Glyph objects (bug #55287)

	* ft-text-renderer.cc (ft_text_renderer::process_character): Call FT_Done_Glyph
	  after we are done with a loaded glyph.
	  (ft_text_renderer::ft_text_renderer): Initialize line_xoffset as per PVS
	  analyzer notice.

	Files: libinterp/corefcn/ft-text-renderer.cc

2019-01-06  Rik  <rik@octave.org>

	Array-d.cc, Array-f.cc: Fix static analyzer detected issues (bug #55347).

	* Array-d.cc, Array-f.cc (issorted): Replace final
	"else if (mode == ASCENDING)" with just "else" in if/else if tree.

	Files: liboctave/array/Array-d.cc liboctave/array/Array-f.cc

	regexp.cc: Fix static analyzer detected issues (bug #55347).

	* regexp.cc (octregexp): Declare variable arg_used as type bool, not int.

	Files: libinterp/corefcn/regexp.cc

	uniconv-wrappers.c: Fix static analyzer detected issues (bug #55347).

	* uniconv-wrappers.c (u8_from_wchar, u8_to_wchar): Check for valid pointer from
	malloc before proceeding.

	Files: liboctave/wrappers/uniconv-wrappers.c

2019-01-06  Mike Miller  <mtmiller@octave.org>

	build: populate $(OCT_FILES) to restore 'make uninstall' functionality

	* libgui/graphics/module.mk (OCT_FILES): Append $(GRAPHICS_OCT_FILES) to the
	list.
	* libinterp/dldfcn/config-module.awk (OCT_FILES): Append $(DLDFCN_OCT_FILES)
	to the list.

	Files: libgui/graphics/module.mk libinterp/dldfcn/config-module.awk

	maint: move simple fixed test scripts up a level

	* bug-45969.tst: Move from test/bug-45969 to test, delete associated module.mk.
	* bug-45972.tst: Likewise.
	* bug-55308.tst: Likewise.
	* bug-55321.tst: Likewise.
	* bug-55322.tst: Likewise.
	* test/module.mk (TEST_FILES): Include relocated test scripts in the list.

	Files: test/bug-45969.tst test/bug-45969/bug-45969.tst
	test/bug-45969/module.mk test/bug-45972.tst
	test/bug-45972/bug-45972.tst test/bug-45972/module.mk
	test/bug-55308.tst test/bug-55308/bug-55308.tst
	test/bug-55308/module.mk test/bug-55321.tst
	test/bug-55321/bug-55321.tst test/bug-55321/module.mk
	test/bug-55322.tst test/bug-55322/bug-55322.tst
	test/bug-55322/module.mk test/module.mk

	mkoctfile: use OCTAVE_VERSION instead of VERSION for API consistency

	* mkoctfile.cc (initialize): Use OCTAVE_VERSION variable name to be consistent
	with the Octave C++ and interpreter API.  Include it in the usage message.
	* mkoctfile.1: Include OCTAVE_VERSION in the list of variables, remove VERSION.
	* mkoctfile.m: Likewise.

	Files: doc/interpreter/mkoctfile.1 scripts/miscellaneous/mkoctfile.m
	src/mkoctfile.in.cc

2019-01-06  Rik  <rik@octave.org>

	mx-inlines.cc: Fix static analyzer detected issues (bug #55347).

	* mx-inlines.cc (OP_RED_SUMSQ): Put parentheses around every expansion of "el"
	in macro.

	Files: liboctave/operators/mx-inlines.cc

2019-01-06  Markus M?tzel  <markus.muetzel@gmx.de>

	Table.cc (Table::updateEnable): Do not invert enabled status (bug #55403).

	Files: libgui/graphics/Table.cc

2019-01-02  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Don't use C++ callbacks to notify position changes from Qt figures (bug #48519)

	* Figure.cc (Figure::updateBoundingBox): Use gh_manager::post_set to trigger
	  the figure (outer)position change.

	* graphics.h/cc (figure::properties::bbox2position): New public method.
	  (figure::properties::set_boundingbox): Make use of bbox2position.
	  (set_event::m_redraw_figure): New data member.
	  (set_event::set_event, gh_manager::post_set): New signature including
	  redraw_figure argument. Change set_event calls accordingly.
	  (set_event::execute): For figure position and outerposition properties,
	  directly call figure::properties::set_xxx instead of xxx::set. Redraw figure
	  if necessary.

	Files: libgui/graphics/Figure.cc libgui/graphics/Figure.h
	libinterp/corefcn/graphics.cc libinterp/corefcn/graphics.in.h

2019-01-06  Markus M?tzel  <markus.muetzel@gmx.de>

	Use facealpha for surface objects with uniform facecolor and lighting (bug #55384).

	* gl-render.cc (opengl_renderer::draw_surface): Apply facealpha value to all
	facecolor modes also with lighting.

	Files: libinterp/corefcn/gl-render.cc

	Table.cc: Fix static analyzer detected issues (bug #55347).

	* Table.cc (attempt_type_conversion): Fix lifetime issue by storing C++ string
	  in variable. Use portable format identifiers for int64_t and uint64_t.

	Files: libgui/graphics/Table.cc

	Avoid heap-buffer-overflow with facenormals on surface edges (bug #48519).

	* gl-render.cc (opengl_renderer::draw_surface): Use facenormals of pen-ultimate
	  grid row and column for last grid row and column.

	Files: libinterp/corefcn/gl-render.cc

	Avoid heap-buffer-overflow with patch graphics objects (bug #55400).

	* graphics.cc (patch::properties::update_data): Check size before indexing
	  array.

	Files: libinterp/corefcn/graphics.cc

	Wrong facenormals of surface objects if xdata or ydata are vectors.

	* graphics.cc (surface::properties::update_face_normals): Increase indices for
	  zdata.

	Files: libinterp/corefcn/graphics.cc

2019-01-05  Rik  <rik@octave.org>

	Fix compilation error in 73ce195bf66e.

	* ls-oct-text.cc (save_three_d): Ask compiler to explicitly convert stream to
	bool value.

	Files: libinterp/corefcn/ls-oct-text.cc

	oct-rl-hist.c: Fix static analyzer detected issues (bug #55347).

	* oct-rl-hist.c (octave_history_list): Check validity of C pointers before
	using.

	Files: liboctave/util/oct-rl-hist.c

	ls-oct-text.cc: Fix static analyzer detected issues (bug #55347).

	* ls-oct-text.cc (save_three_d): Eliminate useless bool variable "fail".

	Files: libinterp/corefcn/ls-oct-text.cc

	ls-mat5.cc: Fix static analyzer detected issues (bug #55347).

	* ls-mat5.cc (save_mat5_array_length): Remove useless test "nel > 0".
	* ls-mat5.cc (save_mat5_element_length): Remove useless test "6 > max_namelen".

	Files: libinterp/corefcn/ls-mat5.cc

	ls-mat-ascii.cc: Fix static analyzer detected issues (bug #55347).

	* ls-mat-ascii.cc (read_mat_ascii_data): Remove useless check on
	"(nr < 1 || nc < 1)" and re-indent code.

	Files: libinterp/corefcn/ls-mat-ascii.cc

2019-01-05  Torsten  <mttl@mailbox.org>

	fix utilize pointer before verifying in find dialog (bug #55347)

	* find-dialog.cc (find_dialog): test _edit_area against nullptr before use;
	  (handle_selection_changed): dito;
	  (find): immediately return if _edit_area is the nullptr and remove other
	  tests that were alreday existing in this methods;
	  (do_replace): test _edit_area against nullptr before use;

	Files: libgui/src/m-editor/find-dialog.cc

	Fix static analyzer detected issues in octave-qt-link (bug #55347)

	* octave-qt-link.cc (ctor): fix missing initialization of class members

	Files: libgui/src/octave-qt-link.cc

	default geometry of floating widgets not exactly in upper left corner (bug #53207)

	* octave-dock-widget.cc (handle_settings): add a small offset to upper left corner
	  of default floating widget geometry for leaving space for window decorations

	Files: libgui/src/octave-dock-widget.cc

2019-01-05  Rik  <rik@octave.org>

	pt-eval.cc: Fix static analyzer detected issues (bug #55347).

	* pt-eval.cc (tree_evaluator::visit_try_catch_command):
	Remove useless condition "if (catch_code)" which is always true.

	Files: libinterp/parse-tree/pt-eval.cc

	lex.ll: Fix static analyzer detected issues (bug #55347).

	* lex.ll: Use "unsigned int" as the correct resulting variable for "%o" and
	"%x" sscanf conversions.

	Files: libinterp/parse-tree/lex.ll

	maint: small indentation changes for readability.

	* ov-classdef.cc, ov-fcn-handle.cc: small indentation changes for readability.

	Files: libinterp/octave-value/ov-classdef.cc libinterp/octave-value/ov-fcn-
	handle.cc

	Sparse.cc: Fix static analyzer detected issues (bug #55347).

	* Sparse.cc (diag): Eliminate finale "else if" in if/else if tree and replace
	with else.

	Files: liboctave/array/Sparse.cc

	maint: merge stable to stable to fix issues after lack of repo connectivity.

	Files: 

2019-01-04  Rik  <rik@octave.org>

	Fix static analyzer detected issues with UNSORTED enum (bug #55347).

	* ov-range.h (is_sorted_rows): Replace test on mode with (mode == UNSORTED).

	* Array-d.cc (issorted): Replace test on mode with (mode == UNSORTED).
	Replace test on !mode with (mode == UNSORTED).

	* Array-f.cc (issorted): Replace test on mode with (mode == UNSORTED).
	Replace test on !mode with (mode == UNSORTED).

	* Range.cc (issorted): Replace test on mode with (mode == UNSORTED).

	Files: libinterp/octave-value/ov-range.h liboctave/array/Array-d.cc
	liboctave/array/Array-f.cc liboctave/array/Range.cc

	text-renderer.h: Fix static analyzer detected issues (bug #55347).

	* text-renderer.h (string (const string& s)): Initialize z data member from s.
	* text-renderer.h (string operator =): Initialize z data member.

	Files: libinterp/corefcn/text-renderer.h

	lo-specfun.cc: Fix static analyzer detected issues (bug #55347).

	* lo-specfun.cc (ellipj): Change for loop to avoid funny syntax confusing
	static analyzer.  Use in-place multiplication *= for potential performance
	increase.

	Files: liboctave/numeric/lo-specfun.cc

	token.cc: Fix static analyzer detected issues (bug #55347).

	* token.cc (~token): Use if/else if tree for mutually exclusive options.

	Files: libinterp/parse-tree/token.cc

	oct-builtin.h: Fix static analyzer detected issues (bug #55347).

	* ov-builtin.h (octave_builtin (void)): Initialize member variable 'm' to
	nullptr.

	Files: libinterp/octave-value/ov-builtin.h

	lo-utils.cc: Fix static analyzer detected issues (bug #55347).

	* lo-utils.cc (octave_fgets): Check validity of pointers before using and call
	current_liboctave_error_handler to exit if necessary.

	Files: liboctave/util/lo-utils.cc

	mex.cc: Fix static analyzer detected issues (bug #55347).

	* mex.cc (realloc): Call all functions which use input "ptr" BEFORE call to
	std::realloc so as not to confuse static analyzer about the potential
	validity of "ptr".

	Files: libinterp/corefcn/mex.cc

	randgamma.cc: Fix static analyzer detected issues (bug #55347).


	* randgamma.cc (rand_gamma): Use parentheses around expression that is the
	subject of =* operator so that order of execution is not in question.

	Files: liboctave/numeric/randgamma.cc

	oct-rand.cc: Fix static analyzer detected issues (bug #55347).

	* oct-rand.cc (force_to_fit_range): Delete second (hi > lo) test in the same
	conditional.

	Files: liboctave/numeric/oct-rand.cc

	MatrixType.cc: Fix static analyzer detected issues (bug #55347).

	* MatrixType.cc (matrix_complex_probe): Replace final "else if" with just
	"else" since it is guaranteed to be true.

	Files: liboctave/array/MatrixType.cc

	variables.cc: Fix static analyzer detected issues (bug #55347).

	* variables.cc (extract_function): Declare and assign *retval in one statement.
	* variables.cc (Fclear): Call do_clear_variables() with the correct 4th
	parameter when no arguments to clear() are given.

	Files: libinterp/corefcn/variables.cc

	syminfo.cc: Fix static analyzer detected issues (bug #55347).

	* syminfo.cc (symbol_info::display_line): Delete unreachable code.
	* syminfo.cc (symbol_info_list::print_descriptor): Delete useless secondary
	check on "param.modifer == 'c'" and re-indent code.
	* syminfo.cc (symbol_info_list::parse_whos_line_format): Delete useless
	variable error_encountered.

	Files: libinterp/corefcn/syminfo.cc

	bitfcns.cc: Fix static analyzer detected issues (bug #55347).

	* bitfcns.cc (Fbitshift): Delete useless test for nbits < 1.

	Files: libinterp/corefcn/bitfcns.cc

	mkoctfile.in.cc: Fix static analyzer detected issues (bug #55347).

	* mkoctfile.in.cc: Within link_stand_alone block, define octave_libs variable
	to "OCTAVE_LIBS".  Also, add "-LOCTLIBDIR" to cmd string for stand-alone linking.
	For normal linking, only define octave_libs variable for non-Linux platforms.

	Files: src/mkoctfile.in.cc

2019-01-05  Markus M?tzel  <markus.muetzel@gmx.de>

	gl-render.cc (draw_axes_x_grid): Fix copy & paste error (bug #55390).

	Files: libinterp/corefcn/gl-render.cc

	file-editor-tab.cc: Revert accidental change in 1e3c42fbf4d3.

	Files: libgui/src/m-editor/file-editor-tab.cc

2019-01-04  Torsten  <mttl@mailbox.org>

	only reset floating geometry of dock widget when not visible (bug #53207)

	* octave-dock-widget.cc: update mail address in copyright notice;
	  (handle_settings): compute default floating size based on geometry of
	  screen of the main window, test if restored geometry is on a screen, if
	  not, use default size

	Files: libgui/src/octave-dock-widget.cc

2019-01-04  Rik  <rik@octave.org>

	dynamic-ld.cc: Fix static analyzer detected issues (bug #55347).

	* dynamic-ld.cc (dynamic_loader::load_mex): Declare and initialize *function in
	one statement.  Move error validation ahead of normal code.

	* dynamic-ld.cc (remove_mex): Delete duplicate code and simply call
	remove_oct() function.

	Files: libinterp/corefcn/dynamic-ld.cc

	getopt-wrapper.c: Fix static analyzer detected issues (bug #55347).

	* getopt-wrapper.c: Check result of malloc.  If there is not enough memory even
	to start Octave then abort.

	Files: liboctave/wrappers/getopt-wrapper.c

	lo-ieee.cc: Fix static analyzer detected issues (bug #55347).

	* lo-ieee.cc (octave_ieee_init): Use static keyword on initialized variable so
	that init code is executed just once.

	Files: liboctave/util/lo-ieee.cc

2018-12-30  Mike Miller  <mtmiller@octave.org>

	rewrite eval_string wrappers to silence deprecation warnings (bug #55266)

	* oct-parse.yy, parse.h (eval_string): Rewrite eval_string deprecation wrapper
	functions from Octave 4.4 to use octave::interpreter::eval_string.

	Files: libinterp/parse-tree/oct-parse.yy libinterp/parse-tree/parse.h

2019-01-03  Rik  <rik@octave.org>

	Use LDFLAGS for mkoctfile linker flags (bug #48678).

	* NEWS: Announce deprecation of LFLAGS.

	* mkoctfile.in.cc: Rename variable DEFAULT_LFLAGS to DEFAULT_LDFLAGS.
	Add FIXME notes everywhere LFLAGS code remains that state it should
	be deleted in Octave 7.0.  Initialize vars["LDFLAGS"] from environment
	variable or DEFAULT_LDFLAGS.  Initialize vars["LFLAGS"] from environment
	variable or DEFAULT_LDFLAGS.  Remove LFLAGS from help_msg variable.
	Change all warning to appear on std::cerr.  Issue deprecation warning
	if '-print' option is given for LFLAGS variable.  At link stage,
	issue a warning if LFLAGS is different from LDFLAGS, but override
	LDFLAGS with LFLAGS for backwards compatibility.  Change link command
	to us LDFLAGS variable.

	Files: NEWS src/mkoctfile.in.cc

2019-01-03  Mike Miller  <mtmiller@octave.org>

	maint: include missing test directories in build system

	* test/module.mk: Include missing test directory makefile snippets.

	Files: test/module.mk

2019-01-03  Rik  <rik@octave.org>

	graphics.cc: Fix static analyzer detected issues (bug #55347).

	* graphics.cc (validate_property_name): Replace final
	"else if (num_matches == 1)" with just else.
	* graphics.cc (reparent): Do declaration and initialization of graphics_handle
	h in one statement.
	* graphics.cc (set_parent):  Do declaration and initialization of graphics_handle
	new_parent in one statement.
	* graphics.cc (axes::properties::update_camera): Don't initialize x_normrender
	as it will be assigned later.
	* graphics.cc (Fset): Eliminate unnecessary assignment "request_drawnow = true"
	in final else branch.
	* graphics.cc (set_property_in_handle): Rewrite function to remove intermediate
	variable ret.

	Files: libinterp/corefcn/graphics.cc

2019-01-03  Mike Miller  <mtmiller@octave.org>

	do not include private file oct-opengl.h in public headers (bug #55277)

	* gl-render.cc (opengl_renderer::get_string): Move HAVE_OPENGL conditional
	inside function definition.
	* gl-render.h: Do not include oct-opengl.h, add forward decl of
	opengl_functions, delete HAVE_OPENGL conditional from public header.
	* gl2ps-print.h: Do not include oct-opengl.h, add forward decl of
	opengl_functions.

	Files: libinterp/corefcn/gl-render.cc libinterp/corefcn/gl-render.h
	libinterp/corefcn/gl2ps-print.h

2018-12-30  Mike Miller  <mtmiller@octave.org>

	* bootstrap: update from gnulib source repository

	Files: bootstrap

2019-01-03  Rik  <rik@octave.org>

	Use "x == fix (x)" to detect integers rather than floor or round (bug #55347).

	* find.cc, oct-stream.cc, ov-usr-fcn.cc, idx-vector.cc,
	oct-inttypes.cc: Use "x == fix (x)" to detect integers rather than floor or
	round for performance.

	Files: libinterp/corefcn/find.cc libinterp/corefcn/oct-stream.cc libinterp
	/octave-value/ov-usr-fcn.cc liboctave/array/idx-vector.cc
	liboctave/util/oct-inttypes.cc

	ov-struct.cc: Fix static analyzer detected issues (bug #55347).

	* ov-struct.cc (Fcell2struct): Delete useless test for nargin == 2 when it has
	already been determined to be 3.

	Files: libinterp/octave-value/ov-struct.cc

	ov-bool.cc: Fix static analyzer detected issues (bug #55347).

	* ov-bool.cc (load_ascii, load_hdf5): Use "0.0" instead of "0." for floating
	point 0 for clarity.

	Files: libinterp/octave-value/ov-bool.cc

	Array.cc: Fix static analyzer detected issues (bug #55347).

	* Array.cc (issorted, is_sorted_rows): Use test "mode == UNSORTED" rather than
	bare "mode" which relies on enum value for UNSORTED being 0.
	* Array.cc (issorted, is_sorted_rows): Remove useless comparison to
	"mode != UNSORTED" and re-indent code.

	Files: liboctave/array/Array.cc

2019-01-03  Andreas Weber  <octave@josoansi.de>

	oct-stream.cc: Fix static analyzer detected V519 issue (bug #55347).

	Files: libinterp/corefcn/oct-stream.cc

	ls-oct-text.cc: Fix static analyzer detected V519 issue (bug #55347).

	Files: libinterp/corefcn/ls-oct-text.cc

	ls-mat-ascii.cc: Fix static analyzer detected issues (bug #55347)

	ls-mat-ascii.cc: also use is.fail () to exit loop

	Files: libinterp/corefcn/ls-mat-ascii.cc

2019-01-03  Torsten  <mttl@mailbox.org>

	* documentation.cc (notice_settings): prevent segfault if help engine does not exist

	Files: libgui/src/documentation.cc

2019-01-03  Rik  <rik@octave.org>

	gl-render.cc: Fix static analyzer detected issues (bug #55347).

	* gl-render.cc (opengl_texture& operator =, vertex_data& operator =):
	Check object to be assigned against this pointer before doing assignment.

	Files: libinterp/corefcn/gl-render.cc

2019-01-03  John W. Eaton  <jwe@octave.org>

	ensure valid pointer is passed to strcpy (bug #55347)

	* mxarray.in.h (mxArray::strsave): Check result of mxArray::malloc.

	Files: libinterp/corefcn/mxarray.in.h

2019-01-03  Rik  <rik@octave.org>

	oct-parse.yy: Fix static analyzer detected issues (bug #55347).

	* oct-parse.yy (base_parser::make_colon_expression): Remove redundant test for
	non-zero value of "incr".
	* oct-parse.yy (base_parser::make_function): Declare and initialize retval
	in one statement.

	Files: libinterp/parse-tree/oct-parse.yy

	pt-jit.cc: Fix static analyzer detected issues (bug #55347).

	* pt-jit.cc (Fjit_startcnt): Set name of function in warn_disabled_feature to
	"jit_startcnt".

	Files: libinterp/parse-tree/pt-jit.cc

	pt-mat.cc: Fix static analyzer detected issues (bug #55347).

	* pt-mat.cc (get_concat_class): Remove useless check for "c2 == c1" done
	earlier.

	Files: libinterp/parse-tree/pt-mat.cc

	mxarray.in.h: Backed out changeset 70b604e62237.

	Files: libinterp/corefcn/mxarray.in.h

2019-01-01  Philip Nienhuis  <prnienhuis@users.sf.net>

	nl_NL.ts - update Dutch translation

	Files: libgui/languages/nl_NL.ts

2019-01-03  Rik  <rik@octave.org>

	oct-sort.cc: Fix static analyzer detected issues (bug #55347).

	* oct-sort.cc: Enclose expression that is the subject of -= operator in
	parentheses so it is atomic and parsed correctly.

	Files: liboctave/util/oct-sort.cc

	mxarray.in.h: Fix static analyzer detected issues (bug #55347).

	* mxarray.in.h (strsave): Check for nullptr from malloc before calling strcpy.

	Files: libinterp/corefcn/mxarray.in.h

2019-01-02  Markus M?tzel  <markus.muetzel@gmx.de>

	Optionally, ignore data loss when saving .m file (bug #55364).

	* file-editor-tab.cc (check_valid_codec): Return codec if user chooses to ignore
	data loss due to un-encodable characters.

	Files: libgui/src/m-editor/file-editor-tab.cc

	Don't overwrite content of non-encodable .m file (bug #55364).

	* file-editor-tab.cc (save_file): Check if codec is valid before opening file
	for write.

	Files: libgui/src/m-editor/file-editor-tab.cc

2019-01-02  Rik  <rik@octave.org>

	__ode15__.cc: Fix static analyzer detected issues (bug #55347).

	* __ode15__.cc (F__ode15__): Declare and assign *ida_fcn in one statement.
	Use comparison to UNSORTED rather than "! issorted ()" since return value is
	an enum, not bool.

	Files: libinterp/dldfcn/__ode15__.cc

	oct-map.h: Fix static analyzer detected issues (bug #55347).

	* oct-map.h (operator =): Check that map to be assigned is not the same as this
	before proceeding.

	Files: libinterp/corefcn/oct-map.h

	annotation-dialog.cc: Fix static analyzer detected issues (bug #55347).

	* annotation-dialog.cc (set_gui_props): Eliminate else branch on 4-elements in
	"textbox" which isn't used in normal code, and could reference unitialized
	memory if it did.

	Files: libgui/graphics/annotation-dialog.cc

	symbfact.cc: Fix static analyzer detected issues (bug #55347).

	* symbfact.cc (Fsymbfact): Declare coletree as a bool variable since it is only
	used as such.

	Files: libinterp/dldfcn/symbfact.cc

	ccolamd.cc: Fix static analyzer detected issues (bug #55347).

	* ccolamd.cc (Fcsymamd): Fix incorrect off-by-one checking of input knobs
	argument.

	Files: libinterp/dldfcn/ccolamd.cc

	audioread.cc: Fix static analyzer detected issues (bug #55347).

	* audioread.cc (Faudioread): Delete duplicate assignment to info.channels.

	Files: libinterp/dldfcn/audioread.cc

	ov-base-scalar.h: Fix static analyzer detected issues (bug #55347).

	* ov-base-scalar.h (issorted, is_sorted_rows): Check enum variable against an
	enum value, rather than relying on default enum value being 0.

	Files: libinterp/octave-value/ov-base-scalar.h

	graphics.h: Fix static analyzer detected issues (bug #55347).

	* graphics.in.h (scaler::operator =): Check that new object is not the same as
	this object before doing assignment.
	* graphics.in.h (children_property::do_set): Remove useless conditional on
	is_ok which is always true.  Re-indent code.

	Files: libinterp/corefcn/graphics.in.h

	ov-intx.h: Fix static analyzer detected issues (bug #55347).

	* ov-intx.h (double_value, float_value): Declare retval, but don't do
	unnecessary initialization.

	Files: libinterp/octave-value/ov-intx.h

2019-01-02  Andreas Weber  <octave@josoansi.de>

	MSparse.cc: Fix static analyzer detected V560 issues (bug #55347)

	Files: liboctave/array/MSparse.cc

2019-01-02  Rik  <rik@octave.org>

	chol.cc: Fix static analyzer detected issues (bug #55347).

	* chol.cc (chol2inv_internal): Remove unnecessary conditional test on info
	which is always 0.

	Files: liboctave/numeric/chol.cc

2019-01-02  Andreas Weber  <octave@josoansi.de>

	signal-wrappers.c: Fix static analyzer detected V517 issue (bug #55347)

	remove redundant check for SIGINT

	Files: liboctave/wrappers/signal-wrappers.c

	file-io.cc: Fix static analyzer detected V595 issue (bug #55347)

	Files: libinterp/corefcn/file-io.cc

2019-01-02  John W. Eaton  <jwe@octave.org>

	maint: Update copyright dates in all source files.

	Files: Makefile.am README bootstrap.conf build-aux/OctJavaQry.java build-
	aux/changelog.tmpl build-aux/check-subst-vars.in.sh build-aux/find-
	defun-files.sh build-aux/find-files-with-tests.sh build-aux/get-
	source-mtime.sh build-aux/mk-hg-id.sh build-aux/mk-octave-
	config-h.sh build-aux/mk-opts.pl build-aux/mk-pkg-add.sh build-aux
	/subst-config-vals.in.sh build-aux/subst-cross-config-vals.in.sh
	build-aux/subst-script-vals.in.sh build-aux/update-bug-status.sh
	configure.ac doc/doxyhtml/Doxyfile.in doc/interpreter/arith.txi
	doc/interpreter/audio.txi doc/interpreter/basics.txi
	doc/interpreter/bugs.txi doc/interpreter/config-images.sh
	doc/interpreter/container.txi doc/interpreter/cp-idx.txi
	doc/interpreter/data.txi doc/interpreter/debug.txi
	doc/interpreter/diagperm.txi doc/interpreter/diffeq.txi
	doc/interpreter/doccheck/add_to_aspell_dict
	doc/interpreter/doccheck/mk_undocumented_list
	doc/interpreter/doccheck/spellcheck doc/interpreter/errors.txi
	doc/interpreter/eval.txi doc/interpreter/expr.txi
	doc/interpreter/external.txi doc/interpreter/fn-idx.txi
	doc/interpreter/func.txi doc/interpreter/genpropdoc.m
	doc/interpreter/geometry.txi doc/interpreter/geometryimages.m
	doc/interpreter/gpl.txi doc/interpreter/grammar.txi
	doc/interpreter/gui.txi doc/interpreter/image.txi
	doc/interpreter/images.awk doc/interpreter/install.txi
	doc/interpreter/interp.txi doc/interpreter/interpimages.m
	doc/interpreter/intro.txi doc/interpreter/io.txi
	doc/interpreter/linalg.txi doc/interpreter/macros.texi
	doc/interpreter/matrix.txi doc/interpreter/mk-doc-cache.pl
	doc/interpreter/mkcontrib.awk doc/interpreter/mkoctfile.1
	doc/interpreter/munge-texi.pl doc/interpreter/nonlin.txi
	doc/interpreter/numbers.txi doc/interpreter/obsolete.txi
	doc/interpreter/octave-cli.1 doc/interpreter/octave-config.1
	doc/interpreter/octave.1 doc/interpreter/octave.css
	doc/interpreter/octave.texi doc/interpreter/oop.txi doc/interpreter
	/op-idx.txi doc/interpreter/optim.txi doc/interpreter/package.txi
	doc/interpreter/plot.txi doc/interpreter/plotimages.m
	doc/interpreter/poly.txi doc/interpreter/pr-idx.txi
	doc/interpreter/preface.txi doc/interpreter/quad.txi
	doc/interpreter/set.txi doc/interpreter/signal.txi
	doc/interpreter/sparse.txi doc/interpreter/sparseimages.m
	doc/interpreter/splineimages.m doc/interpreter/stats.txi
	doc/interpreter/stmt.txi doc/interpreter/strings.txi
	doc/interpreter/system.txi doc/interpreter/testfun.txi
	doc/interpreter/var.txi doc/interpreter/vectorize.txi
	doc/liboctave/array.texi doc/liboctave/bugs.texi doc/liboctave/cp-
	idx.texi doc/liboctave/dae.texi doc/liboctave/diffeq.texi
	doc/liboctave/error.texi doc/liboctave/factor.texi doc/liboctave/fn-
	idx.texi doc/liboctave/gpl.texi doc/liboctave/install.texi
	doc/liboctave/intro.texi doc/liboctave/liboctave.texi
	doc/liboctave/matvec.texi doc/liboctave/nleqn.texi
	doc/liboctave/nlfunc.texi doc/liboctave/ode.texi
	doc/liboctave/optim.texi doc/liboctave/preface.texi
	doc/liboctave/quad.texi doc/liboctave/range.texi
	doc/refcard/refcard-a4.tex doc/refcard/refcard-legal.tex doc/refcard
	/refcard-letter.tex doc/refcard/refcard.tex etc/HACKING.md
	etc/gdbinit etc/icons/org.octave.Octave.appdata.xml
	libgui/graphics/Backend.cc libgui/graphics/Backend.h
	libgui/graphics/BaseControl.cc libgui/graphics/BaseControl.h
	libgui/graphics/ButtonControl.cc libgui/graphics/ButtonControl.h
	libgui/graphics/ButtonGroup.cc libgui/graphics/ButtonGroup.h
	libgui/graphics/Canvas.cc libgui/graphics/Canvas.h
	libgui/graphics/CheckBoxControl.cc libgui/graphics/CheckBoxControl.h
	libgui/graphics/Container.cc libgui/graphics/Container.h
	libgui/graphics/ContextMenu.cc libgui/graphics/ContextMenu.h
	libgui/graphics/EditControl.cc libgui/graphics/EditControl.h
	libgui/graphics/Figure.cc libgui/graphics/Figure.h
	libgui/graphics/FigureWindow.cc libgui/graphics/FigureWindow.h
	libgui/graphics/GLCanvas.cc libgui/graphics/GLCanvas.h
	libgui/graphics/GenericEventNotify.h libgui/graphics/KeyMap.cc
	libgui/graphics/KeyMap.h libgui/graphics/ListBoxControl.cc
	libgui/graphics/ListBoxControl.h libgui/graphics/Logger.cc
	libgui/graphics/Logger.h libgui/graphics/Menu.cc
	libgui/graphics/Menu.h libgui/graphics/MenuContainer.h
	libgui/graphics/MouseModeActionGroup.cc
	libgui/graphics/MouseModeActionGroup.h libgui/graphics/Object.cc
	libgui/graphics/Object.h libgui/graphics/ObjectFactory.cc
	libgui/graphics/ObjectFactory.h libgui/graphics/ObjectProxy.cc
	libgui/graphics/ObjectProxy.h libgui/graphics/Panel.cc
	libgui/graphics/Panel.h libgui/graphics/PopupMenuControl.cc
	libgui/graphics/PopupMenuControl.h
	libgui/graphics/PushButtonControl.cc
	libgui/graphics/PushButtonControl.h libgui/graphics/PushTool.cc
	libgui/graphics/PushTool.h libgui/graphics/QtHandlesUtils.cc
	libgui/graphics/QtHandlesUtils.h
	libgui/graphics/RadioButtonControl.cc
	libgui/graphics/RadioButtonControl.h
	libgui/graphics/SliderControl.cc libgui/graphics/SliderControl.h
	libgui/graphics/TextControl.cc libgui/graphics/TextControl.h
	libgui/graphics/TextEdit.cc libgui/graphics/TextEdit.h
	libgui/graphics/ToggleButtonControl.cc
	libgui/graphics/ToggleButtonControl.h libgui/graphics/ToggleTool.cc
	libgui/graphics/ToggleTool.h libgui/graphics/ToolBar.cc
	libgui/graphics/ToolBar.h libgui/graphics/ToolBarButton.cc
	libgui/graphics/ToolBarButton.h libgui/graphics/__init_qt__.cc
	libgui/graphics/__init_qt__.h libgui/graphics/annotation-dialog.cc
	libgui/graphics/annotation-dialog.h libgui/graphics/gl-select.cc
	libgui/graphics/gl-select.h libgui/graphics/qopengl-functions.h
	libgui/liboctgui-build-info.h libgui/liboctgui-build-info.in.cc
	libgui/mk-default-qt-settings.in.sh
	libgui/qterminal/libqterminal/QTerminal.cc
	libgui/qterminal/libqterminal/QTerminal.h
	libgui/qterminal/libqterminal/unix/QUnixTerminalImpl.cpp
	libgui/qterminal/libqterminal/unix/QUnixTerminalImpl.h
	libgui/qterminal/libqterminal/unix/TerminalModel.cpp
	libgui/qterminal/libqterminal/unix/TerminalModel.h
	libgui/qterminal/libqterminal/unix/TerminalView.cpp
	libgui/qterminal/libqterminal/unix/TerminalView.h
	libgui/qterminal/libqterminal/win32/QTerminalColors.cpp
	libgui/qterminal/libqterminal/win32/QTerminalColors.h
	libgui/qterminal/libqterminal/win32/QWinTerminalImpl.cpp
	libgui/qterminal/libqterminal/win32/QWinTerminalImpl.h libgui/src
	/color-picker.cc libgui/src/color-picker.h libgui/src/dialog.cc
	libgui/src/dialog.h libgui/src/documentation-dock-widget.cc
	libgui/src/documentation-dock-widget.h libgui/src/documentation.cc
	libgui/src/documentation.h libgui/src/dw-main-window.cc libgui/src
	/dw-main-window.h libgui/src/external-editor-interface.cc libgui/src
	/external-editor-interface.h libgui/src/files-dock-widget.cc
	libgui/src/files-dock-widget.h libgui/src/find-files-dialog.cc
	libgui/src/find-files-dialog.h libgui/src/find-files-model.cc
	libgui/src/find-files-model.h libgui/src/gui-preferences-mw.h
	libgui/src/gui-preferences.h libgui/src/history-dock-widget.cc
	libgui/src/history-dock-widget.h libgui/src/m-editor/file-editor-
	interface.h libgui/src/m-editor/file-editor-tab.cc
	libgui/src/m-editor/file-editor-tab.h libgui/src/m-editor/file-
	editor.cc libgui/src/m-editor/file-editor.h libgui/src/m-editor
	/find-dialog.cc libgui/src/m-editor/find-dialog.h
	libgui/src/m-editor/marker.cc libgui/src/m-editor/marker.h
	libgui/src/m-editor/octave-qscintilla.cc libgui/src/m-editor/octave-
	qscintilla.h libgui/src/m-editor/octave-txt-lexer.cc
	libgui/src/m-editor/octave-txt-lexer.h libgui/src/main-window.cc
	libgui/src/main-window.h libgui/src/octave-cmd.cc libgui/src/octave-
	cmd.h libgui/src/octave-dock-widget.cc libgui/src/octave-dock-
	widget.h libgui/src/octave-gui.cc libgui/src/octave-gui.h libgui/src
	/octave-qt-link.cc libgui/src/octave-qt-link.h libgui/src/resource-
	manager.cc libgui/src/resource-manager.h libgui/src/settings-
	dialog.cc libgui/src/settings-dialog.h libgui/src/shortcut-
	manager.cc libgui/src/shortcut-manager.h libgui/src/tab-bar.cc
	libgui/src/tab-bar.h libgui/src/terminal-dock-widget.cc libgui/src
	/terminal-dock-widget.h libgui/src/variable-editor-model.cc
	libgui/src/variable-editor-model.h libgui/src/variable-editor.cc
	libgui/src/variable-editor.h libgui/src/welcome-wizard.cc libgui/src
	/welcome-wizard.h libgui/src/workspace-model.cc libgui/src
	/workspace-model.h libgui/src/workspace-view.cc libgui/src
	/workspace-view.h libinterp/build-env.h libinterp/build-env.in.cc
	libinterp/corefcn/Cell.cc libinterp/corefcn/Cell.h
	libinterp/corefcn/__betainc__.cc libinterp/corefcn/__contourc__.cc
	libinterp/corefcn/__dsearchn__.cc libinterp/corefcn/__expint__.cc
	libinterp/corefcn/__gammainc__.cc libinterp/corefcn/__ichol__.cc
	libinterp/corefcn/__ilu__.cc libinterp/corefcn/__lin_interpn__.cc
	libinterp/corefcn/__magick_read__.cc
	libinterp/corefcn/__pchip_deriv__.cc libinterp/corefcn/__qp__.cc
	libinterp/corefcn/balance.cc libinterp/corefcn/base-text-renderer.h
	libinterp/corefcn/besselj.cc libinterp/corefcn/bitfcns.cc
	libinterp/corefcn/bsxfun.cc libinterp/corefcn/c-file-ptr-stream.cc
	libinterp/corefcn/c-file-ptr-stream.h libinterp/corefcn/call-
	stack.cc libinterp/corefcn/call-stack.h libinterp/corefcn/cdisplay.c
	libinterp/corefcn/cdisplay.h libinterp/corefcn/cellfun.cc
	libinterp/corefcn/coct-hdf5-types.c libinterp/corefcn/colloc.cc
	libinterp/corefcn/conv2.cc libinterp/corefcn/daspk.cc
	libinterp/corefcn/dasrt.cc libinterp/corefcn/dassl.cc
	libinterp/corefcn/data.cc libinterp/corefcn/data.h
	libinterp/corefcn/debug.cc libinterp/corefcn/default-defs.in.h
	libinterp/corefcn/defaults.cc libinterp/corefcn/defaults.h
	libinterp/corefcn/defun-dld.h libinterp/corefcn/defun-int.h
	libinterp/corefcn/defun.cc libinterp/corefcn/defun.h
	libinterp/corefcn/det.cc libinterp/corefcn/dirfns.cc
	libinterp/corefcn/dirfns.h libinterp/corefcn/display.cc
	libinterp/corefcn/display.h libinterp/corefcn/dlmread.cc
	libinterp/corefcn/dot.cc libinterp/corefcn/dynamic-ld.cc
	libinterp/corefcn/dynamic-ld.h libinterp/corefcn/eig.cc
	libinterp/corefcn/ellipj.cc libinterp/corefcn/environment.cc
	libinterp/corefcn/environment.h libinterp/corefcn/error.cc
	libinterp/corefcn/error.h libinterp/corefcn/errwarn.cc
	libinterp/corefcn/errwarn.h libinterp/corefcn/event-queue.cc
	libinterp/corefcn/event-queue.h libinterp/corefcn/fcn-info.cc
	libinterp/corefcn/fcn-info.h libinterp/corefcn/fft.cc
	libinterp/corefcn/fft2.cc libinterp/corefcn/fftn.cc
	libinterp/corefcn/file-io.cc libinterp/corefcn/file-io.h
	libinterp/corefcn/filter.cc libinterp/corefcn/find.cc
	libinterp/corefcn/ft-text-renderer.cc libinterp/corefcn/ft-text-
	renderer.h libinterp/corefcn/gcd.cc libinterp/corefcn/genprops.awk
	libinterp/corefcn/getgrent.cc libinterp/corefcn/getpwent.cc
	libinterp/corefcn/getrusage.cc libinterp/corefcn/givens.cc
	libinterp/corefcn/gl-render.cc libinterp/corefcn/gl-render.h
	libinterp/corefcn/gl2ps-print.cc libinterp/corefcn/gl2ps-print.h
	libinterp/corefcn/graphics-handle.h libinterp/corefcn/graphics-
	toolkit.cc libinterp/corefcn/graphics-toolkit.h
	libinterp/corefcn/graphics.cc libinterp/corefcn/graphics.in.h
	libinterp/corefcn/gsvd.cc libinterp/corefcn/gtk-manager.cc
	libinterp/corefcn/gtk-manager.h libinterp/corefcn/hash.cc
	libinterp/corefcn/help.cc libinterp/corefcn/help.h
	libinterp/corefcn/hess.cc libinterp/corefcn/hex2num.cc
	libinterp/corefcn/hook-fcn.cc libinterp/corefcn/hook-fcn.h
	libinterp/corefcn/input.cc libinterp/corefcn/input.h
	libinterp/corefcn/interpreter-private.cc libinterp/corefcn
	/interpreter-private.h libinterp/corefcn/interpreter.cc
	libinterp/corefcn/interpreter.h libinterp/corefcn/inv.cc
	libinterp/corefcn/kron.cc libinterp/corefcn/load-path.cc
	libinterp/corefcn/load-path.h libinterp/corefcn/load-save.cc
	libinterp/corefcn/load-save.h libinterp/corefcn/lookup.cc
	libinterp/corefcn/ls-ascii-helper.cc libinterp/corefcn/ls-ascii-
	helper.h libinterp/corefcn/ls-hdf5.cc libinterp/corefcn/ls-hdf5.h
	libinterp/corefcn/ls-mat-ascii.cc libinterp/corefcn/ls-mat-ascii.h
	libinterp/corefcn/ls-mat4.cc libinterp/corefcn/ls-mat4.h
	libinterp/corefcn/ls-mat5.cc libinterp/corefcn/ls-mat5.h
	libinterp/corefcn/ls-oct-binary.cc libinterp/corefcn/ls-oct-binary.h
	libinterp/corefcn/ls-oct-text.cc libinterp/corefcn/ls-oct-text.h
	libinterp/corefcn/ls-utils.cc libinterp/corefcn/ls-utils.h
	libinterp/corefcn/lsode.cc libinterp/corefcn/lu.cc
	libinterp/corefcn/mappers.cc libinterp/corefcn/matrix_type.cc
	libinterp/corefcn/max.cc libinterp/corefcn/mex.cc
	libinterp/corefcn/mex.h libinterp/corefcn/mexproto.h
	libinterp/corefcn/mgorth.cc libinterp/corefcn/mk-errno-list.sh
	libinterp/corefcn/mk-mxarray-h.in.sh libinterp/corefcn/mxarray.in.h
	libinterp/corefcn/nproc.cc libinterp/corefcn/oct-errno.h
	libinterp/corefcn/oct-errno.in.cc libinterp/corefcn/oct-fstrm.cc
	libinterp/corefcn/oct-fstrm.h libinterp/corefcn/oct-handle.h
	libinterp/corefcn/oct-hdf5-types.cc libinterp/corefcn/oct-
	hdf5-types.h libinterp/corefcn/oct-hdf5.h libinterp/corefcn/oct-
	hist.cc libinterp/corefcn/oct-hist.h libinterp/corefcn/oct-iostrm.cc
	libinterp/corefcn/oct-iostrm.h libinterp/corefcn/oct-map.cc
	libinterp/corefcn/oct-map.h libinterp/corefcn/oct-obj.h
	libinterp/corefcn/oct-opengl.h libinterp/corefcn/oct-prcstrm.cc
	libinterp/corefcn/oct-prcstrm.h libinterp/corefcn/oct-procbuf.cc
	libinterp/corefcn/oct-procbuf.h libinterp/corefcn/oct-stdstrm.h
	libinterp/corefcn/oct-stream.cc libinterp/corefcn/oct-stream.h
	libinterp/corefcn/oct-strstrm.cc libinterp/corefcn/oct-strstrm.h
	libinterp/corefcn/oct-tex-lexer.in.ll libinterp/corefcn/oct-tex-
	parser.yy libinterp/corefcn/oct-tex-symbols.in
	libinterp/corefcn/oct.h libinterp/corefcn/octave-default-image.h
	libinterp/corefcn/octave-link.cc libinterp/corefcn/octave-link.h
	libinterp/corefcn/ordschur.cc libinterp/corefcn/pager.cc
	libinterp/corefcn/pager.h libinterp/corefcn/pinv.cc
	libinterp/corefcn/pr-flt-fmt.cc libinterp/corefcn/pr-flt-fmt.h
	libinterp/corefcn/pr-output.cc libinterp/corefcn/pr-output.h
	libinterp/corefcn/procstream.cc libinterp/corefcn/procstream.h
	libinterp/corefcn/psi.cc libinterp/corefcn/quad.cc
	libinterp/corefcn/quadcc.cc libinterp/corefcn/qz.cc
	libinterp/corefcn/rand.cc libinterp/corefcn/rcond.cc
	libinterp/corefcn/regexp.cc libinterp/corefcn/schur.cc
	libinterp/corefcn/settings.cc libinterp/corefcn/settings.h
	libinterp/corefcn/sighandlers.cc libinterp/corefcn/sighandlers.h
	libinterp/corefcn/sparse-xdiv.cc libinterp/corefcn/sparse-xdiv.h
	libinterp/corefcn/sparse-xpow.cc libinterp/corefcn/sparse-xpow.h
	libinterp/corefcn/sparse.cc libinterp/corefcn/spparms.cc
	libinterp/corefcn/sqrtm.cc libinterp/corefcn/strfind.cc
	libinterp/corefcn/strfns.cc libinterp/corefcn/sub2ind.cc
	libinterp/corefcn/svd.cc libinterp/corefcn/sylvester.cc
	libinterp/corefcn/syminfo.cc libinterp/corefcn/syminfo.h
	libinterp/corefcn/symrec.cc libinterp/corefcn/symrec.h
	libinterp/corefcn/symscope.cc libinterp/corefcn/symscope.h
	libinterp/corefcn/symtab.cc libinterp/corefcn/symtab.h
	libinterp/corefcn/syscalls.cc libinterp/corefcn/sysdep.cc
	libinterp/corefcn/sysdep.h libinterp/corefcn/text-engine.cc
	libinterp/corefcn/text-engine.h libinterp/corefcn/text-renderer.cc
	libinterp/corefcn/text-renderer.h libinterp/corefcn/time.cc
	libinterp/corefcn/toplev.cc libinterp/corefcn/toplev.h
	libinterp/corefcn/tril.cc libinterp/corefcn/tsearch.cc
	libinterp/corefcn/txt-eng.h libinterp/corefcn/typecast.cc
	libinterp/corefcn/url-handle-manager.cc libinterp/corefcn/url-
	handle-manager.h libinterp/corefcn/urlwrite.cc
	libinterp/corefcn/utils.cc libinterp/corefcn/utils.h
	libinterp/corefcn/variables.cc libinterp/corefcn/variables.h
	libinterp/corefcn/xdiv.cc libinterp/corefcn/xdiv.h
	libinterp/corefcn/xnorm.cc libinterp/corefcn/xnorm.h
	libinterp/corefcn/xpow.cc libinterp/corefcn/xpow.h
	libinterp/corefcn/zfstream.cc libinterp/corefcn/zfstream.h
	libinterp/dldfcn/__delaunayn__.cc libinterp/dldfcn/__eigs__.cc
	libinterp/dldfcn/__fltk_uigetfile__.cc libinterp/dldfcn/__glpk__.cc
	libinterp/dldfcn/__init_fltk__.cc
	libinterp/dldfcn/__init_gnuplot__.cc libinterp/dldfcn/__ode15__.cc
	libinterp/dldfcn/__voronoi__.cc libinterp/dldfcn/amd.cc
	libinterp/dldfcn/audiodevinfo.cc libinterp/dldfcn/audioread.cc
	libinterp/dldfcn/ccolamd.cc libinterp/dldfcn/chol.cc
	libinterp/dldfcn/colamd.cc libinterp/dldfcn/config-module.awk
	libinterp/dldfcn/config-module.sh libinterp/dldfcn/convhulln.cc
	libinterp/dldfcn/dmperm.cc libinterp/dldfcn/fftw.cc
	libinterp/dldfcn/gzip.cc libinterp/dldfcn/oct-qhull.h
	libinterp/dldfcn/qr.cc libinterp/dldfcn/symbfact.cc
	libinterp/dldfcn/symrcm.cc libinterp/liboctinterp-build-info.h
	libinterp/liboctinterp-build-info.in.cc libinterp/mk-build-env-
	features.sh libinterp/mk-builtins.pl libinterp/mk-doc.pl libinterp
	/octave-value/ov-base-diag.cc libinterp/octave-value/ov-base-diag.h
	libinterp/octave-value/ov-base-int.cc libinterp/octave-value/ov-
	base-int.h libinterp/octave-value/ov-base-mat.cc libinterp/octave-
	value/ov-base-mat.h libinterp/octave-value/ov-base-scalar.cc
	libinterp/octave-value/ov-base-scalar.h libinterp/octave-value/ov-
	base-sparse.cc libinterp/octave-value/ov-base-sparse.h libinterp
	/octave-value/ov-base.cc libinterp/octave-value/ov-base.h libinterp
	/octave-value/ov-bool-mat.cc libinterp/octave-value/ov-bool-mat.h
	libinterp/octave-value/ov-bool-sparse.cc libinterp/octave-value/ov-
	bool-sparse.h libinterp/octave-value/ov-bool.cc libinterp/octave-
	value/ov-bool.h libinterp/octave-value/ov-builtin.cc libinterp
	/octave-value/ov-builtin.h libinterp/octave-value/ov-cell.cc
	libinterp/octave-value/ov-cell.h libinterp/octave-value/ov-ch-mat.cc
	libinterp/octave-value/ov-ch-mat.h libinterp/octave-value/ov-
	class.cc libinterp/octave-value/ov-class.h libinterp/octave-value
	/ov-classdef.cc libinterp/octave-value/ov-classdef.h libinterp
	/octave-value/ov-colon.cc libinterp/octave-value/ov-colon.h
	libinterp/octave-value/ov-complex.cc libinterp/octave-value/ov-
	complex.h libinterp/octave-value/ov-cs-list.cc libinterp/octave-
	value/ov-cs-list.h libinterp/octave-value/ov-cx-diag.cc libinterp
	/octave-value/ov-cx-diag.h libinterp/octave-value/ov-cx-mat.cc
	libinterp/octave-value/ov-cx-mat.h libinterp/octave-value/ov-cx-
	sparse.cc libinterp/octave-value/ov-cx-sparse.h libinterp/octave-
	value/ov-dld-fcn.cc libinterp/octave-value/ov-dld-fcn.h libinterp
	/octave-value/ov-fcn-handle.cc libinterp/octave-value/ov-fcn-
	handle.h libinterp/octave-value/ov-fcn-inline.cc libinterp/octave-
	value/ov-fcn-inline.h libinterp/octave-value/ov-fcn.cc libinterp
	/octave-value/ov-fcn.h libinterp/octave-value/ov-float.cc libinterp
	/octave-value/ov-float.h libinterp/octave-value/ov-flt-complex.cc
	libinterp/octave-value/ov-flt-complex.h libinterp/octave-value/ov-
	flt-cx-diag.cc libinterp/octave-value/ov-flt-cx-diag.h libinterp
	/octave-value/ov-flt-cx-mat.cc libinterp/octave-value/ov-flt-cx-
	mat.h libinterp/octave-value/ov-flt-re-diag.cc libinterp/octave-
	value/ov-flt-re-diag.h libinterp/octave-value/ov-flt-re-mat.cc
	libinterp/octave-value/ov-flt-re-mat.h libinterp/octave-value/ov-
	int-traits.h libinterp/octave-value/ov-int16.cc libinterp/octave-
	value/ov-int16.h libinterp/octave-value/ov-int32.cc libinterp
	/octave-value/ov-int32.h libinterp/octave-value/ov-int64.cc
	libinterp/octave-value/ov-int64.h libinterp/octave-value/ov-int8.cc
	libinterp/octave-value/ov-int8.h libinterp/octave-value/ov-intx.h
	libinterp/octave-value/ov-java.cc libinterp/octave-value/ov-java.h
	libinterp/octave-value/ov-lazy-idx.cc libinterp/octave-value/ov-
	lazy-idx.h libinterp/octave-value/ov-mex-fcn.cc libinterp/octave-
	value/ov-mex-fcn.h libinterp/octave-value/ov-null-mat.cc libinterp
	/octave-value/ov-null-mat.h libinterp/octave-value/ov-oncleanup.cc
	libinterp/octave-value/ov-oncleanup.h libinterp/octave-value/ov-
	perm.cc libinterp/octave-value/ov-perm.h libinterp/octave-value/ov-
	range.cc libinterp/octave-value/ov-range.h libinterp/octave-value
	/ov-re-diag.cc libinterp/octave-value/ov-re-diag.h libinterp/octave-
	value/ov-re-mat.cc libinterp/octave-value/ov-re-mat.h libinterp
	/octave-value/ov-re-sparse.cc libinterp/octave-value/ov-re-sparse.h
	libinterp/octave-value/ov-scalar.cc libinterp/octave-value/ov-
	scalar.h libinterp/octave-value/ov-str-mat.cc libinterp/octave-value
	/ov-str-mat.h libinterp/octave-value/ov-struct.cc libinterp/octave-
	value/ov-struct.h libinterp/octave-value/ov-typeinfo.cc libinterp
	/octave-value/ov-typeinfo.h libinterp/octave-value/ov-uint16.cc
	libinterp/octave-value/ov-uint16.h libinterp/octave-value/ov-
	uint32.cc libinterp/octave-value/ov-uint32.h libinterp/octave-value
	/ov-uint64.cc libinterp/octave-value/ov-uint64.h libinterp/octave-
	value/ov-uint8.cc libinterp/octave-value/ov-uint8.h libinterp
	/octave-value/ov-usr-fcn.cc libinterp/octave-value/ov-usr-fcn.h
	libinterp/octave-value/ov.cc libinterp/octave-value/ov.h libinterp
	/octave-value/ovl.cc libinterp/octave-value/ovl.h
	libinterp/octave.cc libinterp/octave.h libinterp/op-kw-docs
	libinterp/operators/mk-ops.sh libinterp/operators/op-b-b.cc
	libinterp/operators/op-b-bm.cc libinterp/operators/op-b-sbm.cc
	libinterp/operators/op-bm-b.cc libinterp/operators/op-bm-bm.cc
	libinterp/operators/op-bm-sbm.cc libinterp/operators/op-cdm-cdm.cc
	libinterp/operators/op-cdm-cm.cc libinterp/operators/op-cdm-cs.cc
	libinterp/operators/op-cdm-dm.cc libinterp/operators/op-cdm-m.cc
	libinterp/operators/op-cdm-s.cc libinterp/operators/op-cell.cc
	libinterp/operators/op-chm.cc libinterp/operators/op-class.cc
	libinterp/operators/op-cm-cdm.cc libinterp/operators/op-cm-cm.cc
	libinterp/operators/op-cm-cs.cc libinterp/operators/op-cm-dm.cc
	libinterp/operators/op-cm-m.cc libinterp/operators/op-cm-pm.cc
	libinterp/operators/op-cm-s.cc libinterp/operators/op-cm-scm.cc
	libinterp/operators/op-cm-sm.cc libinterp/operators/op-cs-cm.cc
	libinterp/operators/op-cs-cs.cc libinterp/operators/op-cs-m.cc
	libinterp/operators/op-cs-s.cc libinterp/operators/op-cs-scm.cc
	libinterp/operators/op-cs-sm.cc libinterp/operators/op-dm-cdm.cc
	libinterp/operators/op-dm-cm.cc libinterp/operators/op-dm-cs.cc
	libinterp/operators/op-dm-dm.cc libinterp/operators/op-dm-m.cc
	libinterp/operators/op-dm-s.cc libinterp/operators/op-dm-scm.cc
	libinterp/operators/op-dm-sm.cc libinterp/operators/op-dm-
	template.cc libinterp/operators/op-dms-template.cc
	libinterp/operators/op-fcdm-fcdm.cc libinterp/operators/op-fcdm-
	fcm.cc libinterp/operators/op-fcdm-fcs.cc libinterp/operators/op-
	fcdm-fdm.cc libinterp/operators/op-fcdm-fm.cc libinterp/operators
	/op-fcdm-fs.cc libinterp/operators/op-fcm-fcdm.cc
	libinterp/operators/op-fcm-fcm.cc libinterp/operators/op-fcm-fcs.cc
	libinterp/operators/op-fcm-fdm.cc libinterp/operators/op-fcm-fm.cc
	libinterp/operators/op-fcm-fs.cc libinterp/operators/op-fcm-pm.cc
	libinterp/operators/op-fcn.cc libinterp/operators/op-fcs-fcm.cc
	libinterp/operators/op-fcs-fcs.cc libinterp/operators/op-fcs-fm.cc
	libinterp/operators/op-fcs-fs.cc libinterp/operators/op-fdm-fcdm.cc
	libinterp/operators/op-fdm-fcm.cc libinterp/operators/op-fdm-fcs.cc
	libinterp/operators/op-fdm-fdm.cc libinterp/operators/op-fdm-fm.cc
	libinterp/operators/op-fdm-fs.cc libinterp/operators/op-fm-fcdm.cc
	libinterp/operators/op-fm-fcm.cc libinterp/operators/op-fm-fcs.cc
	libinterp/operators/op-fm-fdm.cc libinterp/operators/op-fm-fm.cc
	libinterp/operators/op-fm-fs.cc libinterp/operators/op-fm-pm.cc
	libinterp/operators/op-fs-fcm.cc libinterp/operators/op-fs-fcs.cc
	libinterp/operators/op-fs-fm.cc libinterp/operators/op-fs-fs.cc
	libinterp/operators/op-i16-i16.cc libinterp/operators/op-i32-i32.cc
	libinterp/operators/op-i64-i64.cc libinterp/operators/op-i8-i8.cc
	libinterp/operators/op-int-concat.cc libinterp/operators/op-int.h
	libinterp/operators/op-m-cdm.cc libinterp/operators/op-m-cm.cc
	libinterp/operators/op-m-cs.cc libinterp/operators/op-m-dm.cc
	libinterp/operators/op-m-m.cc libinterp/operators/op-m-pm.cc
	libinterp/operators/op-m-s.cc libinterp/operators/op-m-scm.cc
	libinterp/operators/op-m-sm.cc libinterp/operators/op-pm-cm.cc
	libinterp/operators/op-pm-fcm.cc libinterp/operators/op-pm-fm.cc
	libinterp/operators/op-pm-m.cc libinterp/operators/op-pm-pm.cc
	libinterp/operators/op-pm-scm.cc libinterp/operators/op-pm-sm.cc
	libinterp/operators/op-pm-template.cc libinterp/operators/op-
	range.cc libinterp/operators/op-s-cm.cc
	libinterp/operators/op-s-cs.cc libinterp/operators/op-s-m.cc
	libinterp/operators/op-s-s.cc libinterp/operators/op-s-scm.cc
	libinterp/operators/op-s-sm.cc libinterp/operators/op-sbm-b.cc
	libinterp/operators/op-sbm-bm.cc libinterp/operators/op-sbm-sbm.cc
	libinterp/operators/op-scm-cm.cc libinterp/operators/op-scm-cs.cc
	libinterp/operators/op-scm-m.cc libinterp/operators/op-scm-s.cc
	libinterp/operators/op-scm-scm.cc libinterp/operators/op-scm-sm.cc
	libinterp/operators/op-sm-cm.cc libinterp/operators/op-sm-cs.cc
	libinterp/operators/op-sm-m.cc libinterp/operators/op-sm-s.cc
	libinterp/operators/op-sm-scm.cc libinterp/operators/op-sm-sm.cc
	libinterp/operators/op-str-m.cc libinterp/operators/op-str-s.cc
	libinterp/operators/op-str-str.cc libinterp/operators/op-struct.cc
	libinterp/operators/op-ui16-ui16.cc libinterp/operators/op-
	ui32-ui32.cc libinterp/operators/op-ui64-ui64.cc libinterp/operators
	/op-ui8-ui8.cc libinterp/operators/ops.h libinterp/options-usage.h
	libinterp/parse-tree/bp-table.cc libinterp/parse-tree/bp-table.h
	libinterp/parse-tree/comment-list.cc libinterp/parse-tree/comment-
	list.h libinterp/parse-tree/jit-ir.cc libinterp/parse-tree/jit-ir.h
	libinterp/parse-tree/jit-typeinfo.cc libinterp/parse-tree/jit-
	typeinfo.h libinterp/parse-tree/jit-util.cc libinterp/parse-tree
	/jit-util.h libinterp/parse-tree/lex.h libinterp/parse-tree/lex.ll
	libinterp/parse-tree/oct-lvalue.cc libinterp/parse-tree/oct-lvalue.h
	libinterp/parse-tree/oct-parse.yy libinterp/parse-tree/octave.gperf
	libinterp/parse-tree/parse.h libinterp/parse-tree/profiler.cc
	libinterp/parse-tree/profiler.h libinterp/parse-tree/pt-all.h
	libinterp/parse-tree/pt-anon-scopes.cc libinterp/parse-tree/pt-anon-
	scopes.h libinterp/parse-tree/pt-arg-list.cc libinterp/parse-tree
	/pt-arg-list.h libinterp/parse-tree/pt-array-list.cc libinterp
	/parse-tree/pt-array-list.h libinterp/parse-tree/pt-assign.cc
	libinterp/parse-tree/pt-assign.h libinterp/parse-tree/pt-binop.cc
	libinterp/parse-tree/pt-binop.h libinterp/parse-tree/pt-bp.cc
	libinterp/parse-tree/pt-bp.h libinterp/parse-tree/pt-cbinop.cc
	libinterp/parse-tree/pt-cbinop.h libinterp/parse-tree/pt-cell.cc
	libinterp/parse-tree/pt-cell.h libinterp/parse-tree/pt-check.cc
	libinterp/parse-tree/pt-check.h libinterp/parse-tree/pt-classdef.cc
	libinterp/parse-tree/pt-classdef.h libinterp/parse-tree/pt-cmd.h
	libinterp/parse-tree/pt-colon.cc libinterp/parse-tree/pt-colon.h
	libinterp/parse-tree/pt-const.cc libinterp/parse-tree/pt-const.h
	libinterp/parse-tree/pt-decl.cc libinterp/parse-tree/pt-decl.h
	libinterp/parse-tree/pt-eval.cc libinterp/parse-tree/pt-eval.h
	libinterp/parse-tree/pt-except.cc libinterp/parse-tree/pt-except.h
	libinterp/parse-tree/pt-exp.cc libinterp/parse-tree/pt-exp.h
	libinterp/parse-tree/pt-fcn-handle.cc libinterp/parse-tree/pt-fcn-
	handle.h libinterp/parse-tree/pt-funcall.cc libinterp/parse-tree/pt-
	funcall.h libinterp/parse-tree/pt-id.cc libinterp/parse-tree/pt-id.h
	libinterp/parse-tree/pt-idx.cc libinterp/parse-tree/pt-idx.h
	libinterp/parse-tree/pt-jit.cc libinterp/parse-tree/pt-jit.h
	libinterp/parse-tree/pt-jump.h libinterp/parse-tree/pt-loop.cc
	libinterp/parse-tree/pt-loop.h libinterp/parse-tree/pt-mat.cc
	libinterp/parse-tree/pt-mat.h libinterp/parse-tree/pt-misc.cc
	libinterp/parse-tree/pt-misc.h libinterp/parse-tree/pt-pr-code.cc
	libinterp/parse-tree/pt-pr-code.h libinterp/parse-tree/pt-select.cc
	libinterp/parse-tree/pt-select.h libinterp/parse-tree/pt-stmt.cc
	libinterp/parse-tree/pt-stmt.h libinterp/parse-tree/pt-tm-const.cc
	libinterp/parse-tree/pt-tm-const.h libinterp/parse-tree/pt-unop.cc
	libinterp/parse-tree/pt-unop.h libinterp/parse-tree/pt-walk.cc
	libinterp/parse-tree/pt-walk.h libinterp/parse-tree/pt.cc libinterp
	/parse-tree/pt.h libinterp/parse-tree/token.cc libinterp/parse-
	tree/token.h libinterp/template-inst/Array-jit.cc libinterp
	/template-inst/Array-tc.cc liboctave/array/Array-C.cc
	liboctave/array/Array-b.cc liboctave/array/Array-ch.cc
	liboctave/array/Array-d.cc liboctave/array/Array-f.cc
	liboctave/array/Array-fC.cc liboctave/array/Array-i.cc
	liboctave/array/Array-idx-vec.cc liboctave/array/Array-s.cc
	liboctave/array/Array-str.cc liboctave/array/Array-util.cc
	liboctave/array/Array-util.h liboctave/array/Array-voidp.cc
	liboctave/array/Array.cc liboctave/array/Array.h
	liboctave/array/CColVector.cc liboctave/array/CColVector.h
	liboctave/array/CDiagMatrix.cc liboctave/array/CDiagMatrix.h
	liboctave/array/CMatrix.cc liboctave/array/CMatrix.h
	liboctave/array/CNDArray.cc liboctave/array/CNDArray.h
	liboctave/array/CRowVector.cc liboctave/array/CRowVector.h
	liboctave/array/CSparse.cc liboctave/array/CSparse.h
	liboctave/array/DiagArray2.cc liboctave/array/DiagArray2.h
	liboctave/array/MArray-C.cc liboctave/array/MArray-d.cc
	liboctave/array/MArray-f.cc liboctave/array/MArray-fC.cc
	liboctave/array/MArray-i.cc liboctave/array/MArray-s.cc
	liboctave/array/MArray.cc liboctave/array/MArray.h
	liboctave/array/MDiagArray2.cc liboctave/array/MDiagArray2.h
	liboctave/array/MSparse-C.cc liboctave/array/MSparse-d.cc
	liboctave/array/MSparse.cc liboctave/array/MSparse.h
	liboctave/array/Matrix.h liboctave/array/MatrixType.cc
	liboctave/array/MatrixType.h liboctave/array/PermMatrix.cc
	liboctave/array/PermMatrix.h liboctave/array/Range.cc
	liboctave/array/Range.h liboctave/array/Sparse-C.cc
	liboctave/array/Sparse-b.cc liboctave/array/Sparse-d.cc
	liboctave/array/Sparse.cc liboctave/array/Sparse.h
	liboctave/array/boolMatrix.cc liboctave/array/boolMatrix.h
	liboctave/array/boolNDArray.cc liboctave/array/boolNDArray.h
	liboctave/array/boolSparse.cc liboctave/array/boolSparse.h
	liboctave/array/chMatrix.cc liboctave/array/chMatrix.h
	liboctave/array/chNDArray.cc liboctave/array/chNDArray.h
	liboctave/array/dColVector.cc liboctave/array/dColVector.h
	liboctave/array/dDiagMatrix.cc liboctave/array/dDiagMatrix.h
	liboctave/array/dMatrix.cc liboctave/array/dMatrix.h
	liboctave/array/dNDArray.cc liboctave/array/dNDArray.h
	liboctave/array/dRowVector.cc liboctave/array/dRowVector.h
	liboctave/array/dSparse.cc liboctave/array/dSparse.h liboctave/array
	/dim-vector.cc liboctave/array/dim-vector.h
	liboctave/array/fCColVector.cc liboctave/array/fCColVector.h
	liboctave/array/fCDiagMatrix.cc liboctave/array/fCDiagMatrix.h
	liboctave/array/fCMatrix.cc liboctave/array/fCMatrix.h
	liboctave/array/fCNDArray.cc liboctave/array/fCNDArray.h
	liboctave/array/fCRowVector.cc liboctave/array/fCRowVector.h
	liboctave/array/fColVector.cc liboctave/array/fColVector.h
	liboctave/array/fDiagMatrix.cc liboctave/array/fDiagMatrix.h
	liboctave/array/fMatrix.cc liboctave/array/fMatrix.h
	liboctave/array/fNDArray.cc liboctave/array/fNDArray.h
	liboctave/array/fRowVector.cc liboctave/array/fRowVector.h
	liboctave/array/idx-vector.cc liboctave/array/idx-vector.h
	liboctave/array/int16NDArray.cc liboctave/array/int16NDArray.h
	liboctave/array/int32NDArray.cc liboctave/array/int32NDArray.h
	liboctave/array/int64NDArray.cc liboctave/array/int64NDArray.h
	liboctave/array/int8NDArray.cc liboctave/array/int8NDArray.h
	liboctave/array/intNDArray.cc liboctave/array/intNDArray.h
	liboctave/array/uint16NDArray.cc liboctave/array/uint16NDArray.h
	liboctave/array/uint32NDArray.cc liboctave/array/uint32NDArray.h
	liboctave/array/uint64NDArray.cc liboctave/array/uint64NDArray.h
	liboctave/array/uint8NDArray.cc liboctave/array/uint8NDArray.h
	liboctave/external/blas-xtra/cconv2.f liboctave/external/blas-
	xtra/cdotc3.f liboctave/external/blas-xtra/cmatm3.f
	liboctave/external/blas-xtra/csconv2.f liboctave/external/blas-
	xtra/dconv2.f liboctave/external/blas-xtra/ddot3.f
	liboctave/external/blas-xtra/dmatm3.f liboctave/external/blas-
	xtra/sconv2.f liboctave/external/blas-xtra/sdot3.f
	liboctave/external/blas-xtra/smatm3.f liboctave/external/blas-
	xtra/xerbla.cc liboctave/external/blas-xtra/zconv2.f
	liboctave/external/blas-xtra/zdconv2.f liboctave/external/blas-
	xtra/zdotc3.f liboctave/external/blas-xtra/zmatm3.f
	liboctave/external/lapack-xtra/crsf2csf.f liboctave/external/lapack-
	xtra/zrsf2csf.f liboctave/external/mk-f77-def.in.sh liboctave
	/liboctave-build-info.h liboctave/liboctave-build-info.in.cc
	liboctave/mk-version-h.in.sh liboctave/numeric/CollocWt.cc
	liboctave/numeric/CollocWt.h liboctave/numeric/DAE.h
	liboctave/numeric/DAEFunc.h liboctave/numeric/DAERT.h
	liboctave/numeric/DAERTFunc.h liboctave/numeric/DASPK-opts.in
	liboctave/numeric/DASPK.cc liboctave/numeric/DASPK.h
	liboctave/numeric/DASRT-opts.in liboctave/numeric/DASRT.cc
	liboctave/numeric/DASRT.h liboctave/numeric/DASSL-opts.in
	liboctave/numeric/DASSL.cc liboctave/numeric/DASSL.h
	liboctave/numeric/DET.h liboctave/numeric/EIG.cc
	liboctave/numeric/EIG.h liboctave/numeric/LSODE-opts.in
	liboctave/numeric/LSODE.cc liboctave/numeric/LSODE.h
	liboctave/numeric/ODE.h liboctave/numeric/ODEFunc.h
	liboctave/numeric/ODES.cc liboctave/numeric/ODES.h
	liboctave/numeric/ODESFunc.h liboctave/numeric/Quad-opts.in
	liboctave/numeric/Quad.cc liboctave/numeric/Quad.h
	liboctave/numeric/aepbalance.cc liboctave/numeric/aepbalance.h
	liboctave/numeric/base-dae.h liboctave/numeric/base-de.h
	liboctave/numeric/base-min.h liboctave/numeric/bsxfun-decl.h
	liboctave/numeric/bsxfun-defs.cc liboctave/numeric/bsxfun.h
	liboctave/numeric/chol.cc liboctave/numeric/chol.h liboctave/numeric
	/eigs-base.cc liboctave/numeric/eigs-base.h
	liboctave/numeric/fEIG.cc liboctave/numeric/fEIG.h
	liboctave/numeric/gepbalance.cc liboctave/numeric/gepbalance.h
	liboctave/numeric/gsvd.cc liboctave/numeric/gsvd.h
	liboctave/numeric/hess.cc liboctave/numeric/hess.h liboctave/numeric
	/lo-amos-proto.h liboctave/numeric/lo-arpack-proto.h
	liboctave/numeric/lo-blas-proto.h liboctave/numeric/lo-lapack-
	proto.h liboctave/numeric/lo-mappers.cc liboctave/numeric/lo-
	mappers.h liboctave/numeric/lo-qrupdate-proto.h liboctave/numeric
	/lo-ranlib-proto.h liboctave/numeric/lo-slatec-proto.h
	liboctave/numeric/lo-specfun.cc liboctave/numeric/lo-specfun.h
	liboctave/numeric/lu.cc liboctave/numeric/lu.h liboctave/numeric
	/oct-convn.cc liboctave/numeric/oct-convn.h liboctave/numeric/oct-
	fftw.cc liboctave/numeric/oct-fftw.h liboctave/numeric/oct-norm.cc
	liboctave/numeric/oct-norm.h liboctave/numeric/oct-rand.cc
	liboctave/numeric/oct-rand.h liboctave/numeric/oct-spparms.cc
	liboctave/numeric/oct-spparms.h liboctave/numeric/qr.cc
	liboctave/numeric/qr.h liboctave/numeric/qrp.cc
	liboctave/numeric/qrp.h liboctave/numeric/randgamma.cc
	liboctave/numeric/randgamma.h liboctave/numeric/randmtzig.cc
	liboctave/numeric/randmtzig.h liboctave/numeric/randpoisson.cc
	liboctave/numeric/randpoisson.h liboctave/numeric/schur.cc
	liboctave/numeric/schur.h liboctave/numeric/sparse-chol.cc
	liboctave/numeric/sparse-chol.h liboctave/numeric/sparse-dmsolve.cc
	liboctave/numeric/sparse-dmsolve.h liboctave/numeric/sparse-lu.cc
	liboctave/numeric/sparse-lu.h liboctave/numeric/sparse-qr.cc
	liboctave/numeric/sparse-qr.h liboctave/numeric/svd.cc
	liboctave/numeric/svd.h liboctave/operators/Sparse-diag-op-defs.h
	liboctave/operators/Sparse-op-decls.h liboctave/operators/Sparse-op-
	defs.h liboctave/operators/Sparse-perm-op-defs.h liboctave/operators
	/config-ops.sh liboctave/operators/mk-ops.awk liboctave/operators
	/mx-base.h liboctave/operators/mx-defs.h liboctave/operators/mx-
	ext.h liboctave/operators/mx-inlines.cc liboctave/operators/mx-op-
	decl.h liboctave/operators/mx-op-defs.h liboctave/operators/mx-ops
	liboctave/operators/smx-ops liboctave/operators/vx-ops
	liboctave/system/child-list.cc liboctave/system/child-list.h
	liboctave/system/cmach-info.c liboctave/system/cmach-info.h
	liboctave/system/dir-ops.cc liboctave/system/dir-ops.h
	liboctave/system/file-ops.cc liboctave/system/file-ops.h
	liboctave/system/file-stat.cc liboctave/system/file-stat.h
	liboctave/system/lo-sysdep.cc liboctave/system/lo-sysdep.h
	liboctave/system/lo-sysinfo.cc liboctave/system/lo-sysinfo.h
	liboctave/system/mach-info.cc liboctave/system/mach-info.h
	liboctave/system/oct-env.cc liboctave/system/oct-env.h
	liboctave/system/oct-group.cc liboctave/system/oct-group.h
	liboctave/system/oct-passwd.cc liboctave/system/oct-passwd.h
	liboctave/system/oct-syscalls.cc liboctave/system/oct-syscalls.h
	liboctave/system/oct-time.cc liboctave/system/oct-time.h
	liboctave/system/oct-uname.cc liboctave/system/oct-uname.h
	liboctave/util/action-container.h liboctave/util/base-list.h
	liboctave/util/blaswrap.c liboctave/util/byte-swap.h liboctave/util
	/caseless-str.h liboctave/util/cmd-edit.cc liboctave/util/cmd-edit.h
	liboctave/util/cmd-hist.cc liboctave/util/cmd-hist.h
	liboctave/util/cquit.c liboctave/util/d1mach-tst.for
	liboctave/util/d1mach.f liboctave/util/data-conv.cc liboctave/util
	/data-conv.h liboctave/util/f2c-main.c liboctave/util/f77-fcn.c
	liboctave/util/f77-fcn.h liboctave/util/file-info.cc liboctave/util
	/file-info.h liboctave/util/functor.h liboctave/util/glob-match.cc
	liboctave/util/glob-match.h liboctave/util/i1mach.f
	liboctave/util/kpse.cc liboctave/util/kpse.h liboctave/util/lo-
	array-errwarn.cc liboctave/util/lo-array-errwarn.h liboctave/util
	/lo-cutils.c liboctave/util/lo-cutils.h liboctave/util/lo-error.c
	liboctave/util/lo-error.h liboctave/util/lo-hash.cc liboctave/util
	/lo-hash.h liboctave/util/lo-ieee.cc liboctave/util/lo-ieee.h
	liboctave/util/lo-regexp.cc liboctave/util/lo-regexp.h
	liboctave/util/lo-traits.h liboctave/util/lo-utils.cc liboctave/util
	/lo-utils.h liboctave/util/oct-base64.cc liboctave/util/oct-base64.h
	liboctave/util/oct-binmap.h liboctave/util/oct-cmplx.h
	liboctave/util/oct-glob.cc liboctave/util/oct-glob.h liboctave/util
	/oct-inttypes-fwd.h liboctave/util/oct-inttypes.cc liboctave/util
	/oct-inttypes.h liboctave/util/oct-locbuf.h liboctave/util/oct-
	mutex.cc liboctave/util/oct-mutex.h liboctave/util/oct-refcount.h
	liboctave/util/oct-rl-edit.c liboctave/util/oct-rl-edit.h
	liboctave/util/oct-rl-hist.c liboctave/util/oct-rl-hist.h
	liboctave/util/oct-shlib.cc liboctave/util/oct-shlib.h
	liboctave/util/oct-sort.cc liboctave/util/oct-sort.h liboctave/util
	/oct-sparse.cc liboctave/util/oct-sparse.h liboctave/util/oct-
	string.cc liboctave/util/oct-string.h liboctave/util/octave-
	preserve-stream-state.h liboctave/util/pathsearch.cc
	liboctave/util/pathsearch.h liboctave/util/quit.cc
	liboctave/util/quit.h liboctave/util/r1mach.f liboctave/util
	/singleton-cleanup.cc liboctave/util/singleton-cleanup.h
	liboctave/util/sparse-sort.cc liboctave/util/sparse-sort.h
	liboctave/util/sparse-util.cc liboctave/util/sparse-util.h
	liboctave/util/str-vec.cc liboctave/util/str-vec.h liboctave/util
	/unwind-prot.cc liboctave/util/unwind-prot.h liboctave/util/url-
	transfer.cc liboctave/util/url-transfer.h liboctave/version.cc
	liboctave/version.in.h liboctave/wrappers/areadlink-wrapper.c
	liboctave/wrappers/areadlink-wrapper.h liboctave/wrappers/async-
	system-wrapper.c liboctave/wrappers/async-system-wrapper.h
	liboctave/wrappers/base64-wrappers.c
	liboctave/wrappers/base64-wrappers.h liboctave/wrappers
	/canonicalize-file-name-wrapper.c liboctave/wrappers/canonicalize-
	file-name-wrapper.h liboctave/wrappers/dirent-wrappers.c
	liboctave/wrappers/dirent-wrappers.h liboctave/wrappers/fcntl-
	wrappers.c liboctave/wrappers/fcntl-wrappers.h liboctave/wrappers
	/filepos-wrappers.c liboctave/wrappers/filepos-wrappers.h
	liboctave/wrappers/fpucw-wrappers.c liboctave/wrappers/fpucw-
	wrappers.h liboctave/wrappers/gen-tempname-wrapper.c
	liboctave/wrappers/gen-tempname-wrapper.h liboctave/wrappers/getopt-
	wrapper.c liboctave/wrappers/getopt-wrapper.h liboctave/wrappers
	/glob-wrappers.c liboctave/wrappers/glob-wrappers.h
	liboctave/wrappers/hash-wrappers.c liboctave/wrappers/hash-
	wrappers.h liboctave/wrappers/iconv-wrappers.c liboctave/wrappers
	/iconv-wrappers.h liboctave/wrappers/localcharset-wrapper.c
	liboctave/wrappers/localcharset-wrapper.h liboctave/wrappers/math-
	wrappers.c liboctave/wrappers/math-wrappers.h liboctave/wrappers
	/mkostemp-wrapper.c liboctave/wrappers/mkostemp-wrapper.h
	liboctave/wrappers/mkostemps-wrapper.c liboctave/wrappers/mkostemps-
	wrapper.h liboctave/wrappers/nanosleep-wrapper.c liboctave/wrappers
	/nanosleep-wrapper.h liboctave/wrappers/nproc-wrapper.c
	liboctave/wrappers/nproc-wrapper.h liboctave/wrappers/octave-
	popen2.c liboctave/wrappers/octave-popen2.h liboctave/wrappers
	/putenv-wrapper.c liboctave/wrappers/putenv-wrapper.h
	liboctave/wrappers/set-program-name-wrapper.c liboctave/wrappers
	/set-program-name-wrapper.h liboctave/wrappers/signal-wrappers.c
	liboctave/wrappers/signal-wrappers.h liboctave/wrappers/stat-
	wrappers.c liboctave/wrappers/stat-wrappers.h liboctave/wrappers
	/strdup-wrapper.c liboctave/wrappers/strdup-wrapper.h
	liboctave/wrappers/strftime-wrapper.c liboctave/wrappers/strftime-
	wrapper.h liboctave/wrappers/strmode-wrapper.c liboctave/wrappers
	/strmode-wrapper.h liboctave/wrappers/strptime-wrapper.c
	liboctave/wrappers/strptime-wrapper.h liboctave/wrappers/time-
	wrappers.c liboctave/wrappers/time-wrappers.h liboctave/wrappers
	/tmpfile-wrapper.c liboctave/wrappers/tmpfile-wrapper.h
	liboctave/wrappers/uname-wrapper.c liboctave/wrappers/uname-
	wrapper.h liboctave/wrappers/unicase-wrappers.c liboctave/wrappers
	/unicase-wrappers.h liboctave/wrappers/uniconv-wrappers.c
	liboctave/wrappers/uniconv-wrappers.h liboctave/wrappers/unictype-
	wrappers.c liboctave/wrappers/unictype-wrappers.h liboctave/wrappers
	/unistd-wrappers.c liboctave/wrappers/unistd-wrappers.h
	liboctave/wrappers/unistr-wrappers.c liboctave/wrappers/unistr-
	wrappers.h liboctave/wrappers/unsetenv-wrapper.c liboctave/wrappers
	/unsetenv-wrapper.h liboctave/wrappers/vasprintf-wrapper.c
	liboctave/wrappers/vasprintf-wrapper.h liboctave/wrappers/wait-for-
	input.c liboctave/wrappers/wait-for-input.h liboctave/wrappers/wait-
	wrappers.c liboctave/wrappers/wait-wrappers.h m4/acinclude.m4 oct-
	conf-post.in.h run-octave.in scripts/+containers/Map.m
	scripts/+matlab/+lang/makeUniqueStrings.m
	scripts/+matlab/+lang/makeValidName.m scripts/@ftp/ascii.m
	scripts/@ftp/binary.m scripts/@ftp/cd.m scripts/@ftp/close.m
	scripts/@ftp/delete.m scripts/@ftp/dir.m scripts/@ftp/disp.m
	scripts/@ftp/ftp.m scripts/@ftp/loadobj.m scripts/@ftp/mget.m
	scripts/@ftp/mkdir.m scripts/@ftp/mput.m scripts/@ftp/rename.m
	scripts/@ftp/rmdir.m scripts/@ftp/saveobj.m
	scripts/audio/@audioplayer/__get_properties__.m
	scripts/audio/@audioplayer/audioplayer.m
	scripts/audio/@audioplayer/disp.m scripts/audio/@audioplayer/get.m
	scripts/audio/@audioplayer/isplaying.m
	scripts/audio/@audioplayer/pause.m scripts/audio/@audioplayer/play.m
	scripts/audio/@audioplayer/playblocking.m
	scripts/audio/@audioplayer/resume.m scripts/audio/@audioplayer/set.m
	scripts/audio/@audioplayer/stop.m
	scripts/audio/@audioplayer/subsasgn.m
	scripts/audio/@audioplayer/subsref.m
	scripts/audio/@audiorecorder/__get_properties__.m
	scripts/audio/@audiorecorder/audiorecorder.m
	scripts/audio/@audiorecorder/disp.m
	scripts/audio/@audiorecorder/get.m
	scripts/audio/@audiorecorder/getaudiodata.m
	scripts/audio/@audiorecorder/getplayer.m
	scripts/audio/@audiorecorder/isrecording.m
	scripts/audio/@audiorecorder/pause.m
	scripts/audio/@audiorecorder/play.m
	scripts/audio/@audiorecorder/record.m
	scripts/audio/@audiorecorder/recordblocking.m
	scripts/audio/@audiorecorder/resume.m
	scripts/audio/@audiorecorder/set.m
	scripts/audio/@audiorecorder/stop.m
	scripts/audio/@audiorecorder/subsasgn.m
	scripts/audio/@audiorecorder/subsref.m scripts/audio/lin2mu.m
	scripts/audio/mu2lin.m scripts/audio/record.m scripts/audio/sound.m
	scripts/audio/soundsc.m scripts/deprecated/chop.m
	scripts/deprecated/comma.m scripts/deprecated/desktop.m
	scripts/deprecated/java2mat.m
	scripts/deprecated/output_max_field_width.m
	scripts/deprecated/paren.m scripts/deprecated/semicolon.m
	scripts/deprecated/tmpnam.m scripts/deprecated/toascii.m
	scripts/elfun/acosd.m scripts/elfun/acot.m scripts/elfun/acotd.m
	scripts/elfun/acoth.m scripts/elfun/acsc.m scripts/elfun/acscd.m
	scripts/elfun/acsch.m scripts/elfun/asec.m scripts/elfun/asecd.m
	scripts/elfun/asech.m scripts/elfun/asind.m scripts/elfun/atan2d.m
	scripts/elfun/atand.m scripts/elfun/cosd.m scripts/elfun/cot.m
	scripts/elfun/cotd.m scripts/elfun/coth.m scripts/elfun/csc.m
	scripts/elfun/cscd.m scripts/elfun/csch.m scripts/elfun/sec.m
	scripts/elfun/secd.m scripts/elfun/sech.m scripts/elfun/sind.m
	scripts/elfun/tand.m scripts/general/accumarray.m
	scripts/general/accumdim.m scripts/general/bincoeff.m
	scripts/general/bitcmp.m scripts/general/bitget.m
	scripts/general/bitset.m scripts/general/blkdiag.m
	scripts/general/cart2pol.m scripts/general/cart2sph.m
	scripts/general/cell2mat.m scripts/general/celldisp.m
	scripts/general/circshift.m scripts/general/common_size.m
	scripts/general/cplxpair.m scripts/general/cumtrapz.m
	scripts/general/curl.m scripts/general/dblquad.m
	scripts/general/deal.m scripts/general/deg2rad.m
	scripts/general/del2.m scripts/general/divergence.m
	scripts/general/flip.m scripts/general/fliplr.m
	scripts/general/flipud.m scripts/general/gradient.m
	scripts/general/idivide.m scripts/general/int2str.m
	scripts/general/integral.m scripts/general/integral2.m
	scripts/general/integral3.m scripts/general/interp1.m
	scripts/general/interp2.m scripts/general/interp3.m
	scripts/general/interpft.m scripts/general/interpn.m
	scripts/general/isequal.m scripts/general/isequaln.m
	scripts/general/logspace.m scripts/general/nextpow2.m
	scripts/general/num2str.m scripts/general/pol2cart.m
	scripts/general/polyarea.m scripts/general/postpad.m
	scripts/general/prepad.m scripts/general/private/__splinen__.m
	scripts/general/quad2d.m scripts/general/quadgk.m
	scripts/general/quadl.m scripts/general/quadv.m
	scripts/general/rad2deg.m scripts/general/randi.m
	scripts/general/rat.m scripts/general/repelem.m
	scripts/general/repmat.m scripts/general/rot90.m
	scripts/general/rotdim.m scripts/general/shift.m
	scripts/general/shiftdim.m scripts/general/sortrows.m
	scripts/general/sph2cart.m scripts/general/structfun.m
	scripts/general/subsindex.m scripts/general/trapz.m
	scripts/general/triplequad.m scripts/general/xor.m
	scripts/geometry/convhull.m scripts/geometry/delaunay.m
	scripts/geometry/delaunayn.m scripts/geometry/dsearch.m
	scripts/geometry/dsearchn.m scripts/geometry/griddata.m
	scripts/geometry/griddata3.m scripts/geometry/griddatan.m
	scripts/geometry/inpolygon.m scripts/geometry/rectint.m
	scripts/geometry/tsearchn.m scripts/geometry/voronoi.m
	scripts/geometry/voronoin.m scripts/gui/dialog.m
	scripts/gui/errordlg.m scripts/gui/getappdata.m
	scripts/gui/guidata.m scripts/gui/guihandles.m scripts/gui/helpdlg.m
	scripts/gui/inputdlg.m scripts/gui/isappdata.m scripts/gui/listdlg.m
	scripts/gui/movegui.m scripts/gui/msgbox.m
	scripts/gui/private/__file_filter__.m
	scripts/gui/private/__fltk_file_filter__.m
	scripts/gui/private/__get_funcname__.m
	scripts/gui/private/__is_function__.m
	scripts/gui/private/__uigetdir_fltk__.m
	scripts/gui/private/__uigetfile_fltk__.m
	scripts/gui/private/__uiobject_split_args__.m
	scripts/gui/private/__uiputfile_fltk__.m scripts/gui/questdlg.m
	scripts/gui/rmappdata.m scripts/gui/setappdata.m
	scripts/gui/uibuttongroup.m scripts/gui/uicontextmenu.m
	scripts/gui/uicontrol.m scripts/gui/uigetdir.m
	scripts/gui/uigetfile.m scripts/gui/uimenu.m scripts/gui/uipanel.m
	scripts/gui/uipushtool.m scripts/gui/uiputfile.m
	scripts/gui/uiresume.m scripts/gui/uitable.m
	scripts/gui/uitoggletool.m scripts/gui/uitoolbar.m
	scripts/gui/uiwait.m scripts/gui/waitbar.m
	scripts/gui/waitforbuttonpress.m scripts/gui/warndlg.m
	scripts/help/__gripe_missing_component__.m
	scripts/help/__makeinfo__.m scripts/help/__unimplemented__.m
	scripts/help/ans.m scripts/help/bessel.m scripts/help/debug.m
	scripts/help/doc.m scripts/help/doc_cache_create.m
	scripts/help/error_ids.m scripts/help/get_first_help_sentence.m
	scripts/help/help.m scripts/help/lookfor.m
	scripts/help/print_usage.m
	scripts/help/private/__additional_help_message__.m
	scripts/help/private/__strip_html_tags__.m scripts/help/slash.m
	scripts/help/type.m scripts/help/warning_ids.m scripts/help/which.m
	scripts/image/autumn.m scripts/image/bone.m scripts/image/brighten.m
	scripts/image/cmpermute.m scripts/image/cmunique.m
	scripts/image/colorcube.m scripts/image/colormap.m
	scripts/image/contrast.m scripts/image/cool.m scripts/image/copper.m
	scripts/image/cubehelix.m scripts/image/flag.m
	scripts/image/frame2im.m scripts/image/getframe.m
	scripts/image/gray.m scripts/image/gray2ind.m scripts/image/hot.m
	scripts/image/hsv.m scripts/image/hsv2rgb.m
	scripts/image/im2double.m scripts/image/im2frame.m
	scripts/image/image.m scripts/image/imagesc.m
	scripts/image/imfinfo.m scripts/image/imformats.m
	scripts/image/imread.m scripts/image/imshow.m
	scripts/image/imwrite.m scripts/image/ind2gray.m
	scripts/image/ind2rgb.m scripts/image/iscolormap.m
	scripts/image/jet.m scripts/image/lines.m scripts/image/ocean.m
	scripts/image/pink.m scripts/image/prism.m
	scripts/image/private/__imfinfo__.m
	scripts/image/private/__imread__.m
	scripts/image/private/__imwrite__.m
	scripts/image/private/colorspace_conversion_input_check.m
	scripts/image/private/colorspace_conversion_revert.m
	scripts/image/private/imageIO.m
	scripts/image/private/imwrite_filename.m
	scripts/image/private/ind2x.m scripts/image/rainbow.m
	scripts/image/rgb2gray.m scripts/image/rgb2hsv.m
	scripts/image/rgb2ind.m scripts/image/rgbplot.m
	scripts/image/spinmap.m scripts/image/spring.m
	scripts/image/summer.m scripts/image/viridis.m scripts/image/white.m
	scripts/image/winter.m scripts/io/beep.m scripts/io/csvread.m
	scripts/io/csvwrite.m scripts/io/dlmwrite.m scripts/io/fileread.m
	scripts/io/importdata.m scripts/io/is_valid_file_id.m
	scripts/java/javaArray.m scripts/java/java_get.m
	scripts/java/java_set.m scripts/java/javaaddpath.m
	scripts/java/javachk.m scripts/java/javaclasspath.m
	scripts/java/javamem.m scripts/java/javarmpath.m
	scripts/java/org/octave/ClassHelper.java
	scripts/java/org/octave/Matrix.java
	scripts/java/org/octave/OctClassLoader.java
	scripts/java/org/octave/Octave.java
	scripts/java/org/octave/OctaveReference.java scripts/java/usejava.m
	scripts/legacy/findstr.m scripts/legacy/flipdim.m
	scripts/legacy/genvarname.m scripts/legacy/isdir.m
	scripts/legacy/isequalwithequalnans.m scripts/legacy/isstr.m
	scripts/legacy/setstr.m scripts/legacy/strmatch.m
	scripts/legacy/strread.m scripts/legacy/textread.m scripts/linear-
	algebra/bandwidth.m scripts/linear-algebra/commutation_matrix.m
	scripts/linear-algebra/cond.m scripts/linear-algebra/condeig.m
	scripts/linear-algebra/condest.m scripts/linear-algebra/cross.m
	scripts/linear-algebra/duplication_matrix.m scripts/linear-
	algebra/expm.m scripts/linear-algebra/gls.m scripts/linear-
	algebra/housh.m scripts/linear-algebra/isbanded.m scripts/linear-
	algebra/isdefinite.m scripts/linear-algebra/isdiag.m scripts/linear-
	algebra/ishermitian.m scripts/linear-algebra/issymmetric.m scripts
	/linear-algebra/istril.m scripts/linear-algebra/istriu.m scripts
	/linear-algebra/krylov.m scripts/linear-algebra/linsolve.m scripts
	/linear-algebra/logm.m scripts/linear-algebra/lscov.m scripts
	/linear-algebra/normest.m scripts/linear-algebra/normest1.m scripts
	/linear-algebra/null.m scripts/linear-algebra/ols.m scripts/linear-
	algebra/ordeig.m scripts/linear-algebra/orth.m scripts/linear-
	algebra/planerot.m scripts/linear-algebra/qzhess.m scripts/linear-
	algebra/rank.m scripts/linear-algebra/rref.m scripts/linear-
	algebra/subspace.m scripts/linear-algebra/trace.m scripts/linear-
	algebra/vech.m scripts/linear-algebra/vecnorm.m
	scripts/miscellaneous/bug_report.m scripts/miscellaneous/bunzip2.m
	scripts/miscellaneous/cast.m scripts/miscellaneous/citation.m
	scripts/miscellaneous/clearvars.m
	scripts/miscellaneous/compare_versions.m
	scripts/miscellaneous/computer.m scripts/miscellaneous/copyfile.m
	scripts/miscellaneous/delete.m scripts/miscellaneous/dir.m
	scripts/miscellaneous/dos.m scripts/miscellaneous/edit.m
	scripts/miscellaneous/fact.m scripts/miscellaneous/fieldnames.m
	scripts/miscellaneous/fileattrib.m scripts/miscellaneous/fileparts.m
	scripts/miscellaneous/fullfile.m scripts/miscellaneous/getfield.m
	scripts/miscellaneous/grabcode.m scripts/miscellaneous/gunzip.m
	scripts/miscellaneous/info.m scripts/miscellaneous/inputParser.m
	scripts/miscellaneous/inputname.m scripts/miscellaneous/isdeployed.m
	scripts/miscellaneous/isfile.m scripts/miscellaneous/isfolder.m
	scripts/miscellaneous/ismac.m scripts/miscellaneous/ispc.m
	scripts/miscellaneous/isunix.m scripts/miscellaneous/license.m
	scripts/miscellaneous/list_primes.m scripts/miscellaneous/loadobj.m
	scripts/miscellaneous/ls.m scripts/miscellaneous/ls_command.m
	scripts/miscellaneous/menu.m scripts/miscellaneous/methods.m
	scripts/miscellaneous/mex.m scripts/miscellaneous/mexext.m
	scripts/miscellaneous/mkdir.m scripts/miscellaneous/mkoctfile.m
	scripts/miscellaneous/movefile.m
	scripts/miscellaneous/namelengthmax.m
	scripts/miscellaneous/nargchk.m scripts/miscellaneous/narginchk.m
	scripts/miscellaneous/nargoutchk.m scripts/miscellaneous/news.m
	scripts/miscellaneous/nthargout.m scripts/miscellaneous/open.m
	scripts/miscellaneous/orderfields.m scripts/miscellaneous/pack.m
	scripts/miscellaneous/parseparams.m scripts/miscellaneous/perl.m
	scripts/miscellaneous/private/__publish_html_output__.m
	scripts/miscellaneous/private/__publish_latex_output__.m
	scripts/miscellaneous/private/__w2mpth__.m
	scripts/miscellaneous/private/display_info_file.m
	scripts/miscellaneous/publish.m scripts/miscellaneous/python.m
	scripts/miscellaneous/recycle.m scripts/miscellaneous/run.m
	scripts/miscellaneous/saveobj.m scripts/miscellaneous/setfield.m
	scripts/miscellaneous/substruct.m scripts/miscellaneous/swapbytes.m
	scripts/miscellaneous/symvar.m scripts/miscellaneous/tar.m
	scripts/miscellaneous/tempdir.m scripts/miscellaneous/unix.m
	scripts/miscellaneous/unpack.m scripts/miscellaneous/untar.m
	scripts/miscellaneous/unzip.m
	scripts/miscellaneous/validateattributes.m
	scripts/miscellaneous/ver.m scripts/miscellaneous/version.m
	scripts/miscellaneous/what.m scripts/miscellaneous/zip.m scripts/mk-
	doc.pl scripts/mk-pkg-add.sh scripts/ode/decic.m
	scripts/ode/ode15i.m scripts/ode/ode15s.m scripts/ode/ode23.m
	scripts/ode/ode45.m scripts/ode/odeget.m scripts/ode/odeplot.m
	scripts/ode/odeset.m scripts/ode/private/AbsRel_norm.m
	scripts/ode/private/check_default_input.m
	scripts/ode/private/integrate_adaptive.m scripts/ode/private/kahan.m
	scripts/ode/private/ode_event_handler.m
	scripts/ode/private/odedefaults.m scripts/ode/private/odemergeopts.m
	scripts/ode/private/runge_kutta_23.m
	scripts/ode/private/runge_kutta_45_dorpri.m
	scripts/ode/private/runge_kutta_interpolate.m
	scripts/ode/private/starting_stepsize.m
	scripts/optimization/__all_opts__.m scripts/optimization/fminbnd.m
	scripts/optimization/fminsearch.m scripts/optimization/fminunc.m
	scripts/optimization/fsolve.m scripts/optimization/fzero.m
	scripts/optimization/glpk.m scripts/optimization/humps.m
	scripts/optimization/lsqnonneg.m scripts/optimization/optimget.m
	scripts/optimization/optimset.m scripts/optimization/pqpnonneg.m
	scripts/optimization/private/__fdjac__.m scripts/optimization/qp.m
	scripts/optimization/sqp.m scripts/path/import.m
	scripts/path/matlabroot.m scripts/path/pathdef.m
	scripts/path/private/getsavepath.m scripts/path/savepath.m
	scripts/pkg/pkg.m scripts/pkg/private/build.m
	scripts/pkg/private/configure_make.m
	scripts/pkg/private/default_prefix.m scripts/pkg/private/describe.m
	scripts/pkg/private/dirempty.m scripts/pkg/private/get_description.m
	scripts/pkg/private/get_forge_download.m
	scripts/pkg/private/get_forge_pkg.m
	scripts/pkg/private/get_unsatisfied_deps.m
	scripts/pkg/private/getarch.m scripts/pkg/private/getarchdir.m
	scripts/pkg/private/install.m
	scripts/pkg/private/installed_packages.m
	scripts/pkg/private/list_forge_packages.m
	scripts/pkg/private/load_packages.m
	scripts/pkg/private/load_packages_and_dependencies.m
	scripts/pkg/private/rebuild.m scripts/pkg/private/save_order.m
	scripts/pkg/private/uninstall.m
	scripts/pkg/private/unload_packages.m
	scripts/plot/appearance/__clabel__.m
	scripts/plot/appearance/__getlegenddata__.m
	scripts/plot/appearance/__rotate_around_axis__.m
	scripts/plot/appearance/annotation.m scripts/plot/appearance/axis.m
	scripts/plot/appearance/box.m scripts/plot/appearance/camlookat.m
	scripts/plot/appearance/camorbit.m scripts/plot/appearance/campos.m
	scripts/plot/appearance/camroll.m
	scripts/plot/appearance/camtarget.m scripts/plot/appearance/camup.m
	scripts/plot/appearance/camva.m scripts/plot/appearance/camzoom.m
	scripts/plot/appearance/caxis.m scripts/plot/appearance/clabel.m
	scripts/plot/appearance/daspect.m scripts/plot/appearance/datetick.m
	scripts/plot/appearance/diffuse.m scripts/plot/appearance/grid.m
	scripts/plot/appearance/gtext.m scripts/plot/appearance/hidden.m
	scripts/plot/appearance/legend.m scripts/plot/appearance/lighting.m
	scripts/plot/appearance/material.m scripts/plot/appearance/orient.m
	scripts/plot/appearance/pbaspect.m
	scripts/plot/appearance/private/__axis_label__.m
	scripts/plot/appearance/private/__axis_limits__.m
	scripts/plot/appearance/rticks.m scripts/plot/appearance/shading.m
	scripts/plot/appearance/specular.m scripts/plot/appearance/text.m
	scripts/plot/appearance/thetaticks.m scripts/plot/appearance/title.m
	scripts/plot/appearance/view.m scripts/plot/appearance/whitebg.m
	scripts/plot/appearance/xlabel.m scripts/plot/appearance/xlim.m
	scripts/plot/appearance/xticklabels.m
	scripts/plot/appearance/xticks.m scripts/plot/appearance/ylabel.m
	scripts/plot/appearance/ylim.m scripts/plot/appearance/yticklabels.m
	scripts/plot/appearance/yticks.m scripts/plot/appearance/zlabel.m
	scripts/plot/appearance/zlim.m scripts/plot/appearance/zticklabels.m
	scripts/plot/appearance/zticks.m scripts/plot/draw/area.m
	scripts/plot/draw/bar.m scripts/plot/draw/barh.m
	scripts/plot/draw/camlight.m scripts/plot/draw/colorbar.m
	scripts/plot/draw/comet.m scripts/plot/draw/comet3.m
	scripts/plot/draw/compass.m scripts/plot/draw/contour.m
	scripts/plot/draw/contour3.m scripts/plot/draw/contourc.m
	scripts/plot/draw/contourf.m scripts/plot/draw/cylinder.m
	scripts/plot/draw/ellipsoid.m scripts/plot/draw/errorbar.m
	scripts/plot/draw/ezcontour.m scripts/plot/draw/ezcontourf.m
	scripts/plot/draw/ezmesh.m scripts/plot/draw/ezmeshc.m
	scripts/plot/draw/ezplot.m scripts/plot/draw/ezplot3.m
	scripts/plot/draw/ezpolar.m scripts/plot/draw/ezsurf.m
	scripts/plot/draw/ezsurfc.m scripts/plot/draw/feather.m
	scripts/plot/draw/fill.m scripts/plot/draw/fplot.m
	scripts/plot/draw/hist.m scripts/plot/draw/isocaps.m
	scripts/plot/draw/isocolors.m scripts/plot/draw/isonormals.m
	scripts/plot/draw/isosurface.m scripts/plot/draw/light.m
	scripts/plot/draw/line.m scripts/plot/draw/loglog.m
	scripts/plot/draw/loglogerr.m scripts/plot/draw/mesh.m
	scripts/plot/draw/meshc.m scripts/plot/draw/meshz.m
	scripts/plot/draw/pareto.m scripts/plot/draw/patch.m
	scripts/plot/draw/pcolor.m scripts/plot/draw/peaks.m
	scripts/plot/draw/pie.m scripts/plot/draw/pie3.m
	scripts/plot/draw/plot.m scripts/plot/draw/plot3.m
	scripts/plot/draw/plotmatrix.m scripts/plot/draw/plotyy.m
	scripts/plot/draw/polar.m
	scripts/plot/draw/private/__add_datasource__.m
	scripts/plot/draw/private/__bar__.m
	scripts/plot/draw/private/__calc_isovalue_from_data__.m
	scripts/plot/draw/private/__contour__.m
	scripts/plot/draw/private/__errplot__.m
	scripts/plot/draw/private/__ezplot__.m
	scripts/plot/draw/private/__interp_cube__.m
	scripts/plot/draw/private/__line__.m
	scripts/plot/draw/private/__marching_cube__.m
	scripts/plot/draw/private/__patch__.m
	scripts/plot/draw/private/__pie__.m
	scripts/plot/draw/private/__plt__.m
	scripts/plot/draw/private/__quiver__.m
	scripts/plot/draw/private/__scatter__.m
	scripts/plot/draw/private/__stem__.m
	scripts/plot/draw/private/__unite_shared_vertices__.m
	scripts/plot/draw/quiver.m scripts/plot/draw/quiver3.m
	scripts/plot/draw/rectangle.m scripts/plot/draw/reducepatch.m
	scripts/plot/draw/reducevolume.m scripts/plot/draw/ribbon.m
	scripts/plot/draw/rose.m scripts/plot/draw/scatter.m
	scripts/plot/draw/scatter3.m scripts/plot/draw/semilogx.m
	scripts/plot/draw/semilogxerr.m scripts/plot/draw/semilogy.m
	scripts/plot/draw/semilogyerr.m scripts/plot/draw/shrinkfaces.m
	scripts/plot/draw/slice.m scripts/plot/draw/smooth3.m
	scripts/plot/draw/sombrero.m scripts/plot/draw/sphere.m
	scripts/plot/draw/stairs.m scripts/plot/draw/stem.m
	scripts/plot/draw/stem3.m scripts/plot/draw/stemleaf.m
	scripts/plot/draw/surf.m scripts/plot/draw/surface.m
	scripts/plot/draw/surfc.m scripts/plot/draw/surfl.m
	scripts/plot/draw/surfnorm.m scripts/plot/draw/tetramesh.m
	scripts/plot/draw/trimesh.m scripts/plot/draw/triplot.m
	scripts/plot/draw/trisurf.m scripts/plot/draw/waterfall.m
	scripts/plot/util/__actual_axis_position__.m
	scripts/plot/util/__default_plot_options__.m
	scripts/plot/util/__gnuplot_drawnow__.m
	scripts/plot/util/__next_line_color__.m
	scripts/plot/util/__next_line_style__.m
	scripts/plot/util/__opengl_info__.m
	scripts/plot/util/__plt_get_axis_arg__.m
	scripts/plot/util/__pltopt__.m scripts/plot/util/allchild.m
	scripts/plot/util/ancestor.m scripts/plot/util/axes.m
	scripts/plot/util/cla.m scripts/plot/util/clf.m
	scripts/plot/util/close.m scripts/plot/util/closereq.m
	scripts/plot/util/colstyle.m scripts/plot/util/copyobj.m
	scripts/plot/util/figure.m scripts/plot/util/findall.m
	scripts/plot/util/findfigs.m scripts/plot/util/findobj.m
	scripts/plot/util/gca.m scripts/plot/util/gcbf.m
	scripts/plot/util/gcbo.m scripts/plot/util/gcf.m
	scripts/plot/util/gco.m scripts/plot/util/ginput.m
	scripts/plot/util/gnuplot_binary.in.m
	scripts/plot/util/graphics_toolkit.m scripts/plot/util/groot.m
	scripts/plot/util/hdl2struct.m scripts/plot/util/hggroup.m
	scripts/plot/util/hgload.m scripts/plot/util/hgsave.m
	scripts/plot/util/hgtransform.m scripts/plot/util/hold.m
	scripts/plot/util/isaxes.m scripts/plot/util/isfigure.m
	scripts/plot/util/isgraphics.m scripts/plot/util/ishandle.m
	scripts/plot/util/ishold.m scripts/plot/util/isprop.m
	scripts/plot/util/linkaxes.m scripts/plot/util/linkprop.m
	scripts/plot/util/meshgrid.m scripts/plot/util/ndgrid.m
	scripts/plot/util/newplot.m scripts/plot/util/openfig.m
	scripts/plot/util/pan.m scripts/plot/util/print.m
	scripts/plot/util/printd.m
	scripts/plot/util/private/__add_default_menu__.m
	scripts/plot/util/private/__ghostscript__.m
	scripts/plot/util/private/__gnuplot_draw_axes__.m
	scripts/plot/util/private/__gnuplot_draw_figure__.m
	scripts/plot/util/private/__gnuplot_get_var__.m
	scripts/plot/util/private/__gnuplot_ginput__.m
	scripts/plot/util/private/__gnuplot_has_feature__.m
	scripts/plot/util/private/__gnuplot_has_terminal__.m
	scripts/plot/util/private/__gnuplot_open_stream__.m
	scripts/plot/util/private/__gnuplot_print__.m
	scripts/plot/util/private/__gnuplot_version__.m
	scripts/plot/util/private/__opengl_print__.m
	scripts/plot/util/private/__print_parse_opts__.m
	scripts/plot/util/private/__set_default_mouse_modes__.m
	scripts/plot/util/refresh.m scripts/plot/util/refreshdata.m
	scripts/plot/util/rotate.m scripts/plot/util/rotate3d.m
	scripts/plot/util/saveas.m scripts/plot/util/savefig.m
	scripts/plot/util/shg.m scripts/plot/util/struct2hdl.m
	scripts/plot/util/subplot.m scripts/plot/util/zoom.m
	scripts/polynomial/compan.m scripts/polynomial/conv.m
	scripts/polynomial/deconv.m scripts/polynomial/mkpp.m
	scripts/polynomial/mpoles.m scripts/polynomial/padecoef.m
	scripts/polynomial/pchip.m scripts/polynomial/poly.m
	scripts/polynomial/polyaffine.m scripts/polynomial/polyder.m
	scripts/polynomial/polyeig.m scripts/polynomial/polyfit.m
	scripts/polynomial/polygcd.m scripts/polynomial/polyint.m
	scripts/polynomial/polyout.m scripts/polynomial/polyreduce.m
	scripts/polynomial/polyval.m scripts/polynomial/polyvalm.m
	scripts/polynomial/ppder.m scripts/polynomial/ppint.m
	scripts/polynomial/ppjumps.m scripts/polynomial/ppval.m
	scripts/polynomial/residue.m scripts/polynomial/roots.m
	scripts/polynomial/spline.m scripts/polynomial/splinefit.m
	scripts/polynomial/unmkpp.m scripts/prefs/addpref.m
	scripts/prefs/getpref.m scripts/prefs/ispref.m
	scripts/prefs/prefdir.m scripts/prefs/preferences.m
	scripts/prefs/private/loadprefs.m scripts/prefs/private/prefsfile.m
	scripts/prefs/private/saveprefs.m scripts/prefs/rmpref.m
	scripts/prefs/setpref.m scripts/profiler/html/style.css
	scripts/profiler/profexplore.m scripts/profiler/profexport.m
	scripts/profiler/profile.m scripts/profiler/profshow.m
	scripts/set/intersect.m scripts/set/ismember.m
	scripts/set/powerset.m scripts/set/private/validsetargs.m
	scripts/set/setdiff.m scripts/set/setxor.m scripts/set/union.m
	scripts/set/unique.m scripts/signal/__parse_movargs__.m
	scripts/signal/arch_fit.m scripts/signal/arch_rnd.m
	scripts/signal/arch_test.m scripts/signal/arma_rnd.m
	scripts/signal/autoreg_matrix.m scripts/signal/bartlett.m
	scripts/signal/blackman.m scripts/signal/detrend.m
	scripts/signal/diffpara.m scripts/signal/durbinlevinson.m
	scripts/signal/fftconv.m scripts/signal/fftfilt.m
	scripts/signal/fftshift.m scripts/signal/filter2.m
	scripts/signal/fractdiff.m scripts/signal/freqz.m
	scripts/signal/freqz_plot.m scripts/signal/hamming.m
	scripts/signal/hanning.m scripts/signal/hurst.m
	scripts/signal/ifftshift.m scripts/signal/movfun.m
	scripts/signal/movslice.m scripts/signal/periodogram.m
	scripts/signal/private/rectangle_lw.m
	scripts/signal/private/rectangle_sw.m
	scripts/signal/private/triangle_lw.m
	scripts/signal/private/triangle_sw.m scripts/signal/sinc.m
	scripts/signal/sinetone.m scripts/signal/sinewave.m
	scripts/signal/spectral_adf.m scripts/signal/spectral_xdf.m
	scripts/signal/spencer.m scripts/signal/stft.m
	scripts/signal/synthesis.m scripts/signal/unwrap.m
	scripts/signal/yulewalker.m scripts/sparse/bicg.m
	scripts/sparse/bicgstab.m scripts/sparse/cgs.m
	scripts/sparse/colperm.m scripts/sparse/eigs.m
	scripts/sparse/etreeplot.m scripts/sparse/gmres.m
	scripts/sparse/gplot.m scripts/sparse/ichol.m scripts/sparse/ilu.m
	scripts/sparse/nonzeros.m scripts/sparse/pcg.m scripts/sparse/pcr.m
	scripts/sparse/private/__alltohandles__.m
	scripts/sparse/private/__default__input__.m
	scripts/sparse/private/__sprand__.m scripts/sparse/qmr.m
	scripts/sparse/spaugment.m scripts/sparse/spconvert.m
	scripts/sparse/spdiags.m scripts/sparse/speye.m
	scripts/sparse/spfun.m scripts/sparse/spones.m
	scripts/sparse/sprand.m scripts/sparse/sprandn.m
	scripts/sparse/sprandsym.m scripts/sparse/spstats.m
	scripts/sparse/spy.m scripts/sparse/svds.m scripts/sparse/tfqmr.m
	scripts/sparse/treelayout.m scripts/sparse/treeplot.m
	scripts/specfun/beta.m scripts/specfun/betainc.m
	scripts/specfun/betaincinv.m scripts/specfun/betaln.m
	scripts/specfun/cosint.m scripts/specfun/ellipke.m
	scripts/specfun/expint.m scripts/specfun/factor.m
	scripts/specfun/factorial.m scripts/specfun/gammainc.m
	scripts/specfun/gammaincinv.m scripts/specfun/isprime.m
	scripts/specfun/lcm.m scripts/specfun/legendre.m
	scripts/specfun/nchoosek.m scripts/specfun/nthroot.m
	scripts/specfun/perms.m scripts/specfun/pow2.m
	scripts/specfun/primes.m scripts/specfun/reallog.m
	scripts/specfun/realpow.m scripts/specfun/realsqrt.m
	scripts/specfun/sinint.m scripts/special-matrix/gallery.m scripts
	/special-matrix/hadamard.m scripts/special-matrix/hankel.m scripts
	/special-matrix/hilb.m scripts/special-matrix/invhilb.m scripts
	/special-matrix/magic.m scripts/special-matrix/pascal.m scripts
	/special-matrix/rosser.m scripts/special-matrix/toeplitz.m scripts
	/special-matrix/vander.m scripts/special-matrix/wilkinson.m
	scripts/startup/__finish__.m scripts/statistics/bounds.m
	scripts/statistics/center.m scripts/statistics/corr.m
	scripts/statistics/corrcoef.m scripts/statistics/cov.m
	scripts/statistics/discrete_cdf.m scripts/statistics/discrete_inv.m
	scripts/statistics/discrete_pdf.m scripts/statistics/discrete_rnd.m
	scripts/statistics/empirical_cdf.m
	scripts/statistics/empirical_inv.m
	scripts/statistics/empirical_pdf.m
	scripts/statistics/empirical_rnd.m scripts/statistics/histc.m
	scripts/statistics/iqr.m scripts/statistics/kendall.m
	scripts/statistics/kurtosis.m scripts/statistics/mad.m
	scripts/statistics/mean.m scripts/statistics/meansq.m
	scripts/statistics/median.m scripts/statistics/mode.m
	scripts/statistics/moment.m scripts/statistics/movmad.m
	scripts/statistics/movmax.m scripts/statistics/movmean.m
	scripts/statistics/movmedian.m scripts/statistics/movmin.m
	scripts/statistics/movprod.m scripts/statistics/movstd.m
	scripts/statistics/movsum.m scripts/statistics/movvar.m
	scripts/statistics/prctile.m scripts/statistics/quantile.m
	scripts/statistics/range.m scripts/statistics/ranks.m
	scripts/statistics/run_count.m scripts/statistics/runlength.m
	scripts/statistics/skewness.m scripts/statistics/spearman.m
	scripts/statistics/statistics.m scripts/statistics/std.m
	scripts/statistics/var.m scripts/statistics/zscore.m
	scripts/strings/base2dec.m scripts/strings/bin2dec.m
	scripts/strings/blanks.m scripts/strings/cstrcat.m
	scripts/strings/deblank.m scripts/strings/dec2base.m
	scripts/strings/dec2bin.m scripts/strings/dec2hex.m
	scripts/strings/erase.m scripts/strings/hex2dec.m
	scripts/strings/index.m scripts/strings/isletter.m
	scripts/strings/isstring.m scripts/strings/isstrprop.m
	scripts/strings/mat2str.m scripts/strings/native2unicode.m
	scripts/strings/ostrsplit.m scripts/strings/regexptranslate.m
	scripts/strings/rindex.m scripts/strings/str2num.m
	scripts/strings/strcat.m scripts/strings/strchr.m
	scripts/strings/strjoin.m scripts/strings/strjust.m
	scripts/strings/strsplit.m scripts/strings/strtok.m
	scripts/strings/strtrim.m scripts/strings/strtrunc.m
	scripts/strings/substr.m scripts/strings/unicode2native.m
	scripts/strings/untabify.m scripts/strings/validatestring.m
	scripts/testfun/__have_feature__.m
	scripts/testfun/__printf_assert__.m
	scripts/testfun/__prog_output_assert__.m
	scripts/testfun/__run_test_suite__.m scripts/testfun/assert.m
	scripts/testfun/demo.m scripts/testfun/example.m
	scripts/testfun/fail.m scripts/testfun/private/compare_plot_demos.m
	scripts/testfun/private/dump_demos.m
	scripts/testfun/private/html_compare_plot_demos.m
	scripts/testfun/rundemos.m scripts/testfun/runtests.m
	scripts/testfun/speed.m scripts/testfun/test.m
	scripts/time/addtodate.m scripts/time/asctime.m
	scripts/time/calendar.m scripts/time/clock.m scripts/time/ctime.m
	scripts/time/date.m scripts/time/datenum.m scripts/time/datestr.m
	scripts/time/datevec.m scripts/time/eomday.m scripts/time/etime.m
	scripts/time/is_leap_year.m scripts/time/now.m
	scripts/time/weekday.m src/display-available.c src/display-
	available.h src/main-cli.cc src/main-gui.cc src/main.in.cc
	src/mkoctfile.in.cc src/octave-build-info.h src/octave-build-
	info.in.cc src/octave-config.in.cc src/shared-fcns.h test/args.tst
	test/bug-31371.tst test/bug-35448/bug-35448.tst
	test/bug-35881/bug-35881.tst test/bug-36025/bug-36025.tst
	test/bug-38236/bug-38236.tst test/bug-38565.tst test/bug-38576.tst
	test/bug-38691/bug-38691.tst test/bug-41723/bug-41723.tst
	test/bug-44940/bug-44940.tst test/bug-46330.tst
	test/bug-46660/bug-46660.tst test/bug-50014/bug-50014.tst
	test/bug-50035/bug-50035.tst test/bug-50716/bug-50716.tst
	test/bug-51192/bug-51192.tst test/bug-51532/bug-51532.tst
	test/bug-51534/bug-51534.tst test/bug-51599/bug-51599.tst
	test/bug-52075/bug-52075.tst test/bug-55308/bug-55308.tst
	test/bug-55321/bug-55321.tst test/bug-55322/bug-55322.tst test
	/class-concat/class-concat.tst test/classdef-multiple-inheritance
	/classdef-multiple-inheritance.tst test/classdef/classdef.tst
	test/classes/classes.tst test/colormaps.tst test/command.tst
	test/complex.tst test/ctor-vs-method/ctor-vs-method.tst test
	/deprecate-props.tst test/diag-perm.tst test/error.tst test/eval-
	catch.tst test/fcn-handle-derived-resolution/fcn-handle-derived-
	resolution.tst test/fntests.m test/for.tst test/func.tst
	test/global.tst test/if.tst test/index.tst test/integer.tst
	test/io.tst test/jit.tst test/leftdiv.tst test/line-continue.tst
	test/local-functions/local_functions.tst test/logical-index.tst
	test/mex/bug-51725.tst test/mex/bug-54096.tst test/mk-bc-overloads-
	tst.sh test/mk-conv-tst.sh test/mk-sparse-tst.sh test/nest/nest.tst
	test/null-assign.tst test/parser.tst
	test/pkg/mfile_basic_test/doc/macros.texi
	test/pkg/mfile_basic_test/inst/example_mfile.m
	test/pkg/mfile_minimal_test/inst/example_mfile.m test/pkg/pkg.tst
	test/prefer.tst test/publish/publish.tst test/range.tst
	test/recursion.tst test/return.tst test/show-failures.awk test
	/single-index.tst test/slice.tst test/struct.tst test/switch.tst
	test/system.tst test/transpose.tst test/try.tst test/unwind.tst
	test/while.tst

2019-01-02  Rik  <rik@octave.org>

	movie.m: Don't change "visible" property of figure handle input.

	* movie.m: Remove call to figure().  Find axes handle from any figure handle
	passed in.  Add semicolons to BIST tests.

	Files: scripts/image/movie.m

2019-01-02  Andreas Weber  <octave@josoansi.de>

	__init_fltk__.cc: Fix static analyzer detected V560 issue (bug #55347)

	Remove redundant check for idx >= 0

	Files: libinterp/dldfcn/__init_fltk__.cc

2019-01-02  Rik  <rik@octave.org>

	Fix static analyzer detected V1003 issues with expansions in macros (bug #55347).

	* Table.cc (AUTO_HEIGHT): Wrap entire macro expression in parentheses.

	* ls-oct-text.cc: (SUBSTRING_COMPARE_EQ): Wrap parameter "t" in parentheses.

	* variables.cc (GET_IDX): Wrap parameter "LEN" in parentheses.

	* mx-inlines.cc (OP_RED_SUMSQ): Wrap expression "el*el" in parentheses.

	Files: libgui/graphics/Table.cc libinterp/corefcn/ls-oct-text.cc
	libinterp/corefcn/variables.cc liboctave/operators/mx-inlines.cc

	graphics.h: Fix static analyzer detected issues (bug #55347).

	* graphics.in.h (update_titlefontsizemultiplier, update_titlefontweight):
	Add a comment that calling update_font() will also update the title text
	object so it is clear that there hasn't been an accidental code duplication.

	* graphics.cc (axes::properties::update_font): Remove spurious newline.

	Files: libinterp/corefcn/graphics.cc libinterp/corefcn/graphics.in.h

	mkoctfile.in.cc: Fix static analyzer detected issues (bug #55347).

	* mkoctfile.in.cc (do_getenv): Delete function.
	* mkoctfile.in.cc (get_temp_directory): Replace calls to do_getenv with calls
	to octave_getenv from shared-fcns.h.

	Files: src/mkoctfile.in.cc

2019-01-02  Andreas Weber  <octave@josoansi.de>

	files-dock-widget.cc: Fix static analyzer detected V601 issue (bug #55347)

	This changes the default state of m_sync_browser_directory_action and
	m_sync_octave_directory_action (previously true due to strint literal
	to bool bast)

	Files: libgui/src/files-dock-widget.cc

	ov-fcn-handle.cc: Fix static analyzer detected V601 issue (bug #55347)

	Files: libinterp/octave-value/ov-fcn-handle.cc

	ov-fcn-inline.cc: Fix static analyzer detected V601 issue (bug #55347)

	Files: libinterp/octave-value/ov-fcn-inline.cc

	ov-java.cc: Bugfix use xstring_value for extraction

	This is basically the same problem as detected V601 on bug #55347
	but not part of that list.

	Files: libinterp/octave-value/ov-java.cc

	oct-stream.cc: Fix static analyzer detected V601 issue (bug #55347)

	Files: libinterp/corefcn/oct-stream.cc

2019-01-02  Ben Abbott  <bpabbott@mac.com>

	Include -loctave -loctinterp and lib path to mkoctfile link command (bug #55033).

	* configure.ac: Set MKOCTFILE_OCT_LINK_DEPS to LIBOCTINTERP and LIBOCTAVE when
	configured with --enable-link-all-dependencies.

	* src/mkoctfile.in.cc (main): Include -L$OCTLIBDIR in DEFAULT_LFLAGS when
	compiling for Mac.

	Files: configure.ac src/mkoctfile.in.cc

2019-01-02  Rik  <rik@octave.org>

	interpimages.m: Replace deprecated use of numeric position argument to legend.

	* interpimages.m: Replace location 4 with "location", "southeast".

	Files: doc/interpreter/interpimages.m

2019-01-02  Markus M?tzel  <markus.muetzel@gmx.de>

	file-editor-tab.cc (check_valid_codec): Use function available prior to Qt 5.2.

	Files: libgui/src/m-editor/file-editor-tab.cc

2019-01-01  Rik  <rik@octave.org>

	psi.cc: Fix BIST test.

	* psi.cc: Change BIST test for behavior corrected in bb3ebaa9460e.

	Files: libinterp/corefcn/psi.cc

	input.cc: Fix static analyzer detected issues (bug #55347).

	* input.cc (find_indexed_expression): Delete unnecessary if conditional testing
	for '}' char.
	* input.cc (input_system::get_user_input): Remove unreachable code for empty
	input_buf.
	* input.cc (file_reader::get_input): Don't initialize *utf8_str variable
	to nullptr since it is immediately assigned a value in the next line.
	* input.cc (): Call args(0).xstring_value()
	rather than incorrect version without prepended 'x'.

	Files: libinterp/corefcn/input.cc

	data.cc: Fix static analyzer detected issues (bug #55347).

	* data.cc (Fall, Fany): Call args(1).xint_value()
	rather than incorrect version without prepended 'x'.

	Files: libinterp/corefcn/data.cc

	quad.cc: Fix static analyzer detected issues (bug #55347).

	* quad.cc (Fquad): Call args(4).xvector_value()
	rather than incorrect version without prepended 'x'.

	Files: libinterp/corefcn/quad.cc

	psi.cc: Fix static analyzer detected issues (bug #55347).

	* psi.cc (Fpsi): Call args(2).xidx_type_value()
	rather than incorrect version without prepended 'x'.

	Files: libinterp/corefcn/psi.cc

	matrix_type.cc: Fix static analyzer detected issues (bug #55347).

	* matrix_type.cc (Fmatrix_type): Call args(2).xvector_value()
	rather than incorrect version without prepended 'x'.

	Files: libinterp/corefcn/matrix_type.cc

	ordschur.cc: Fix static analyzer detected issues (bug #55347).

	* ordschur.cc (Fordschur): Call args(2).xoctave_idx_type_vector_value()
	rather than incorrect version without prepended 'x'.

	Files: libinterp/corefcn/ordschur.cc

	__delaunayn__.cc: Fix static analyzer detected issues (bug #55347).

	* __delaunayn__.cc (F__delaunayn__): Remove useless check "if (! exitcode)"
	and un-indent code block.

	Files: libinterp/dldfcn/__delaunayn__.cc

	find.cc: Fix static analyzer detected issues (bug #55347).

	* find.cc (find_nonzero_elem_idx): Eliminate unnecessary, duplicate assignment
	to count variable.

	Files: libinterp/corefcn/find.cc

	error.cc: Fix static analyzer detected issues (bug #55347).

	* error.cc (handle_message): Check arg.isempty () first to avoid having to
	check C string for validity.  Add comments about why temporary variable is
	required during conversion of std::string to *char.

	Files: libinterp/corefcn/error.cc

	dlmread.cc: Fix static analyzer detected issues (bug #55347).

	* dlmread.cc (Fdlmread): Use "0.0" instead of "0." in comparison for clarity.

	Files: libinterp/corefcn/dlmread.cc

	rand.cc: Fix static analyzer detected issues (bug #55347).

	* rand.cc (do_rand): Don't use tmp.double_value () twice when intermediate
	variable dval already contains this quantity.  Don't call nint_big twice for
	the same number.

	Files: libinterp/corefcn/rand.cc

	help.cc: Fix static analyzer detected issues (bug #55347).

	* help.cc (help_system::raw_help_from_docstrings_file): Correct conditional
	test and look for '\n' OR '\r' as newline characters.

	Files: libinterp/corefcn/help.cc

2019-01-02  Markus M?tzel  <markus.muetzel@gmx.de>

	file-editor-tab.cc: Use function available since Qt4.2.

	Files: libgui/src/m-editor/file-editor-tab.cc

2019-01-01  Rik  <rik@octave.org>

	lex.h: Fix static analyzer detected issues (bug #55347).

	* lex.h (reset): Make this an alias for clear() as the function body is the
	same.

	Files: libinterp/parse-tree/lex.h

	__eigs__.cc: Fix static analyzer detected issues (bug #55347).

	* __eigs__.cc (eigs_complex_func): Call correct input conversion function
	xcomplex_vector_value.  Write "0.0" rather than "0." for clarity.

	Files: libinterp/dldfcn/__eigs__.cc

2019-01-01  Andreas Weber  <octave@josoansi.de>

	octave-dock-widget.cc: Fix copy & paste error. (bug #55347)

	Files: libgui/src/octave-dock-widget.cc

	html_compare_plot_demos.m: Fix texinfo syntax

	Files: scripts/testfun/private/html_compare_plot_demos.m

2019-01-01  Rik  <rik@octave.org>

	legend.m: Deprecate numeric arguments for position.

	* NEWS: Announce change, and replacement of using strings.

	* legend.m: Add warning if a numeric argument for position is found.

	Files: NEWS scripts/plot/appearance/legend.m

2018-12-30  Julien Bect  <jbect@users.sourceforge.net>

	Fix jit compilation with LLVM 3.8 (bug #55349).

	* jit-typeinfo.cc: Call symbol_table::builtin_find instead of ::find.

	Files: libinterp/parse-tree/jit-typeinfo.cc

2019-01-01  Rik  <rik@octave.org>

	Display figure toolbar correctly (bug #55350).

	* Figure.cc (hasUiControlChildren): Delete function.
	* Figure.cc (Figure::Figure): Remove check on hasUiControlChildren before
	displaying toolbar.
	* Figure.cc (Figure::Update): Remove check on hasUiControlChildren to
	display toolbar when property "toolbar" is set to "auto".

	Files: libgui/graphics/Figure.cc

2018-12-08  Torsten  <mttl@mailbox.org>

	Use stylesheets for coloring pushbuttons and popupmenus (bug #49247).

	* BaseControl.cc (updatePalette): Use stylesheets instead of palettes in order
	to set foregroundcolor and backgroundcolor of uicontrol objects with styles
	"popupmenu" and "pushbutton".

	Files: libgui/graphics/BaseControl.cc

2018-12-30  Torsten  <mttl@mailbox.org>

	Do not try to change GUI preferences if it isn't running (bug #55318).

	* octave-link.cc (__octave_link_gui_preference__): Do not call
	  octave_link::gui_preference if GUI is not running.

	Files: libinterp/corefcn/octave-link.cc

2019-01-01  Markus M?tzel  <markus.muetzel@gmx.de>

	Add missing gnulib module (bug #55306).

	* bootstrap.conf: Add gnulib module "uniconv/u32-conv-to-enc" needed for
	changeset 5f10217b562d.

	Files: bootstrap.conf

2018-12-31  Doug Stewart  <Doug Stewart>

	welcome-wizard.cc: Fix 2 typos in HTML. (bug #55347)

	* welcome-wizard.cc: Fix 2 typos in HTML.

	Files: libgui/src/welcome-wizard.cc

2018-12-31  Markus M?tzel  <markus.muetzel@gmx.de>

	Use gnulib to check if encoding is possible (bug #55306).

	* file-editor-tab.cc (check_valid_codec): Additionally use gnulib to check
	  whether encoding is possible.

	* uniconv-wrappers.[c/h] (octave_u32_conv_to_encoding_strict): Add new wrapper
	  function.

	Files: libgui/src/m-editor/file-editor-tab.cc liboctave/wrappers/uniconv-
	wrappers.c liboctave/wrappers/uniconv-wrappers.h

2018-12-31  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Make sure text bounding box is high enough (bug #55328).

	* ft-text-renderer.cc (ft_text_renderer::update_line_bbox): Increase the
	  bounding box height by 1 pixel.

	Files: libinterp/corefcn/ft-text-renderer.cc

2018-12-30  Rik  <rik@octave.org>

	Backed out changeset d0c070f5c67a
	Doesn't work when configured with --disable-docs.

	Files: doc/interpreter/macros.texi doc/interpreter/macros.txi
	doc/interpreter/module.mk

	build: make macros.texi a constructed file from macros.txi (bug #54216).

	* doc/interpreter/macros.txi: Renamed from macros.texi.

	* doc/interpreter/module.mk: Add "macros.texi" to main MUNGED_TEXI_SRC
	variable.  Add three rules so that octave.texi, install.texi, and bugs.texi
	depend on macros.texi being built before they can be built.
	Remove macros.texi from doc_EXTRA_DIST because it will be distributed as
	a normal .texi file now.

	Files: doc/interpreter/macros.texi doc/interpreter/macros.txi
	doc/interpreter/module.mk

2018-12-30  Mike Miller  <mtmiller@octave.org>

	add necessary includes and forward decls in public header files (bug #55277)

	* load-save.h: Include ovl.h for full octave_value_list definition, delete
	forward decls that are now declared by inclusion.
	* oct-hist.h: Include ovl.h for full octave_value_list definition, add forward
	decl of octave::interpreter.
	* pager.h: Add forward decl of octave_value_list.
	* settings.h: Add forward decl of octave_value, include cstddef for size_t.
	* pt-tm-const.h: Include pt-mat.h for full octave::tree_matrix definition.

	Files: libinterp/corefcn/load-save.h libinterp/corefcn/oct-hist.h
	libinterp/corefcn/pager.h libinterp/corefcn/settings.h libinterp
	/parse-tree/pt-tm-const.h

2018-12-30  Rik  <rik@octave.org>

	NEWS: Announce minimum required Qt version is 4.8 (bug #53889).

	* NEWS: Announce minimum required Qt version is 4.8 (bug #53889).

	Files: NEWS

2018-12-30  Mike Miller  <mtmiller@octave.org>

	gui: exit even when shadowing the 'exit' or 'quit' builtins (bug #55324)

	* main-window.cc (main_window::closeEvent): Call Fquit builtin instead of
	evaluating the name "exit".

	Files: libgui/src/main-window.cc

2018-12-29  Rik  <rik@octave.org>

	polar.m: Use 'xcolor' property from Cartesian axes to color polar axes (bug #55327).

	* polar.m: Get the "xcolor" property from the Cartesian axes object and use it
	for the "color" property of the line objects used to draw the polar axes.

	Files: scripts/plot/draw/polar.m

	__plt_get_axis_arg__.m: Accept multiple "parent" properties correctly.

	* __plt_get_axis_arg__.m: Use "! isempty" rather than "numel () > 0" for
	clarity.  Use "isscalar" rather than "numel () == 1" for clarity.
	Change find call to locate "parent" property to start from the end so
	that the final value, the one that will actually be used, is detected
	if there are multiple "parent" properties present.

	* test/bug-55322/bug-55322.tst: Remove failing non-essential test.

	Files: scripts/plot/util/__plt_get_axis_arg__.m
	test/bug-55322/bug-55322.tst

	Stop creating orphaned graphic handles if two "parent" properties given (bug #55322).

	* graphics.cc (make_graphics_object): Increment loop index variable by 2 so
	that property/value PAIRS are processed as one unit.  If "parent" property is
	found, decrease loop index variable by 2 so that increment will leave index
	in the same position in the list of property/value pairs.  This accounts
	for the splice operation which removes two arguments from the list.

	* test/bug-55322/bug-55322.tst: New test file for bug #55322.

	* test/bug-55322/module.mk: Add test to build system.

	Files: libinterp/corefcn/graphics.cc test/bug-55322/bug-55322.tst
	test/bug-55322/module.mk

2018-12-29  Torsten  <mttl@mailbox.org>

	improve displaying search result in documentation browser (bug #55228)

	* documentation.cc (global_search): get first quoted string or the first
	  string from the search query for the full text search within the
	  displayed help text

	Files: libgui/src/documentation.cc

2018-12-28  Rik  <rik@octave.org>

	Fix order of execution of graphic properties (bug #55321).

	* graphics.cc (axes::properties::adopt): Potentially call update_axis_limits
	after adopting a new graphics handle.  Add FIXME note about improving
	performance.
	* graphics.cc (make_graphics_handle): Switch order and call 'adopt (parent, h)'
	after any property/value pairs have been set on graphics object.

	* test/bug-55321/bug-55321.tst: New test file for bug #55321.

	* test/bug-55321/module.mk: Add test to build system.

	Files: libinterp/corefcn/graphics.cc test/bug-55321/bug-55321.tst
	test/bug-55321/module.mk

2018-12-28  Mike Miller  <mtmiller@octave.org>

	maint: update gnulib sources for mkfifo fix on macOS (bug #55273)

	Files: .hgsubstate

2018-12-27  Rik  <rik@octave.org>

	Improve performance of re-parenting hggroups.

	* graphics.cc (hggroup::update_axis_limits (string, graphics_handle):
	Resize "limits" to 1x4 vector, not 4x1.  Get handle to hggroup and
	call update_axis_limits with this handle so that the update starts
	higher up the tree with hggroup rather than the child of the hggroup.

	* graphics.cc (hggroup::update_axis_limits (string):
	Resize "limits" to 1x4 vector, not 4x1.

	Files: libinterp/corefcn/graphics.cc

	Fix unexpected "xlim" error when re-parenting hggroup (bug #55308).

	* graphics.cc (axes::update_axis_limits (string, graphics_handle): Declare
	limits to be a 1x2 Matrix.  Re-define FIX_LIMITS macro to work with only two
	elements since axes object does not maintain a 1x4 vector for axes limits.
	Remove resize calls on "limits" matrix.
	* graphics.cc (axes::update_axis_limits (string)): Add FIXME about unneccessary
	calls to this function degrading graphics performance.

	* test/bug-55308/bug-55308.tst: Add fixed test for re-parenting.

	* test/bug-55308/module.mk: Add fixed test to build system.

	Files: libinterp/corefcn/graphics.cc test/bug-55308/bug-55308.tst
	test/bug-55308/module.mk

2018-12-27  Marco Atzeri  <marco.atzeri@gmail.com>

	Avoid double slash in path to qthelp-installdir (bug #55307).

	* doc/interpreter/module.mk: Remove excess slahsh ("/") in mkdir command.

	Files: doc/interpreter/module.mk

2018-12-28  Torsten  <mttl@mailbox.org>

	separate include file for main window gui preferences

	* gui-preferences.h: move constant definitions related to main window
	  preferences from here ...

	* gui_preferences_mw.h: to here

	* main-window.cc: include gui-preferences-mw.h

	* module.mk: add new include file

	* settings-dialog.cc: do not include gui-preferences.h since it is already
	  included in settings-dialog.h

	Files: libgui/src/gui-preferences-mw.h libgui/src/gui-preferences.h
	libgui/src/main-window.cc libgui/src/module.mk libgui/src/settings-
	dialog.cc

2018-12-27  Torsten  <mttl@mailbox.org>

	* es_ES.ts: spanish translation by Jos? Luis Garc?a Pallero (bug #55279)

	Files: libgui/languages/es_ES.ts

	fix resetting gui window layout

	* main-window.cc (reset_windows): do not use default settings file, hide
	  main window, call window setup with nullptr for settings, and show;
	  (set_window_layout): if settings is nullptr, make all dock widgets visible
	  and not floating, then restore default geometry and finally default state

	Files: libgui/src/main-window.cc

	fix initialization of main win geometry and state default byte arrays

	* gui-preferences.h: use char data arrays for initializing the byte arrays
	  for the main window geometry and state default values

	Files: libgui/src/gui-preferences.h

2018-12-27  Markus M?tzel  <markus.muetzel@gmx.de>

	de_DE.ts: update gui language file for German translation (bug #55279).

	Files: libgui/languages/de_DE.ts

2018-12-26  Torsten  <mttl@mailbox.org>

	* gui-preferences.h: fix name of key for window state (bug #55286)

	Files: libgui/src/gui-preferences.h

2018-12-26  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	fr_FR.ts: new gui language file for French translation

	Files: libgui/languages/fr_FR.ts

2018-12-25  Torsten  <mttl@mailbox.org>

	* lt_LT.ts: new gui language file for Lithuanian translation

	Files: libgui/languages/lt_LT.ts

2018-12-24  Kai T. Ohlhus  <k.ohlhus@gmail.com>

	Properly deprecate output_max_field_width from cset 4d945f2e5914.

	* libinterp/corefcn/pr-flt-fmt.cc (Foutput_max_field_width): Transform
	deprecated function to m-file output_max_field_width.m

	* scripts/deprecated/output_max_field_width.m: Create equivalent function.
	* scripts/deprecated/module.mk: Add new m-file to build system.

	* doc/interpreter/numbers.txi: Strip deprecated function from manual.
	* NEWS: Advertise deprecated function.

	Files: NEWS doc/interpreter/numbers.txi libinterp/corefcn/pr-flt-fmt.cc
	scripts/deprecated/module.mk
	scripts/deprecated/output_max_field_width.m

2018-12-25  Torsten  <mttl@mailbox.org>

	updated language files for translation (bug #55279)

	* libgui/languages/*.ts: updated language files with new or changed strings

	* libgui/languages/translators: added translators for nl and lt

	* libgui/module.mk: added new language file lt_LT.ts

	* libgui/src/documentation.cc (construct_tool_bar): fixed typos
	* libgui/src/files-dock-widget.cc (files_dock_widget): fixed typos
	* libgui/src/settings-dialog.ui: fixed typos

	Files: libgui/languages/be_BY.ts libgui/languages/ca_ES.ts
	libgui/languages/de_DE.ts libgui/languages/en_US.ts
	libgui/languages/es_ES.ts libgui/languages/eu_ES.ts
	libgui/languages/fr_FR.ts libgui/languages/it_IT.ts
	libgui/languages/ja_JP.ts libgui/languages/nl_NL.ts
	libgui/languages/pt_BR.ts libgui/languages/pt_PT.ts
	libgui/languages/ru_RU.ts libgui/languages/translators
	libgui/languages/uk_UA.ts libgui/languages/zh_CN.ts libgui/module.mk
	libgui/src/documentation.cc libgui/src/files-dock-widget.cc
	libgui/src/settings-dialog.ui

2018-12-24  Torsten  <mttl@mailbox.org>

	make restoring gui more robust to changes of desktop size (bug #53207)

	* default-qt-settings.in: remove remaining entries for main window

	* gui-preferences.h: define keys and defaults for main window state and geometry

	* main-window.cc (set_window_layout): Check for successful restoring state and
	  geometry and take default state and geometry in case of error

	* octave-dock-widget.cc: include QDesktopWidget,
	  (handle_settings): define default geometry from the available desktop size
	  and also use this default if the geometry from the settings file is not
	  included within the available desktop size

	Files: libgui/default-qt-settings.in libgui/src/gui-preferences.h
	libgui/src/main-window.cc libgui/src/octave-dock-widget.cc

2018-12-23  Rik  <rik@octave.org>

	doc: Update subtitle Edition number in octave.texi.

	* octave.texi: Update edition number to 5.

	Files: doc/interpreter/octave.texi

	doc: Add new words to Octave-specific spelling dictionary.

	* aspell-octave.en.pws: Add new words to Octave-specific spelling dictionary.

	Files: doc/interpreter/doccheck/aspell-octave.en.pws

	doc: grammarcheck C++ and txi files.

	* func.txi, image.txi, oop.txi, ov-fcn-handle.cc:
	grammarcheck C++ and txi files

	Files: doc/interpreter/func.txi doc/interpreter/image.txi
	doc/interpreter/oop.txi libinterp/octave-value/ov-fcn-handle.cc

	doc: grammarcheck m-file scripts ahead of 5.0 release.

	* flip.m, convhull.m, inputParser.m, inputname.m, mkoctfile.m, line.m, datestr.m:
	grammarcheck m-file scripts ahead of 5.0 release.

	Files: scripts/general/flip.m scripts/geometry/convhull.m
	scripts/miscellaneous/inputParser.m
	scripts/miscellaneous/inputname.m scripts/miscellaneous/mkoctfile.m
	scripts/plot/draw/line.m scripts/time/datestr.m

	doc: Add warning note about integers exceeding flintmax to mod, rem (bug #55238).

	* data.cc (Fmod, Frem): Add programming note describing how floating point
	integers greater than flintmax will not behave correctly.  Suggest workaround
	of using uint64 class.

	Files: libinterp/corefcn/data.cc

2018-12-22  Torsten  <mttl@mailbox.org>

	make SYSTEM alias for locale encoding if not suported on windows (bug #55139)

	* file-editor-tab.cc (save_file): call new version of check_valid_codec
	  resulting the codec for the current encoding name and return if codec
	  is nullptr;
	  (check_valid_codec): without paremeter, gives codec for current
	  encoding name or nullptr, SYSTEM is allowed on windows even if not
	  resulting in a valid codec, then codecForLocale is used;

	* file-editor-tab.h: new version of check_valid_codec

	* resource-manager.cc (do_get_codecs): add default string to the list of all
	  codec name if on windows;
	  (do_combo_encoding): default encoding exists even if SYSTEM is not
	  supported, since it is then used as alias for codecForLocale

	Files: libgui/src/m-editor/file-editor-tab.cc libgui/src/m-editor/file-
	editor-tab.h libgui/src/resource-manager.cc

2018-12-22  Kai T. Ohlhus  <k.ohlhus@gmail.com>

	doc: CITATION update year and version for final release.

	* CITATION: update year to 2019 (scheduled for end of January 2019) and version
	to final release 5.1.0 (see etc/HACKING.md).

	Files: CITATION

2018-12-21  Rik  <rik@octave.org>

	issymetric.m, ishermitian.m: Don't error on logical matrices (bug #42487).

	* ishermitian.m, issymmetric.m: When logical input is detected, convert input
	to class single so that norm() can operate correctly.  Add BIST test for
	behavior.

	Files: scripts/linear-algebra/ishermitian.m scripts/linear-
	algebra/issymmetric.m

2018-12-21  Mike Miller  <mtmiller@octave.org>

	help: document missing functions moved to the statistics package (bug #55094)

	* __unimplemented__.m: Update list of functions in the statistics Octave Forge
	package with the functions that were migrated in the Octave 4.4 release.

	Files: scripts/help/__unimplemented__.m

2018-12-21  Rik  <rik@octave.org>

	mean.m: Suppress divide-by-zero warning (bug #55264).

	* mean.m: Disable "Octave:divide-by-zero" warning temporarily for function.
	Add FIXME note to delete this completely when "divide-by-zero" is removed in
	Octave 6.0.

	Files: scripts/statistics/mean.m

2018-12-21  Mike Miller  <mtmiller@octave.org>

	build: delete oct-file-pkg-add on 'make clean' (bug #55259)

	* Makefile.am (CLEANFILES): Include oct-file-pkg-add in the list.

	Files: Makefile.am

2018-12-21  Rik  <rik@octave.org>

	fminsearch.m: Fix sign of results for intermediate reporting (bug #55261).

	* fminsearch.m (nmsmax): Multiply all occurences where function value (f) is displayed to the user by the direction of the algorithm "dirn" to present the true value.  For minimization,
	dirn is always -1 which reverses the sign of the result.

	Files: scripts/optimization/fminsearch.m

2018-12-21  Mike Miller  <mtmiller@octave.org>

	test: do not look for BISTs in .m files in fixed test dirs (bug #55250)

	* __run_test_suite__.m (run_test_dir): Distinguish between file patterns to
	search for tests in function dirs versus fixed test dirs.  Avoids including
	auxiliary function and script files in the number of files missing tests.

	Files: scripts/testfun/__run_test_suite__.m

2018-11-02  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Rethrow exceptions from the GUI to the interpreter thread (bug #54920)

	* main-window.h/cc (octave_qapplication): New class derived from QApplication.
	  (octave_qapplication::notify): Reimplement QApplication::notify to catch
	   and rethrow octave exceptions that happen in QObjects event loop.
	  (octave_qt_app::octave_qt_app): Instantiate an octave_qapplication rather
	   than a QApplication.

	* GLCanvas.cc (GLCanvas::do_print): Let the first eventual exception, due to
	  the absence of valid context, be handled downstream. Keep the try/catch
	  around gl2ps_print because we still want to release the context in case
	  of error.

	Files: libgui/graphics/GLCanvas.cc libgui/src/main-window.cc libgui/src
	/main-window.h

2018-12-15  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Make creation and destruction of Qt widgets synchronous (bug #55526)

	* Backend.cc (Backend::Backend): Use Qt::BlockingQueuedConnection for widget
	  creation.
	  (Backend::initialize): Unlock mutex before creating widget.
	  (Backend::finalize): Unlock mutex before calling ObjectProxy::finalize

	* ObjectProxy.h (ObjectProxy::sendFinalize): Remove signal.

	* ObjectProxy.cc (ObjectProxy::init): Remove connection to sendFinalize.
	  (ObjectProxy::finalize): Make use of single QMetaObject::invokeMethod to
	  trigger the execution of the Object's slotFinalize. Run synchronously when
	  the interpreter thread, in which the ObjectProxy lives, is not the GUI thread.
	  (ObjectProxy::get_pixels): Remove successive calls to
	  QMetaObject::invokeMethod since this should not fail anymore.

	* graphics.cc: Remove unnecessary pause in uicontexmenu BIST.
	  (Fdrawnow): Remove comments about unnecessary pause.

	Files: libgui/graphics/Backend.cc libgui/graphics/ObjectProxy.cc
	libgui/graphics/ObjectProxy.h libinterp/corefcn/graphics.cc

2018-12-20  Rik  <rik@octave.org>

	condeig.m: Suppress warning about internal intermediate matrix being singular.

	* condeig.m: Use 2-output form of inv() to suppress possible warning about
	intermediate matrix 'v' being singular.

	Files: scripts/linear-algebra/condeig.m

2018-12-20  John W. Eaton  <jwe@octave.org>

	maint: Bump version for pre-release (see etc/HACKING.md)

	* configure.ac (AC_INIT): Bump version.
	(OCTAVE_PATCH_VERSION): Set to 1 for stabilization period before the
	version 5.1.0 release.
	(OCTAVE_RELEASE_DATE): Update.

	Files: configure.ac

	maint: Merge default to stable.

	Files: build-aux/subst-default-vals.in.sh etc/RELEASE.PROCESS libgui
	/qterminal-module.mk libgui/src/octave-settings.h
	libinterp/corefcn/gammainc.cc libinterp/corefcn/gripes.cc
	libinterp/corefcn/gripes.h libinterp/corefcn/oct-tex-parser.in.yy
	libinterp/corefcn/str2double.cc libinterp/corefcn/txt-eng.cc
	libinterp/dldfcn/__osmesa_print__.cc libinterp/mk-pkg-add.sh
	libinterp/mk-version-h.in.sh libinterp/parse-tree/oct-parse.in.yy
	libinterp/parse-tree/pt-jump.cc libinterp/version.cc
	libinterp/version.in.h liboctave/external/blas-xtra/xerbla.c
	liboctave/external/fftpack/cfftb.f
	liboctave/external/fftpack/cfftb1.f
	liboctave/external/fftpack/cfftf.f
	liboctave/external/fftpack/cfftf1.f
	liboctave/external/fftpack/cffti.f
	liboctave/external/fftpack/cffti1.f
	liboctave/external/fftpack/fftpack.doc
	liboctave/external/fftpack/module.mk
	liboctave/external/fftpack/passb.f
	liboctave/external/fftpack/passb2.f
	liboctave/external/fftpack/passb3.f
	liboctave/external/fftpack/passb4.f
	liboctave/external/fftpack/passb5.f
	liboctave/external/fftpack/passf.f
	liboctave/external/fftpack/passf2.f
	liboctave/external/fftpack/passf3.f
	liboctave/external/fftpack/passf4.f
	liboctave/external/fftpack/passf5.f
	liboctave/external/fftpack/zfftb.f
	liboctave/external/fftpack/zfftb1.f
	liboctave/external/fftpack/zfftf.f
	liboctave/external/fftpack/zfftf1.f
	liboctave/external/fftpack/zffti.f
	liboctave/external/fftpack/zffti1.f
	liboctave/external/fftpack/zpassb.f
	liboctave/external/fftpack/zpassb2.f
	liboctave/external/fftpack/zpassb3.f
	liboctave/external/fftpack/zpassb4.f
	liboctave/external/fftpack/zpassb5.f
	liboctave/external/fftpack/zpassf.f
	liboctave/external/fftpack/zpassf2.f
	liboctave/external/fftpack/zpassf3.f
	liboctave/external/fftpack/zpassf4.f
	liboctave/external/fftpack/zpassf5.f liboctave/numeric/lo-fftpack-
	proto.h liboctave/util/lo-array-gripes.cc liboctave/util/lo-array-
	gripes.h scripts/deprecated/bitmax.m scripts/deprecated/isstr.m
	scripts/deprecated/mahalanobis.m scripts/deprecated/md5sum.m
	scripts/deprecated/octave_config_info.m
	scripts/deprecated/onenormest.m scripts/deprecated/setstr.m
	scripts/deprecated/sleep.m scripts/deprecated/usleep.m
	scripts/deprecated/wavread.m scripts/deprecated/wavwrite.m
	scripts/general/flipdim.m scripts/io/strread.m scripts/io/textread.m
	scripts/miscellaneous/genvarname.m scripts/miscellaneous/isdir.m
	scripts/strings/findstr.m scripts/strings/strmatch.m

2018-12-04  Rik  <rik@octave.org>

	doc: Rewrite docstrings for mat2cell and num2cell (bug #53335).

	* cellfun.cc (Fmat2cell, Fnum2cell): Rewrite docstrings.

	Files: libinterp/corefcn/cellfun.cc

2018-12-03  Rik  <rik@octave.org>

	bicg.m: Relax BIST test by 1eps to pass on some systems (bug #55132).

	* bicg.m: Change tolerance for unpreconditioned residual BIST test to
	"relres + eps".

	Files: scripts/sparse/bicg.m

2018-12-01  Rik  <rik@octave.org>

	polyeig.m: Improve documentation (bug #53139).

	* polyeig.m: Use the correct polynomial expression that is being solved for in documentation.  Make use of @var{} around variables in docstring.

	Files: scripts/polynomial/polyeig.m

2018-11-22  Rik  <rik@octave.org>

	contourc.m: Tighten input validation to avoid segfault in __contourc__ (bug #55071).

	* contourc.m: Specify in documentation that Z data must be at least 2x2.
	Add additional check that X, Y, and Z inputs are numeric.
	Add check that Z data has at least 2 rows and 2 columns.
	Add input validation tests.

	Files: scripts/plot/draw/contourc.m

2018-11-21  Rik  <rik@octave.org>

	Place down-arrow icon on most-recently-used popdown menu in editor (bug #55032).

	* file-editor.cc (file_editor::construct): Use setArrowType () to set the
	arrowype on popdown_button.

	Files: libgui/src/m-editor/file-editor.cc

2018-11-15  Rik  <rik@octave.org>

	Don't segfault for unmatched brace in PATH (bug #55013).

	* kpse.cc (brace_gobbler): Check whether routine has found a brace, or just the
	end-of-string.  For the latter, return 0 because search failed.

	Files: liboctave/util/kpse.cc

2018-11-14  Rik  <rik@octave.org>

	Fix failing BIST tests and oddities when gnuplot is not present (bug #55023).

	* acinclude.m4 (OCTAVE_PROG_GNUPLOT): When gnuplot is not found, set GNUPLOT to
	the default value of "gnuplot" rather than an empty string.  Also set variable
	GNUPLOT_BINARY which is only used for reporting what was found by configure.
	* configure.ac: Change report of configuration variables at the end of file
	to use GNUPLOT_BINARY which may be "" if gnuplot was not found, even while
	GNUPLOT itself has a value.

	* __init_gnuplot__.cc (have_gnuplot_binary): For good measure, check that
	value returned from calling gnuplot_binary is not empty before proceeding.

	* gnuplot_binary.in.m: Wrap BIST tests in a try/catch block which restores
	the original value of gnuplot_binary if a test fails.

	Files: configure.ac libinterp/dldfcn/__init_gnuplot__.cc m4/acinclude.m4
	scripts/plot/util/gnuplot_binary.in.m

2018-11-12  Orion Poplawski  <orion@cora.nwra.com>

	avoid assertion failure with -D_GLIBCXX_ASSERTIONS

	* input.cc (base_reader::octave_gets): Don't call "back" on empty string.

	Files: libinterp/corefcn/input.cc

2018-11-10  A.R. Burgers  <arburgers@gmail.com>

	plotyy.m: Fix axis coloring when multiple line objects are present (bug #55002).

	* plotyy.m (__plotyy__): Use circshift to rotate "colororder" property by the
	number of objects in the first axis in order to decide the color for the
	second axis.

	Files: scripts/plot/draw/plotyy.m

2018-11-10  Rik  <rik@octave.org>

	Improve documentation for intmax/intmin (bug #54866).

	* bitfcns.cc (Fintmax, Fintmin): Add additional 0-argument calling form.
	Add double quotes around "TYPE" input to indicated that should be a string.
	Specify in documentation that input TYPE must be a string.
	Add @qcode macro and quotes around possible values of TYPE.

	Files: libinterp/corefcn/bitfcns.cc

2018-10-24  Mike Miller  <mtmiller@octave.org>

	lscov.m: relax tolerance on a single test to pass with Intel MKL (bug #54855)

	* lscov.m: Relax tolerance from eps to 2*eps to allow test to pass.

	Files: scripts/linear-algebra/lscov.m

2018-10-19  John W. Eaton  <jwe@octave.org>

	style fixes

	* Canvas.cc, Figure.cc, dialog.cc, octave-qscintilla.cc, tab-bar.cc,
	variable-editor.cc, gl-render.cc, graphics.cc, load-path.cc,
	oct-stream.cc, variables.cc, jit-typeinfo.cc:
	Break long lines before && and || operators.

	Files: libgui/graphics/Canvas.cc libgui/graphics/Figure.cc
	libgui/src/dialog.cc libgui/src/m-editor/octave-qscintilla.cc
	libgui/src/tab-bar.cc libgui/src/variable-editor.cc
	libinterp/corefcn/gl-render.cc libinterp/corefcn/graphics.cc
	libinterp/corefcn/load-path.cc libinterp/corefcn/oct-stream.cc
	libinterp/corefcn/variables.cc libinterp/parse-tree/jit-typeinfo.cc

	style fixes

	* Map.m, ode15s.m, legend.m, material.m, __gnuplot_draw_axes__.m:
	Break long lines before && and || operators.

	Files: scripts/+containers/Map.m scripts/ode/ode15s.m
	scripts/plot/appearance/legend.m scripts/plot/appearance/material.m
	scripts/plot/util/private/__gnuplot_draw_axes__.m

	maint: Strip trailing whitespace from source files.

	Files: build-aux/inplace_edit.pl doc/interpreter/plot.txi
	libinterp/corefcn/rand.cc

2018-10-05  Kai T. Ohlhus  <k.ohlhus@gmail.com>

	maint: Add new class test files.

	* test/classes/module.mk: Add new class test files from cset 868830474750.

	Files: test/classes/module.mk

2018-09-28  Kai T. Ohlhus  <k.ohlhus@gmail.com>

	Regard the precedence of binary operators for old style classes (bug #42735).

	* libinterp/operators/op-class.cc (DEF_CLASS_BINOP): Refactor the precedence
	determination as follows:

	1.   If exactly one of the arguments is a user defined class object, then
	     the function of that operand's class is invoked.
	2.   If both arguments are user defined class objects, then
	2.1  The superior class function is invoked.
	2.2  The leftmost class function is invoked if both classes are the same
	     or their precedence is not defined by superiorto/inferiorto.

	* test/classes/classes.tst:  Add test cases for overloaded binary operator "+".

	* test/classes/@CPredecendeTester1, test/classes/@CPredecendeTester2,
	test/classes/@CPredecendeTester3:  Extend classes for new test cases with a
	double conversion function and an overloaded plus function.

	Files: libinterp/operators/op-class.cc
	test/classes/@CPrecedenceTester1/double.m
	test/classes/@CPrecedenceTester1/plus.m
	test/classes/@CPrecedenceTester2/double.m
	test/classes/@CPrecedenceTester2/plus.m
	test/classes/@CPrecedenceTester3/double.m
	test/classes/@CPrecedenceTester3/plus.m test/classes/classes.tst

2018-09-27  Rik  <rik@octave.org>

	Fix scatter to plot data with NaN values and specified colors (bug #54747).

	* __scatter__.m: Move the removal of NaNs from data to occur after all input
	arguments have been read in.  When removing NaNs from data (x,y,z), also
	remove the corresponding size (s) and color values (c).

	Files: scripts/plot/draw/private/__scatter__.m

2018-09-26  Kai T. Ohlhus  <k.ohlhus@gmail.com>

	doc: Improve odeset documentation (bug #49360).

	* scripts/ode/odeset.m: Display permitted values for each odeset property.
	The format used here is the same as for the plot line properties.

	Files: scripts/ode/odeset.m

	Improve absolute tolerance handling in ode-solvers (bug #54729).

	* scripts/ode/private/AbsRel_norm.m: The absolute tolerance "AbsTol" is allowed
	to be a vector, which is simply forwarded to this function.

	In the odeset-structure the vector orientation is preserved, thus it makes only
	sense to modify it's orientation when needed.

	All other involved values "x" and "x_old" are ensured to be column-vectors,
	therefore "max" yields a matrix, if "AbsTol" is a row-vector.

	Files: scripts/ode/private/AbsRel_norm.m

2018-09-13  Rik  <rik@octave.org>

	doc: Wrap long lines in mkpp.m and unmkpp.m.

	* mkpp.m, unmkpp.m: Wrap Texinfo lines to 80 characters.  Avoid breaking text
	within @code{} block.

	Files: scripts/polynomial/mkpp.m scripts/polynomial/unmkpp.m

2018-09-08  Juan Pablo Carbajal  <ajuanpi+dev@gmail.com>

	doc: unmkpp.m same words as mkpp, add example, explain coefficients (bug #54523)

	Files: scripts/polynomial/unmkpp.m

	doc: mkpp.m explain multi-dimensional coefficients and add demo for it

	Files: scripts/polynomial/mkpp.m

2018-09-07  Rik  <rik@octave.org>

	Fix BIST test in cset 1f52a96c8c21.

	* data.cc (Fmod): Fix expected value for BIST test where dividend is negative
	and divisor is 0.

	Files: libinterp/corefcn/data.cc

2018-09-07  Gene Harvey  <gharveymn@gmail.com>

	Fix mod operation for signed integer types (bug #54602).

	* oct-inttypes.h ():

	* data.cc (Fmod): Add BIST tests for bug #54602.

	Files: libinterp/corefcn/data.cc liboctave/util/oct-inttypes.h

2018-09-07  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Document that high level graphics functions redefine axes properties (bug #49400).

	* plot.txi: Document that high level graphics functions redefine axes
	   properties.  Replace bad example using an error by the proper way of
	   retrieving object properties.

	Files: doc/interpreter/plot.txi

	Document that image x/ydata indicate the centers of corner pixels (bug #54610).

	* image.m, imagesc.m, imshow.m: Rephrase doc for x and y arguments to make it
	   clear that they indicate the coordinates of the center of pixels.

	* genpropdoc.m: Ditto.

	Files: doc/interpreter/genpropdoc.m scripts/image/image.m
	scripts/image/imagesc.m scripts/image/imshow.m

2018-08-30  John W. Eaton  <jwe@octave.org>

	eliminate OCTAVE_HAVE_FAST_INT_OPS macro and associated code (bug #54572)

	With current compilers, there no longer seems to be a performance
	advantage significant enough to justify the the trickery used in the
	special case code that was used when OCTAVE_HAVE_FAST_INT_OPS was
	defined.

	* acinclude.m4 (OCTAVE_FAST_INT_OPS): Delete macro.
	* configure.ac: Delete use.
	* mk-octave-config-h.sh: Don't recognize OCTAVE_HAVE_FAST_INT_OPS.

	* oct-inttypes.h, oct-inttypes.cc:
	(octave_int_arith_base<T,true>::abs,
	octave_int_arith_base<T,true>::minus,
	octave_int_arith_base<T,true>::add,
	octave_int_arith_base<T,true>::sub):
	Eliminate code blocks used if OCTAVE_HAVE_FAST_INT_OPS is defined.

	Files: build-aux/mk-octave-config-h.sh configure.ac liboctave/util/oct-
	inttypes.cc liboctave/util/oct-inttypes.h m4/acinclude.m4

2018-08-29  Mike Miller  <mtmiller@octave.org>

	doc: use "Octave Forge" spelling in a few more instances

	* pkg.m, get_forge_pkg.m, list_forge_packages.m: Use "Octave Forge" spelling.

	Files: scripts/pkg/pkg.m scripts/pkg/private/get_forge_pkg.m
	scripts/pkg/private/list_forge_packages.m

2018-08-29  Rik  <rik@octave.org>

	Add new integer.tst module to test saturation mechanics.

	* test/integer.tst: New set of tests for saturation mechanics of integers.

	* test/module.mk: Add integer.tst to build system.

	Files: test/integer.tst test/module.mk

2018-08-29  John W. Eaton  <jwe@octave.org>

	fix min-val saturation for 64-bit integer addition (bug #54572)

	* oct-inttypes.h (octave_int_arith_base<T,true>::__signbit):
	Simplify.
	(octave_int_arith_base<T,true>::add): In overflow case, set negative
	limit directly instead of adding signbit to max value.

	Files: liboctave/util/oct-inttypes.h

2018-08-29  Rik  <rik@octave.org>

	Use "Octave Forge" spelling in all files.

	* NEWS, obsolete.txi, package.txi, mahalanobis.m, bitcmp.m,
	bitget.m, __makeinfo__.m, dos.m, unix.m, pkg.m, pie.m, pie3.m, spline.m:
	Use "Octave Forge" spelling in all files.

	Files: NEWS doc/interpreter/obsolete.txi doc/interpreter/package.txi
	scripts/deprecated/mahalanobis.m scripts/general/bitcmp.m
	scripts/general/bitget.m scripts/help/__makeinfo__.m
	scripts/miscellaneous/dos.m scripts/miscellaneous/unix.m
	scripts/pkg/pkg.m scripts/plot/draw/pie.m scripts/plot/draw/pie3.m
	scripts/polynomial/spline.m

2018-08-28  Rik  <rik@octave.org>

	__opengl_info__.m: Don't run unnecessary BIST tests.

	* __opengl_info__.m: Comment out unnecessary BIST tests which throw up a figure
	when running the test suite.

	Files: scripts/plot/util/__opengl_info__.m

	Silence compiler warnings about unused functions from cset 8ac4bfa55053.

	* pt-cbinop.cc (strip_not, simplify_and_or_op): Use #if 0 / #endif to comment
	out unused functions.

	Files: libinterp/parse-tree/pt-cbinop.cc

2018-08-28  John W. Eaton  <jwe@octave.org>

	restore optimization for compound transpose-mul/div ops (bug #45890)

	* oct-parse.in.yy: Undo changset b5dc88246c02.

	* pt-cbinop.cc (maybe_compound_binary_expression): Disable only
	compound negation and elementwise and/or ops here instead of disabling
	all compound binary ops.

	Files: libinterp/parse-tree/oct-parse.in.yy libinterp/parse-tree/pt-
	cbinop.cc

2018-08-23  Marco Caliari  <marco.caliari@univr.it>

	Fix inaccurate result of gammainc for x large (bug #54550).

	* gammainc.m: Remove condition "| (a < 5)" from case 8, add a BIST test.

	Files: scripts/specfun/gammainc.m

2018-08-27  Rik  <rik@octave.org>

	Allow pkg -rebuild global to succeed when pkg dir does not exist (bug #45903).

	* scripts/pkg/private/rebuild.m: Verify directory with exist() before
	proceeding with function.

	Files: scripts/pkg/private/rebuild.m

2018-08-19  Rik  <rik@octave.org>

	zscore.m: Allow an empty OPT argument to mean default (bug #54531).

	* zscore.m: Set default for second argument opt to 0 in function prototype.
	Check whether opt is empty and assign value of 0 if it is.  Add BIST test
	for bug #54531.  Add expected error for each input validation BIST test.

	Files: scripts/statistics/zscore.m

2018-08-18  John W. Eaton  <jwe@octave.org>

	correctly copy base class for colon and funcall parse tree objects (bug #47091)

	* pt-colon.cc (tree_colon_expression::dup): Pass *this to copy_base,
	not the newly created object.
	* pt-funcall.cc (tree_funcall::dup): Likewise.

	Files: libinterp/parse-tree/pt-colon.cc libinterp/parse-tree/pt-funcall.cc

2018-08-17  Rik  <rik@octave.org>

	Stop segfault when concatening sparse matrices (bug #54527).

	* Sparse.h (isempty): Define empty sparse matrix as having EITHER 0 rows or 0
	columns rather than requiring both conditions.

	Files: liboctave/array/Sparse.h

2018-08-15  John Donoghue  <John Donoghue>

	Reenable drag and drop of editor text (Bug #54495)

	* libgui/src/m-editor/octave-qscintilla.h,
	  libgui/src/m-editor/octave-qscintilla.cc
	  (dragEnterEvent): new function to reject url mime drags

	* libgui/src/m-editor/file-editor-tab.cc:
	  (file_editor_tab): remove disable for editor accept drops

	Files: libgui/src/m-editor/file-editor-tab.cc libgui/src/m-editor/octave-
	qscintilla.cc libgui/src/m-editor/octave-qscintilla.h

2018-08-14  Mike Miller  <mtmiller@octave.org>

	maint: fix release date of version 4.4.1 in AppStream metadata

	* org.octave.Octave.appdata.xml: Fix version 4.4.1 release date.

	Files: etc/icons/org.octave.Octave.appdata.xml

2018-08-13  Rik  <rik@octave.org>

	Don't print default value for "extent" property in manual (bug #54505).

	* genpropdoc.m Don't print default for "extent" property for text and uicontrol objects.  Don't print default for "tightinset" property of axes.

	Files: doc/interpreter/genpropdoc.m

2018-08-12  John W. Eaton  <jwe@octave.org>

	Added tag release-4-4-1 for changeset 1f46d371968c

	Files: .hgtags

2018-08-09  John W. Eaton  <jwe@octave.org>

	Version 4.4.1 released

	* configure.ac (AC_INIT): Update version info for release.
	(OCTAVE_PATCH_VERSION): Set to 1.
	(OCTAVE_RELEASE_DATE): Set to 2018-08-09.

	* CITATION, org.octave.Octave.appdata.xml: Update version info.

	* libgui/module.mk (liboctgui_current): Now 4.
	* libinterp/module.mk (liboctinterp_current): Now 6.
	* liboctave/module.mk (liboctave_current): Now 6.

	We normally try to preserve backward compatibility of the API for
	minor releases, but it was not possible this time.

	Files: CITATION configure.ac etc/icons/org.octave.Octave.appdata.xml
	libgui/module.mk libinterp/module.mk liboctave/module.mk

2018-08-10  Kai T. Ohlhus  <k.ohlhus@gmail.com>

	doc: Add version number to top title of HTML manual for clarity.

	Currently only "GNU Octave" is the top title of each HTML manual, cf.

	- https://octave.org/doc/v4.0.0/
	- https://octave.org/doc/v4.2.0/
	- https://octave.org/doc/v4.4.0/
	- https://octave.org/doc/interpreter/

	and the version can be seen later in the Texinfo #top node:

	- https://octave.org/doc/v4.0.0/index.html#Top
	...
	- https://octave.org/doc/interpreter/index.html#Top

	To make it easier to identify the manual version not only from the URL, what in
	the case of the latest manual "interpreter" is impossible, put it inside the
	top title.

	This change does not affect the PDF manual.

	Files: doc/interpreter/octave.texi

	* m4/octave_blas_f77_func.m4: Restore 64-bit integer BLAS detection (bug #53853).

	* m4/octave_blas_f77_func.m4: The unnecessary else-branch was introduced in
	  cset 171d90967f16 to fix bug #53853 and fails this test under any circumstance
	  and makes this last if-branch pointless.

	Files: m4/octave_blas_f77_func.m4

2018-08-09  Rik  <rik@octave.org>

	flip.m: Update docstring.

	* flip.m: Update docstring.

	Files: scripts/general/flip.m

2018-08-09  John W. Eaton  <jwe@octave.org>

	disable compound binary operator optimization (bug #54465)

	* oct-parse.in.yy (base_parser::make_binary_op):
	Don't recognize compound binary operators here.

	* parser.tst: New tests.

	Files: libinterp/parse-tree/oct-parse.in.yy test/parser.tst

2018-08-05  Marco Caliari  <marco.caliari@univr.it>

	Fix initial bracketing for fzero (bug #54445).

	* fzero.m: fix initial bracketing when x0 is zero.

	Files: scripts/optimization/fzero.m

2018-08-02  Markus M?tzel  <markus.muetzel@gmx.de>

	Fix scrolling command window in Windows 10 (bug #52496).

	* QWinTerminalImpl.cpp: Disable auto-scroll when manually scrolling up.

	Files: libgui/qterminal/libqterminal/win32/QWinTerminalImpl.cpp

2018-07-22  Rik  <rik@octave.org>

	build: include inplace_edit.pl in tarball (bug #54349).

	* build-aux/module.mk: include inplace_edit.pl in EXTRA_DIST.

	Files: build-aux/module.mk

2018-08-01  Rik  <rik@octave.org>

	Produce a single backtrace for global declaration overriding local variable.

	* pt-eval.cc (tree_evaluator::visit_decl_elt): Use "\n" at the end of the first
	two calls to warning_with_id() so that they do not produce a backtrace.  Only
	the third and final call produces a backtrace.

	Files: libinterp/parse-tree/pt-eval.cc

2018-08-01  John W. Eaton  <jwe@octave.org>

	revive setstr (bug #54417)

	* scripts/deprecated/setstr.m: Restore deleted function.

	* scripts/deprecated/module.mk: Update.

	Files: scripts/deprecated/module.mk scripts/deprecated/setstr.m

	* ode15i.m: In tests, use unlikely symbol name instead of "foo".

	Files: scripts/ode/ode15i.m

	* run.m: In test, use a symbol name that is unlikely to be a function.

	Files: scripts/miscellaneous/run.m

2018-07-30  John W. Eaton  <jwe@octave.org>

	bump version for 4.4.1-rc2

	* configure.ac: Set version to 4.4.1-rc2 and release date to 2018-07-30.

	Files: configure.ac

	avoid alignment warning on solaris systems (bug #54389)

	* oct-base64.cc (base64_decode): Declare pointer to output as double.
	Cast address of pointer to char ** in call to
	octave_base64_decode_alloc_wrapper instead of in call to std::copy.

	Files: liboctave/util/oct-base64.cc

2018-07-27  John W. Eaton  <jwe@octave.org>

	avoid questionable cast

	* load-save.cc (write_header): Use octave::mach_info::words_big_endian
	instead of tricky cast.

	Files: libinterp/corefcn/load-save.cc

2018-07-27  Rik  <rik@octave.org>

	setdiff.m: Fix typo in documentation (bug #54393).

	* setdiff.m: Specify that a row vector is returned if the first input is a row
	vector.

	Files: scripts/set/setdiff.m

2018-07-26  Markus M?tzel  <markus.muetzel@gmx.de>

	Improve error message if iconv is not available (bug #54384).

	* strfns.cc (__native2unicode__, __unicode2native__): More specific error
	message if u8_conv_from_encoding fails with ENOSYS.

	* native2unicode.m, unicode2native.m: Run BISTs conditionally on HAVE_ICONV.
	(grafted from 5401dfadd2f6368e5432b5abef1516c29181ed76)

	Files: libinterp/corefcn/strfns.cc scripts/strings/native2unicode.m
	scripts/strings/unicode2native.m

2018-07-27  John W. Eaton  <jwe@octave.org>

	avoid error in gnulib wrapper on systems that don't have fpu control word

	* fpucw-wrappers.c (octave_begin_long_double_rounding): Don't use
	macro to declare oldcw.

	Files: liboctave/wrappers/fpucw-wrappers.c

2018-07-26  John W. Eaton  <jwe@octave.org>

	avoid unused variable warning on some systems

	* fpucw-wrappers.c (octave_begin_long_double_rounding): Use
	DECL_LONG_DOUBLE_ROUNDING.
	(octave_end_long_double_rounding): Tag parameter as unused.

	Files: liboctave/wrappers/fpucw-wrappers.c

	avoid fprintf format warning on some systems

	* signal-wrappers.cc (print_sigset): Cast result of pthread_self to
	long int for printing.

	Files: liboctave/wrappers/signal-wrappers.c

	eliminate unnecessary sun-utils.h header file

	* Quad.cc: Don't include sun-utils.h
	(quad_fcn_ptr, quad_float_fcn_ptr): Declare using references instead
	of pointers.
	(user_function, float_user_function): Pass X and RESULT by reference
	instead of using pointers.  Eliminate unnecessary code for accessing
	doubles via pointers on Sparc systems.

	* sun-utils.h: Delete.

	* liboctave/util/module.mk: Update.

	Files: liboctave/numeric/Quad.cc liboctave/util/module.mk liboctave/util
	/sun-utils.h

2018-07-26  Rik  <rik@octave.org>

	index.tst: Make tests case insensitive for NaN, NA, Inf values (bug #54385).

	* index.tst: Use regular expression character classes to make BIST tests case
	insensitive.

	Files: test/index.tst

2018-07-26  John W. Eaton  <jwe@octave.org>

	positive value from uname can mean success (bug #54235)

	Solaris uname returns 1 for success.  Go figure.

	* oct-uname.cc: Negative value returned from uname wrapper means
	failure.  Anything else is success.

	* uname-wrapper.c: Check return value from uname less than 0 to indicate
	failure instead of equal to 0 to indicate success.

	Files: liboctave/system/oct-uname.cc liboctave/wrappers/uname-wrapper.c

	add some bug numbers to the test suite

	* oct-inttypes.cc, betainc.m, native2unicode.m, unicode2native.m,
	io.tst: Add bug numbers for some tests.

	Files: liboctave/util/oct-inttypes.cc scripts/specfun/betainc.m
	scripts/strings/native2unicode.m scripts/strings/unicode2native.m
	test/io.tst

2018-07-25  John W. Eaton  <jwe@octave.org>

	consider any non-zero return from uname to be failure (bug #54235)

	* oct-uname.cc (uname::init): Handle all non-zero values returned from
	octave_uname_wrapper as failure, not just negative values.

	Files: liboctave/system/oct-uname.cc

	if freetype detection fails, unset FT2_* config variables (bug #54369)

	* configure.ac: If a suitable freetype library is not found, unset
	FT2_CFLAGS and FT2_LIBS.  Only set FT2_CPPFALGS once.

	Files: configure.ac

	OCTAVE_CHECK_LIB: avoid shell syntax error if not checking for lib

	* acinclude.m4 (OCTAVE_CHECK_LIB): Set octave_cv_lib_$1=no if not
	checking for lib.

	Files: m4/acinclude.m4

2018-07-20  Rik  <rik@octave.org>

	Produce same random number stream for "state" initialized to Inf (bug #54342).

	* rand.cc (Frand): Update BIST test for new behavior.
	* rand.cc (do_rand): Map Inf values in initialization state vector to 0.0 which
	previous versions of Octave used.

	Files: libinterp/corefcn/rand.cc

2018-07-19  Rik  <rik@octave.org>

	doc: Replace instances of realroot (non-existent) with realpow (bug #54336).

	* op-kw-docs: Replaces instances of realroot (non-existent function) with
	realpow.

	Files: libinterp/op-kw-docs

2018-07-18  S?bastien Villemot  <sebastien@debian.org>

	avoid crash when loading classdef objeccts (bug #54319)

	* ls-mat5.cc (read_mat5_binary_element): Convert classdef object to
	struct and warn about conversion.

	Files: libinterp/corefcn/ls-mat5.cc

2018-07-18  John W. Eaton  <jwe@octave.org>

	fix test for 8-byte integer BLAS lib on big-endian systems (bug #53853)

	* octave_blas_f77_func.m4: Pass different integer values to DDOT so
	that the test will work on either big- or little-endian systems.

	Files: m4/octave_blas_f77_func.m4

2018-07-17  S?bastien Villemot  <sebastien@debian.org>

	hist.m: Don't error out if called with identical Y values (bug #54326).
	Mimic MATLAB behavior by creating unit-spaced bins.

	* hist.m: Check for identical min and max X values, and create N unit-spaced
	bins around the single central value.

	Files: scripts/plot/draw/hist.m

2018-07-16  Rik  <rik@octave.org>

	Parse empty struct input correctly (bug #54318).

	* inputParser.m: When input is an empty struct, skip this argument.

	Files: scripts/miscellaneous/inputParser.m

2018-07-13  John W. Eaton  <jwe@octave.org>

	* HACKING.md: Update for recently removed files.

	Files: etc/HACKING.md

	remove unused qtinfo source files

	* texinfo-parser.cc, texinfo-parser.h, webinfo.cc, webinfo.h: Delete.
	* libgui/src/module.mk: Update.

	Files: libgui/src/module.mk libgui/src/qtinfo/texinfo-parser.cc
	libgui/src/qtinfo/texinfo-parser.h libgui/src/qtinfo/webinfo.cc
	libgui/src/qtinfo/webinfo.h

	bump version for 4.4.1-rc1

	* configure.ac: Set version to 4.4.1-rc1 and release date to 2018-07-13

	Files: configure.ac

	maint: Strip trailing whitespace from source files.

	Files: libinterp/corefcn/dot.cc scripts/optimization/fsolve.m
	scripts/optimization/fzero.m scripts/plot/draw/patch.m
	scripts/plot/draw/surface.m scripts/sparse/pcg.m
	scripts/testfun/speed.m

2018-07-12  Rik  <rik@octave.org>

	doc: Remove bad calling convention for warning with a mode struct (bug #54288)

	* error.cc (Fwarning): Remove "warning (mode_struct)" calling form which is not
	valid.

	Files: libinterp/corefcn/error.cc

2018-07-04  Markus M?tzel  <markus.muetzel@gmx.de>

	Document work-around for disabling OpenGL software rendering (bug #53846).

	* plot.txi (Customizing Toolkit Behavior): Document work-around for manually
	disabling OpenGL software rendering for graphics toolkits "qt" and "fltk" on
	Windows.

	Files: doc/interpreter/plot.txi

2018-07-11  Rik  <rik@octave.org>

	Fix regression in 4.2.0 which disallowed printing with some Ghostscript devices.

	* __print_parse_opts__.m: New boolean variable "unknown_device" initially
	set to true.  Set variable to false if search in dev_list (devices),
	gs_aliases, or gs_device_list is succesful.

	Files: scripts/plot/util/private/__print_parse_opts__.m

2018-07-11  John W. Eaton  <jwe@octave.org>

	transform libiconv.dll.a to -liconv for mkoctfile (bug #53920)

	* configure.ac (MKOCTFILE_GNULIB_DEPS): Use $MKOCTFILE_LIBICONV
	instead of $LIBICONV.
	(MKOCTFILE_LIBICONV): New temporary variable.  On mingw systems,
	define by transforming libiconv.dll.a to -liconv in the LIBICONV
	variable defined by gnulib.

	Files: configure.ac

2018-07-11  Rik  <rik@octave.org>

	doc: Miscellaneous documentation fixes all over the manual (bug #54288).

	* embedded.cc, defaults.cc, error.cc, hex2num.cc, load-save.cc, integral2.m,
	integral3.m, quad2d.m, warning_ids.m, decic.m, lsqnonneg.m, pqpnonneg.m,
	bicg.m, betaincinv.m: Removal of duplicate words and redundant ')' and ';'
	characters.  Added missing '"', ')' characters.  Renamed variables to match
	other occurrences in docstring.  Use '*' instead of 'x' for multiply.
	Surround variables with @var{}.

	Files: examples/code/embedded.cc libinterp/corefcn/defaults.cc
	libinterp/corefcn/error.cc libinterp/corefcn/hex2num.cc
	libinterp/corefcn/load-save.cc scripts/general/integral2.m
	scripts/general/integral3.m scripts/general/quad2d.m
	scripts/help/warning_ids.m scripts/ode/decic.m
	scripts/optimization/lsqnonneg.m scripts/optimization/pqpnonneg.m
	scripts/sparse/bicg.m scripts/specfun/betaincinv.m

2018-07-10  Rik  <rik@octave.org>

	doc: small fixes to size() and plot.txi (bug #54283).

	* plot.txi: Correct typo "The" -> "They"

	* data.cc (Fsize): Correct misuse of "then" to "than".

	Files: doc/interpreter/plot.txi libinterp/corefcn/data.cc

	trapz.m: Overhaul function to fix errors with different orientations of X and Y (bug #54277).

	* trapz.m: Correctly find dimension input DIM by looking for a scalar in the
	second position and a non-scalar (i.e., data) in the first position.
	Use indexing, rather than repmat, to replicate idx1, idx2 arrays.
	Create explicit branches in if/else tree for X as a scalar, vector, or matrix.
	Use Octave spacing conventions in BIST tests.  Add new BIST tests for
	bug #54277.  Add input validation BIST tests.

	Files: scripts/general/trapz.m

	doc: Clarify description of Example 4 for size() (bug #54283).

	* data.cc (Fsize): Clarify that Example 4 applies when the number
	of output arguments is less than the number of dimensions.

	Files: libinterp/corefcn/data.cc

	Write audio OGG files in smaller chunk sizes (bug #54280).
	This works around a bug is libvorbis.

	* audioread.cc (Faudiowrite): Change chunk size that data is written in to
	2^20 rather than 2^21.

	Files: libinterp/dldfcn/audioread.cc

2018-05-13  S?bastien Villemot  <sebastien@debian.org>

	Use LAPACK DTGSEN subrouting for ordered-qz computation (bug #53761)

	* qz.cc: Use LAPACK's DTGSEN to compute and update generalized
	eigenvalues. Selection of eigenvalue cluster is now done by filling a
	vector of booleans, rather than through a selection function.  New
	tests for the four variants of the ordered QZ.

	* lo-lapack-proto.h (DTGSEN): New prototype.

	* liboctave/external/ordered-qz: Delete directory.
	* liboctave/external/module.mk: Update.

	Files: libinterp/corefcn/qz.cc liboctave/external/module.mk
	liboctave/external/ordered-qz/README liboctave/external/ordered-
	qz/dsubsp.f liboctave/external/ordered-qz/exchqz.f
	liboctave/external/ordered-qz/module.mk liboctave/external/ordered-
	qz/sexchqz.f liboctave/external/ordered-qz/ssubsp.f
	liboctave/numeric/lo-lapack-proto.h

2018-07-09  Mike Miller  <mtmiller@octave.org>

	build: avoid compiler warning about unused function 'abs' (bug #54237)

	* pr-output.cc: Only instantiate local 'abs' function template for fixed width
	signed and unsigned integer types used in Octave integer array types.  Avoids
	clang compiler warning with -Wunused-function option.

	Files: libinterp/corefcn/pr-output.cc

2018-07-09  John W. Eaton  <jwe@octave.org>

	Fix blkmm to work with empty matrices (bug #54261).

	* dot.cc (blkmm_internal): New templated function with overrides to call the
	correct Fortran routine based on template Array type.
	* dot.cc (get_blkmm_dims): New function to verify dimensions of arguments
	to Fblkmm.
	* dot.cc (do_blkmm): Templated function which uses octave_value_extract to
	get the correct data type before calling blkmm_internal.
	* dot.cc (Fblkmm): Simplify function by extracting most of the actions into
	get_blkmm_dims and blkmm_internal.  New function determines input data type
	and calls templated do_blkmm appropriately.  Add BIST test for bug #54261.

	Files: libinterp/corefcn/dot.cc

2018-07-05  John Donoghue  <John Donoghue>

	use octave bat file in pkg install configure/make when in windows (Bug #53938)

	* scripts/pkg/private/configure_make.m:
	  set octave_binary to octave-version.bat if in windows

	Files: scripts/pkg/private/configure_make.m

2018-07-09  Rik  <rik@octave.org>

	repelem.m: Fix behavior when final repeat count is 0 (bug #54275).

	* repelem.m: Size intermediate variable idx to be one larger than may be
	necessary.  After calculation, select only the valid range of idx without
	the extra temporary.  Add BIST test.

	Files: scripts/general/repelem.m

2018-07-09  John W. Eaton  <jwe@octave.org>

	* .hgsub: Use hg.octave.org instead of hg-new.octave.org

	Files: .hgsub

2018-07-05  John W. Eaton  <jwe@octave.org>

	move some fortran and dynamic linking configure checks to separate macros

	* m4/acinclude.m4 (OCTAVE_DEFINE_MKOCTFILE_DYNAMIC_LINK_OPTIONS,
	OCTAVE_CHECK_FORTRAN_SYMBOL_AND_CALLING_CONVENTIONS): New macros.

	* configure.ac: Use them to improve clarity.

	Files: configure.ac m4/acinclude.m4

2018-07-05  Kai T. Ohlhus  <k.ohlhus@gmail.com>

	xpow.cc (err_nonsquare_matrix): Clarify error message (bug #54248).

	* libinterp/corefcn/xpow.cc (err_nonsquare_matrix): This error messages is used
	for many x^y cases:

	// Safer pow functions.
	//
	//       op2 \ op1:   s   m   cs   cm
	//            +--   +---+---+----+----+
	//   scalar   |     | 1 | 5 |  7 | 11 |
	//                  +---+---+----+----+
	//   matrix         | 2 | * |  8 |  * |
	//                  +---+---+----+----+
	//   complex_scalar | 3 | 6 |  9 | 12 |
	//                  +---+---+----+----+
	//   complex_matrix | 4 | * | 10 |  * |
	//                  +---+---+----+----+

	But the cases 5, 6, 11, and 12 where `op1 == x` is a matrix are ignored by the
	original error message.

	Files: libinterp/corefcn/xpow.cc

2018-07-04  Rik  <rik@octave.org>

	configure.ac: Reorder tests so that FPICFLAG is correctly set on Solaris (bug #54235).

	* configure.ac: Move test for Fortran compiler to occur immediately after tests
	for C++ and C compilers, and ahead of tests for static/dynamic libraries
	which set FPICFLAG.

	Files: configure.ac

	eigs.m: Decrease opts.maxit in UnconvergedEigenvalues BIST (bug #54179).

	* eigs.m: Decrease opts.maxit from 5 to 4 in order for ARPACK to definitely
	fail to converge.

	Files: scripts/sparse/eigs.m

2018-07-01  Rik  <rik@octave.org>

	build: Work around bug in perl 5.28.0 (bug #54202).

	* build-aux/inplace_edit.pl: New Perl script to replace using 'perl -i -pe'

	* doc/interpreter/module.mk: Replace instance of 'perl -i -pe' with call to
	inplace_edit.pl.

	Files: build-aux/inplace_edit.pl doc/interpreter/module.mk

2018-07-02  Mike Miller  <mtmiller@octave.org>

	fix ambiguous overload build error on Solaris (bug #54217)

	* __betainc__.cc (F__betainc__): Use octave::math::exp2 instead of pow.
	* __gammainc__.cc (F__gammainc__): Likewise.
	* __expint__.cc (F__expint__): Likewise.  Drop unnecessary call to floor
	with integer arithmetic.

	Files: libinterp/corefcn/__betainc__.cc libinterp/corefcn/__expint__.cc
	libinterp/corefcn/__gammainc__.cc

2018-07-02  Rik  <rik@octave.org>

	pkg.m: Restore ability to use file glob patterns when specifying local pkg files (bug #54224).

	* pkg.m: Use glob, rather than exist, so that file patterns like '*' or '?' can
	be used in naming local files.

	Files: scripts/pkg/pkg.m

2018-07-02  Kai T. Ohlhus  <k.ohlhus@gmail.com>

	doc: Fix malformed URL (bug #54225).

	* libinterp/version.cc: Exclude dot "." from URL formatting.

	Files: libinterp/version.cc

2018-06-29  Rik  <rik@octave.org>

	Use %ld format code in xerbla printf (bug #54206).

	* xerbla.c: F77_INT is cast to (long) in printf and needs to use %ld format
	code.

	Files: liboctave/external/blas-xtra/xerbla.c

2018-06-29  John W. Eaton  <jwe@octave.org>

	use int instead of size_t for xerbla string length (bug #54206)

	* xerbla.c: Use int instead of size_t for string length.  Int should
	be sufficient for the values expected since the parameter is intended
	to hold a Fortran subroutine or function name.

	Files: liboctave/external/blas-xtra/xerbla.c

2018-04-25  Mike Miller  <mtmiller@octave.org>

	gui: fix editor rendering on some displays, disable QScintilla buffered drawing

	* octave-qscintilla.cc (octave_qscintilla::octave_qscintilla): Disable buffered
	bitmap drawing mode on all systems. Has no effect on some systems, improves
	appearance on some GNU/Linux systems with non-integer HiDPI scaling.

	Files: libgui/src/m-editor/octave-qscintilla.cc

2018-06-29  John W. Eaton  <jwe@octave.org>

	* configuire.ac: Use 4.0.0x instead of 4.0.0+.

	Files: configure.ac

2018-06-28  John W. Eaton  <jwe@octave.org>

	* configure.ac: Set version to 4.4.0+.

	Files: configure.ac

2018-06-25  Daniel J Sebald  <daniel.sebald@ieee.org>

	Pair fclose() with all fopen() and prevent file-io.cc test fails (bug #54180).

	* test/io.tst: Place unwind_protect blocks where appropriate throughout tests,
	  ensuring all test files are closed, but leave failed test temporary files
	  in directories for debugging.
	  (data storage type i/o test): Add fclose() after doing the loop containing
	  fread().
	  (binary i/o test: Add fclose() at the end of the case where the end-of-file
	  is reached and file is reopened.  Add the case where end-of-file is not
	  reached and add fclose() for completeness.

	Files: test/io.tst

2018-06-25  Rik  <rik@octave.org>

	fsolve.m: Return info=1 when initial guess (x0) is correct (bug #53991).

	* fsolve.m: Return success (info=1) when initial guess is correct.
	Add BIST test for this occurrence.

	Files: scripts/optimization/fsolve.m

	fsolve.m: Add BIST test for bug #53991.

	* fsolve.m: Add BIST test for bug #53991.

	Files: scripts/optimization/fsolve.m

2018-06-19  Rik  <rik@octave.org>

	fsolve.m: exit with info=-2 when singularity reached (bug #53991).

	* fsolve.m: Check whether the Jacobian is essentially zero, which means the
	next update would be the same as the existing solution, and exit with info=-2
	if found.

	Files: scripts/optimization/fsolve.m

2018-06-21  John W. Eaton  <jwe@octave.org>

	ensure that Make sees Octave exit status when running make check

	* test/module.mk (run-octave-tests): Use && to connect shell
	statements so that exit status of subshell containing Octave
	evaluation of tests is not ignored.

	Files: test/module.mk

2018-06-20  John W. Eaton  <jwe@octave.org>

	* interpreter.cc (intialize_xerbla_error_handler, xerbla_abort): New functions.
	(interpreter::interpreter): Call intialize_xerbla_error_handler.

	* configure.ac (AMCOND_BUILD_EXTERNAL_LIBXERBLA): New conditional.

	* libinterp/module.mk (%canon_reldir%_liboctinterp_la_LIBADD):
	Add libxerbla.la as an additional dependency if building libxerbla as
	an external library.

	* liboctave/external/blas-xtra/module.mk: Update.  Allow building a
	separate library for xerbla.

	* xerbla.c: Rename from xerbla.f and implement in C.  Allow programs
	to define a handler function to call.

	* f77-fcn.c (xstopx): Modernize.

	Files: configure.ac libinterp/corefcn/interpreter.cc libinterp/module.mk
	liboctave/external/blas-xtra/module.mk liboctave/external/blas-
	xtra/xerbla.c liboctave/external/blas-xtra/xerbla.f
	liboctave/util/f77-fcn.c

2018-06-19  John W. Eaton  <jwe@octave.org>

	improve warnings for global/local variable conflicts (bug #54052)

	* pt-eval.cc (tree_evaluator::visit_decl_elt): Correct warning for
	case of creating new global variable when there is an existing local
	variable.  Also warn when an existing global value overrides existing
	local value.  Rename warning ID to Octave:global-local-conflict from
	Octave:global-from-local.

	* global.tst: New test.

	Files: libinterp/parse-tree/pt-eval.cc test/global.tst

2018-06-15  John W. Eaton  <jwe@octave.org>

	maybe preserve local value when declaring variable global (bug #54052)

	* pt-eval.cc (tree_evaluator::visit_decl_elt): In global declaration,
	if local value is defined but global is not, then preserve global value.
	If global value is already defined, override local value with global
	value.  Either way, warn about variable already being defined.

	* test/global.tst: New tests.

	Files: libinterp/parse-tree/pt-eval.cc test/global.tst

2018-06-13  Rik  <rik@octave.org>

	doc: Use @var rather than @code to mark inputs to functions in docstrings.

	* graphics.cc (Fwaitfor), sparse.cc (Fsparse), toplev.cc (Fsystem),
	colamd.cc (Fsymamd), cmpermute.m, imformats.m, krylov.m, run.m, stem.m,
	stem3.m, stft.m, pcr.m, legendre.m, datestr.m:
	Use @var rather than @code to mark inputs to functions in docstrings.

	Files: libinterp/corefcn/graphics.cc libinterp/corefcn/sparse.cc
	libinterp/corefcn/toplev.cc libinterp/dldfcn/colamd.cc
	scripts/image/cmpermute.m scripts/image/imformats.m scripts/linear-
	algebra/krylov.m scripts/miscellaneous/run.m
	scripts/plot/draw/stem.m scripts/plot/draw/stem3.m
	scripts/signal/stft.m scripts/sparse/pcr.m
	scripts/specfun/legendre.m scripts/time/datestr.m

	doc: Use @var rather than @code to mark third argument to sort in docstring.

	* data.cc (Fsort): Use @var rather than @code to mark third argument (mode).

	Files: libinterp/corefcn/data.cc

2018-06-13  John W. Eaton  <jwe@octave.org>

	fix regression in text (bug #54109)

	* text.m: When given only property/value pairs (or no arguments), set
	initial value of string property to "", not {""}.  New test.

	Files: scripts/plot/appearance/text.m

2018-06-12  John W. Eaton  <jwe@octave.org>

	create valid tmp scope for who -file (bug #54030)

	* variables.cc (do_who): Provide name to symbol_scope contstructor to
	create valid scope.
	(Fwho): New test.

	Files: libinterp/corefcn/variables.cc

2018-06-12  Rik  <rik@octave.org>

	polar.m: Correct axes limits when using negative rho values (bug #53999).

	* polar.m: Use abs() to determine the maximum RHO value regardless of direction
	and use this value to size the axes appropriately.

	Files: scripts/plot/draw/polar.m

	text.m: Fix regression when 'String' property is specified (bug #54067).

	* text.m: Search for 'String' in list of property/value pairs.  Move input validation below point where all inputs have been ascertained.  Add BIST test for bug #54067.

	Files: scripts/plot/appearance/text.m

	Fix typo in error statement from containers.Map (bug #54103).

	* scripts/+containers/Map.m: Change 'containters.Map' to 'containers.Map' in
	error() statement.

	Files: scripts/+containers/Map.m

	doc: Use qcode macro to document fseek offsets (bug #51402).

	* file-io.cc (Ffseek): Use @qcode macro aroud fseek offsets such as SEEK_SET so
	that they do not appear in the terminal window surrounded with single quotes
	('SEEK_SET') which confusingly looks like a string.

	Files: libinterp/corefcn/file-io.cc

2018-06-12  John W. Eaton  <jwe@octave.org>

	allow NULL mxArray* to be returned as undefined from fcn calls (bug #54096)

	* mxarray.in.h, mex.cc (mxArray::as_octave_value (const mxArray *):
	New bool arg, null_is_empty, with default value of true.  If
	Check null_is_empty to determine whether to return and empty Matrix
	object or an undefined octave_value object when ptr is NULL.
	(call_mex): Pass false for null_is_empty when creating output values
	from plhs array.

	Files: libinterp/corefcn/mex.cc libinterp/corefcn/mxarray.in.h

2018-06-11  John W. Eaton  <jwe@octave.org>

	Backed out changeset 97e64c23fd07 (bug #54096)

	This change was an attempt to fix bug 51725 but it caused other
	trouble.  Backing out and making another attempt.

	Files: libinterp/corefcn/mex.cc

	treat NULL as [] for mxSetFieldByNumber and mxSetCell (bug #54096)

	* mex.cc (make_empty_matrix): New static function.
	(mxArray_struct::set_field_by_number, mxArray_cell::set_cell):
	If value is NULL, store empty double matrix.

	Files: libinterp/corefcn/mex.cc

2018-06-04  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Properly test Qt offscreen printing during manual figures generation.

	* geometryimages.m, interpimages.m, plotimages.m, sparseimages.m, splineimages.m:
	  test QT_OFFSCREEN variable rather than QOFFSCREENSURFACE.

	Files: doc/interpreter/geometryimages.m doc/interpreter/interpimages.m
	doc/interpreter/plotimages.m doc/interpreter/sparseimages.m
	doc/interpreter/splineimages.m

2018-06-02  Markus M?tzel  <markus.muetzel@gmx.de>

	Avoid segfault with textscan (bug #53786).

	* oct-stream.cc (textscan::skip_whitespace): Check for length of cell before
	getting element.

	Files: libinterp/corefcn/oct-stream.cc

2018-05-24  Mike Miller  <mtmiller@octave.org>

	add Qt include needed to build against Qt 5.11 (bug #53978)

	* settings-dialog.cc: Add missing include for <QButtonGroup> to fix build
	failure with Qt 5.11.

	Files: libgui/src/settings-dialog.cc

2018-05-18  John W. Eaton  <jwe@octave.org>

	make listing local functions for command completion work again (bug #53925)

	* help.cc (help_system::local_functions): Check curr_fcn before loop.

	* ov-usr-fcn.h (octave_user_function::parent_fcn_scope):
	New function.  Oops.

	* oct-parse.in.yy (base_parser::start_function): Don't cache parent
	function info in subfunctions here.  It is already done in
	finish_function, which also handles nested functions.
	(base_parser::finish_function): Also cache parent function name in
	subfunction.

	Files: libinterp/corefcn/help.cc libinterp/octave-value/ov-usr-fcn.h
	libinterp/parse-tree/oct-parse.in.yy

2018-05-17  Rik  <rik@octave.org>

	Stop segfault in debug mode with readline complete (bug #53925).

	* help.cc (local_functions): Check that variable curr_function is not NULL
	before using it.

	Files: libinterp/corefcn/help.cc

	Use correct abbreviation UTC for Coordinated Universal Time (bug #53918).

	* time.cc (Ftime, Fgmtime): Replace "CUT" with "UTC" in docstrings.

	Files: libinterp/corefcn/time.cc

2018-05-16  Rik  <rik@octave.org>

	Remove code to install default colors for qt toolkit from window theme (bug #53805).
	Default colors should come from root graphics object, not current window theme.

	* __init_qt__.cc (__init__): Delete code that copied colors from window theme
	and set these colors on the root graphics object.

	Files: libgui/graphics/__init_qt__.cc

2018-05-15  John W. Eaton  <jwe@octave.org>

	back out changes attempting to automatically call handle class destructor

	These changes proved to cause too much trouble for stable.  Making
	Octave call destructors for handle class objects will have to be done
	on the default branch.

	The following changesets on the stable branch were backed out:

	  changeset:   b328ff3ce0f7
	  user:        Piotr Held <pjheld@gmail.com>
	  date:        Thu Nov 02 10:27:11 2017 -0700
	  summary:     call delete method for handle class objects (bug #46497)

	  changeset:   2205c0ca02e7
	  parent:      0548e32e6b27
	  user:        John W. Eaton <jwe@octave.org>
	  date:        Fri May 11 16:46:27 2018 -0400
	  summary:     improve test for handle class destructor

	  changeset:   97f1d513aaf6
	  parent:      2205c0ca02e7
	  user:        John W. Eaton <jwe@octave.org>
	  date:        Mon May 14 14:47:19 2018 -0400
	  summary:     defer deletion of temporaries in argument lists (bug #53844)

	  changeset:   2f3a66d7cf8a
	  parent:      c8f49ee7a687
	  user:        John W. Eaton <jwe@octave.org>
	  date:        Mon May 14 20:41:59 2018 -0400
	  summary:     also preserve temporaries in indexing expressions (bug #53844)

	Files: libinterp/parse-tree/pt-arg-list.cc libinterp/parse-tree/pt-eval.cc
	libinterp/parse-tree/pt-eval.h test/bug-46497/bug-46497.tst
	test/bug-46497/class_bug46497.m test/bug-46497/module.mk
	test/module.mk

2018-05-15  Rik  <rik@octave.org>

	residue.m: Use a pre-conditioner on final matrix division for numerical stability (bug #53869)

	* residue.m: Use a pre-conditioner for final 'A \ B' division.
	Adjust BIST test for new behavior.

	Files: scripts/polynomial/residue.m

2018-05-15  John W. Eaton  <jwe@octave.org>

	track multiple file types (oct|m|mex) for private functions (bug #53856)

	* load-path.cc (get_fcn_files): Correctly track multiple function file
	types for the same function name.

	Files: libinterp/corefcn/load-path.cc libinterp/corefcn/load-path.h

2018-05-14  John W. Eaton  <jwe@octave.org>

	also preserve temporaries in indexing expressions (bug #53844)

	* pt-eval.cc (tree_evaluator::visit_index_expression):
	Also defer deletion of base_expr_val.

	Files: libinterp/parse-tree/pt-arg-list.cc libinterp/parse-tree/pt-eval.cc

	also update load-path info if private subdir time stamp changes (bug #53856)

	* load-path.cc (load_path::dir_info::update): Also check for private
	subdirectory and reinitialize if it has changed since the last check.

	Files: libinterp/corefcn/load-path.cc

	defer deletion of temporaries in argument lists (bug #53844)

	* pt-eval.h, pt-eval.cc (tree_evaluator::deferred_delete_stack):
	New class.
	(tree_evaluator::m_deferred_delete_stack): New data member.
	(tree_evaluator::tree_evaluator): Initialize it.
	(tree_evaluator::reset): Clear it.
	(tree_evaluator::defer_deletion): New function.
	(tree_evaluator::visit_statement): Arrange to clear deferred deletion
	stack at end of each statement evaluation.

	* pt-arg-list.cc (tree_argument_list::convert_to_const_vector):
	Defer deletion of temporary values in argument lists.

	Files: libinterp/parse-tree/pt-arg-list.cc libinterp/parse-tree/pt-eval.cc
	libinterp/parse-tree/pt-eval.h

2018-05-11  John W. Eaton  <jwe@octave.org>

	improve test for handle class destructor

	* bug-46497.tst, class_bug46497.m: Also test that destructor can
	access class properties.

	Files: test/bug-46497/bug-46497.tst test/bug-46497/class_bug46497.m

	call delete method correctly for handle class objects (bug #53844)

	* ov-classdef.h, ov-classdef.cc (cdef_object_rep::release):
	Accept reference to the to-be-deleted cdef_object.  Change all callers.
	Call cdef_class::delete_object here.  Pass referent to object to
	delete_object.
	(handle_cdef_object::~handle_cdef_object): Don't call delete_object.
	(cdef_class::cdef_class_rep::delete_object): Pass argument by const
	reference, not value.  Simplify calling of delete method.  Don't call
	delete_object on "handle" superclass object.
	(cdef_class_rep::delete_object): Pass argument by const reference.

	Files: libinterp/octave-value/ov-classdef.cc libinterp/octave-value/ov-
	classdef.h

2018-05-10  John W. Eaton  <jwe@octave.org>

	use size_t for f77 char arg length params with GCC 8 (bug #53872)

	* f77-fcn.h (F77_CHAR_ARG_LEN_TYPE): Define to size_t if using GCC 8
	or later.

	Files: liboctave/util/f77-fcn.h

2018-05-04  Rik  <rik@octave.org>

	doc: Rewrite section on indexing for clarity (bug #53675).

	* expr.txi: Rewrite secton on indexing.

	* numbers.txi: Change opindex for ':' to ':, range expressions' to distinguish
	it from a colon used in an indexing expression.

	Files: doc/interpreter/expr.txi doc/interpreter/numbers.txi

2018-05-03  Marco Caliari  <marco.caliari@univr.it>

	Fix lrwork dimension in svd for complex cases (bug #53823).

	* svd.cc: Due to a bug in LAPACK <= 3.6, if jobz == 'N' then lrwork must be set
	to 7*min_mn.

	Files: liboctave/numeric/svd.cc

2018-05-03  Rik  <rik@octave.org>

	md5sum.m: Fix error in sample code (bug #53829).

	* md5sum.m: Remove call to fileread when documenting how to call hash() on a
	string.

	Files: scripts/deprecated/md5sum.m

2018-05-02  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	lines.m: Don't open empty figure or axes if none already exist (bug #53648)

	* lines.m: use default axes "colororder" property when no current axes exist.

	Files: scripts/image/lines.m

2018-05-02  Kai T. Ohlhus  <k.ohlhus@gmail.com>

	doc: Update version number 4.4.0 in CITATION.

	* CITATION: Update version number to 4.4.0.

	Files: CITATION

2018-04-30  Mike Miller  <mtmiller@octave.org>

	add version 4.4.0 to AppStream metadata

	* org.octave.Octave.appdata.xml: Add version 4.4.0 release tag.

	Files: etc/icons/org.octave.Octave.appdata.xml

2018-04-30  John W. Eaton  <jwe@octave.org>

	Added tag release-4-4-0 for changeset cf84db75ab57

	Files: .hgtags

	Version 4.4.0 released.

	* configure.ac (AC_INIT): Set version to 4.4.0.
	(OCTAVE_MINOR_VERSION): Now 4.
	(OCTAVE_PATCH_VERSION): Now 0.
	(OCTAVE_RELEASE_DATE): Set to 2018-04-30.
	(NEWS): Set release date.

	Files: NEWS configure.ac

2018-04-30  Rik  <rik@octave.org>

	Fix extra figure window pop-up when using waitbar (bug #53778)

	* patch.m, surface.m: Call "ishold (hax)" rather than "ishold ()" so that
	function makes the correct determination about current axes and figure.

	Files: scripts/plot/draw/patch.m scripts/plot/draw/surface.m

2018-04-27  John W. Eaton  <jwe@octave.org>

	maint: Merge away extra head on stable branch.

	Files: 

2018-04-27  Rik  <rik@octave.org>

	linkprop.m: Fix error when more than 4 handles are given as input.

	* linkprop.m: Use ';' to concatenate handles vertically, rather than ',' comma.

	Files: scripts/plot/util/linkprop.m

2018-04-27  John W. Eaton  <jwe@octave.org>

	Added tag rc-4-3-92 for changeset 4c14c002cabe

	Files: .hgtags

	bump version for third 4.4 release candidate

	* configure.ac (AC_INIT): Set version to 4.3.92.
	(OCTAVE_PATCH_VERSION): Now 92.
	(OCTAVE_RELEASE_DATE): Set to 2018-04-27.

	Files: configure.ac

2018-04-26  John W. Eaton  <jwe@octave.org>

	avoid crash on exceptions thrown in handle class delete method

	* ov-classdef (handle_cdef_object::~handle_cdef_object): Use same
	technique as in octave_oncleanup::~octave_oncleanup to avoid crashes
	if exceptions are thrown while executing handle class delete method
	while inside C++ class destructor.

	Files: libinterp/octave-value/ov-classdef.cc

2017-11-02  Piotr Held  <pjheld@gmail.com>

	call delete method for handle class objects (bug #46497)

	* ov-classdef.cc (handle_cdef_object::handle_cdef_object):
	Call delete_object to ultimately invoke the delete method for the
	object.

	* test/bug-46497/bug-46497.tst, test/bug-46497/class_bug46497.m,
	test/bug-46497/module.mk: New files.
	* test/module.mk: Update.

	Files: libinterp/octave-value/ov-classdef.cc test/bug-46497/bug-46497.tst
	test/bug-46497/class_bug46497.m test/bug-46497/module.mk
	test/module.mk

2018-04-26  John W. Eaton  <jwe@octave.org>

	don't hold reference to expression result after evaluation is done

	* pt-eval.h (tree_evaluator::evaluate, tree_evaluator::evaluate_n):
	Clear m_expr_result_value and m_expr_result_value_list after setting
	retval.

	Files: libinterp/parse-tree/pt-eval.h

2018-04-26  Marco Caliari  <marco.caliari@univr.it>

	eigs.m: Fix failing BIST test (bug #53700).

	* eigs.m: Use isreal() to determine whether NaN or NaN+1i*NaN should be the
	expected value.

	Files: scripts/sparse/eigs.m

2018-04-26  John W. Eaton  <jwe@octave.org>

	use pattern rule to make Qt help files

	* doc/interpreter/module.mk: Use pattern rule for Qt help files so
	GNU Make will correctly build them with one invocation of the given
	rule.

	Files: doc/interpreter/module.mk

	install Qt help files if available

	The Qt help files are included in tarball distributions, so attempt to
	install those files even if the tools to build them are missing or
	Octave has been configured with --disable-docs.

	* doc/interpreter/module.mk (OCTAVE_QTHELP_FILES): Define list outside
	of automake conditionals for building docs.
	(install-qt-help-files, uninstall-qt-help-files, qthelp-installdir):
	New rules, defined outside of conditionals.
	(install-data-local): Also depend on install-qthelp-files.
	(uninstall-local): Also depend on uninstall-qthelp-files.
	(octdoc_DATA): Don't add $(OCTAVE_QTHELP_FILES) to the list.
	(DOC_TARGETS): Only add $(OCTAVE_QTHELP_FILES) to the list if
	AMCOND_BUILD_QT_DOCS is true.

	Files: doc/interpreter/module.mk

2018-04-25  Mike Miller  <mtmiller@octave.org>

	doc: install info documentation into Math category

	* octave.texi: Use @dircategory Math to install manual into Math category.
	Use @direntry to define Info dir entry instead of raw Info-only text output.
	* liboctave.texi: Likewise.
	Thanks to Thomas Weber and S?bastien Villemot for the original patch.

	Files: doc/interpreter/octave.texi doc/liboctave/liboctave.texi

2018-04-25  John W. Eaton  <jwe@octave.org>

	allow kbhit to work in command-line scripts (bug #53412)

	* sysdep.cc (Fkbhit): Don't limit function to "interactive" applications.

	Files: libinterp/corefcn/sysdep.cc

	avoid syntax errors in build-aux/subst scripts

	* m4/acinclude.m4: Use ${top_srcdir} instead of $(top_srcdir) to avoid
	syntax errors in shell scripts.

	* subst-config-vals.in.sh, subst-cross-config-vals.in.sh:
	Also define srcdir, top_srcdir, abs_srcdir, and abs_top_srcdir.
	Define directory variables ahead of any other variables that might use
	them.

	Files: build-aux/subst-config-vals.in.sh build-aux/subst-cross-config-
	vals.in.sh m4/acinclude.m4

	avoid syntax error in configure if cxsparse is missing

	* configure.in: If cxsparse is missing, skip additional check.

	Files: configure.ac

2018-04-24  Daniel J Sebald  <daniel.sebald@ieee.org>

	Use consistent gnuplot toolkit font syntax allow SVG fractional font size (bug #53737)

	* print.m: Document the cgm and eepic terminals (gnuplot only).

	* __gnuplot_print__.m: Condition "background" option on several of the terminal
	  types which otherwise would produce a gnuplot warning.  Add terminal type
	  cases "cgm" and "latex" to the list of generic plotting formats.
	  (font_spec): Use the 'font "<name>,<size>"' format in almost all cases, which
	  has been made more consistent in recent gnuplot versions.  Remove code that
	  rounds the SVG font size.

	* __print_parse_opts__.m: Add to the dev_list "canvas", "cgm", "latex" and
	  "eepic" and correspondingly to the suffixes "js", "cgm", "tex" and "tex".

	Files: scripts/plot/util/print.m
	scripts/plot/util/private/__gnuplot_print__.m
	scripts/plot/util/private/__print_parse_opts__.m

2018-04-24  Mike Miller  <mtmiller@octave.org>

	pkg: restore deletion of package archive downloaded from Octave Forge

	* pkg.m: Restore code to delete all downloaded files, whether they were
	downloaded to a temporary directory or not.  Fixes regression introduced
	in cset 0cd7076a97c8.

	Files: scripts/pkg/pkg.m

	test: tag possible test failure with known bug #51804

	* ov-java.cc: Tag possible test failure under Oracle Java 7 as known bug.

	Files: libinterp/octave-value/ov-java.cc

2018-04-24  John W. Eaton  <jwe@octave.org>

	* eigs.m: Use testif HAVE_ARPACK for test.

	Files: scripts/sparse/eigs.m

2018-04-24  Marco Caliari  <marco.caliari@univr.it>

	Use eig in eigs when p is equal to matrix dimension n (bug #53719)

	* eigs.m: Set call_eig to true when the dimension of the Krylov space
	p is equal to the dimension of the matrix n. Set call_eig to true when
	the matrix has dimension less than 13. Change several tests in order to
	really use ARPACK and not eig.  New test.

	Files: scripts/sparse/eigs.m

	Fix segmentation fault in eigs when B is not SPD (bug #53719).

	* eigs-base.cc (make_cholb): check for info != 0 after a sparse
	Cholesky factorization.
	* eigs.m (select): Fix conditions for "lr", "sr", "li", and "si"
	cases.  New test.

	Files: liboctave/numeric/eigs-base.cc scripts/sparse/eigs.m

2018-04-24  John W. Eaton  <jwe@octave.org>

	fix logic error in OCTAVE_CONFIG_LIB (bug #53736)

	* acinclude.m4 (OCTAVE_CHECK_LIB): Don't allow PACKAGE_LIBS to be set
	if the library is not found.  Previously this could happen in various
	ways, including if the macro was used with an empty warning string.

	Files: m4/acinclude.m4

2018-04-23  Rik  <rik@octave.org>

	speed.m: Use tic/toc for better timing (bug #53713).

	* speed.m: Change timing strategy to use tic/toc with timer ID, rather than
	time() which is not as accurate on Windows platforms.  Use separate legend
	statement rather than placing legend key within plot command.  Re-order legend
	strings so they correctly label what is being plotted.

	Files: scripts/testfun/speed.m

2018-04-23  Mike Miller  <mtmiller@octave.org>

	maint: update library version numbers for 4.4 release

	* configure.ac (OCTAVE_API_VERSION): Update to api-v52.
	* libgui/module.mk (%canon_reldir%_liboctgui_current): Update to 3.
	* libinterp/module.mk (%canon_reldir%_liboctinterp_current): Update to 5.
	* liboctave/module.mk (%canon_reldir%_%canon_reldir%_current): Update to 5.

	Files: configure.ac libgui/module.mk libinterp/module.mk
	liboctave/module.mk

2018-04-21  Torsten  <mttl@mailbox.org>

	open files in correct order when restoring editor session (bug #53711)

	* file-editor.cc (restore_session): use integers instead of string
	  for sorting the tabs (avoiding 1 10 11 ... 2 3 ...)

	* file-editor.h: struct session data with integer instead of string as index

	Files: libgui/src/m-editor/file-editor.cc libgui/src/m-editor/file-editor.h

2018-04-19  Mike Miller  <mtmiller@octave.org>

	maint: add missing tag entry release-4-2-2 on stable branch

	Files: .hgtags

	Added tag rc-4-3-91 for changeset ff59be58f028

	Files: .hgtags

2018-04-19  John W. Eaton  <jwe@octave.org>

	bump version for second 4.4 release candidate

	* configure.ac (AC_INIT): Set version to 4.3.91.
	(OCTAVE_PATCH_VERSION): Now 91.
	(OCTAVE_RELEASE_DATE): Set to 2018-04-19.

	Files: configure.ac

	enable lazy index to numeric conversion (bug #53681)

	* ov-lazy-idx.h, ov-lazy-idx.h (octave_lazy_index::as_double,
	octave_lazy_index::as_single, octave_lazy_index::as_int8,
	octave_lazy_index::as_int16, octave_lazy_index::as_int32,
	octave_lazy_index::as_int64, octave_lazy_index::as_uint8,
	octave_lazy_index::as_uint16, octave_lazy_index::as_uint32,
	octave_lazy_index::as_uint64): New functions.
	New tests.

	Files: libinterp/octave-value/ov-lazy-idx.cc libinterp/octave-value/ov-
	lazy-idx.h

2018-04-19  Rik  <rik@octave.org>

	doc: Clarify docstring for sum (bug #53698).

	* data.cc: Provide a better explanation of "native" argument and what happens
	when it is not present.

	Files: libinterp/corefcn/data.cc

2018-04-19  John W. Eaton  <jwe@octave.org>

	unblock async signals before executing subprocess (bug #53635)

	* sighandlers.cc (sigint_handler): Delete.
	(generic_sig_handler): Handle sigint and sigbreak here.
	(catch_interrupts): Use generic_sig_handler instead of sigint_handler.
	(F__show_signal_mask__): New function.

	* signal-wrappers.h, signal-wrappers.c (octave_alloc_signal_mask,
	octave_free_signal_mask, octave_get_signal_mask,
	octave_set_signal_mask): New functions.

	* toplev.cc (get_signal_mask, restore_signal_mask): New static functions.
	(Fsystem): Save signal mask.  Unblock async signals before executing
	subprocess.  Use unwind_protect frame to restore previous mask.

	Files: libinterp/corefcn/sighandlers.cc libinterp/corefcn/toplev.cc
	liboctave/wrappers/signal-wrappers.c liboctave/wrappers/signal-
	wrappers.h

2018-04-18  John W. Eaton  <jwe@octave.org>

	allow users to set path to CA certificates for cURL

	* url-transfer.cc (curl_transfer::curl_transfer): Check for
	CURLOPT_CAINFO and CURLOPT_CAPATH environment variables.  If set, use
	them to set the corresponding options for the cURL library.

	Files: liboctave/util/url-transfer.cc

2018-04-18  Rik  <rik@octave.org>

	doc: Stop cruft from being printed after "help if".

	* op-kw-docs: Use TexInfo comment designator "@c" to prefix lines
	which should not be shown, rather than shell character '#'.

	Files: libinterp/op-kw-docs

2018-04-18  A.R. Burgers  <arburgers@gmail.com>

	nl_NL.ts: Fix single typo in Dutch translation (bug #53687).

	* nl_NL.ts: Fix single typo in Dutch translation (bug #53687).

	Files: libgui/languages/nl_NL.ts

2018-04-18  John W. Eaton  <jwe@octave.org>

	restore ability to interrupt subprocesses on Unixy systems (bug #53635)

	* terminal-dock-widget.cc (terminal_dock_widget::terminal_interrupt):
	Also send SIGINT to all processes in our process group.

	Files: libgui/src/terminal-dock-widget.cc

2018-04-17  John W. Eaton  <jwe@octave.org>

	improve Ctrl-C interrupt handling in the GUI (bug #53635)

	* main-window.h, main-window.cc (octave_interpreter::interrupt):
	Delete.
	(octave_interpreter::m_thread_manager): Delete member variable and all uses.
	* thread-manager.h, thread-manager.cc: Delete.
	* libgui/src/module.mk: Update.

	* main-window.h, main-window.cc (main_window::interrupt_interpreter):
	Delete.
	(main_window::construct): Don't connect command window interrupt
	signal to main window interrupt_interpreter slot.

	* octave-gui.cc (gui_application::execute): Call
	octave_block_interrupt_signal directly.

	* terminal-dock-widget.cc (terminal_dock_widget::terminal_interrupt):
	Set octave_signal_caught and octave_interrupt_state instead of
	emitting interrupt_signal.

	Files: libgui/src/main-window.cc libgui/src/main-window.h
	libgui/src/module.mk libgui/src/octave-gui.cc libgui/src/terminal-
	dock-widget.cc libgui/src/thread-manager.cc libgui/src/thread-
	manager.h

2018-04-12  John W. Eaton  <jwe@octave.org>

	make file editor context menu more like menu bar edit menu

	* file-editor.cc (file_editor::create_context_menu): Add actions and
	sub-menus from the menu bar edit menu that were previously missing.

	Files: libgui/src/m-editor/file-editor.cc

2018-04-17  Mike Miller  <mtmiller@octave.org>

	silence compiler warning about unused parameter (bug #53650)

	* pr-output.h (make_format): Remove identifier of unused parameter 'c' to
	silence clang compiler warnings from -Wunused-parameter.

	Files: libinterp/corefcn/pr-output.h

2018-04-16  Jun Wang  <tzwj@aliyun.com>

	Update Chinese translation for final time before 4.4 release (bug #53526).

	* libgui/languages/zh_CN.ts: Update Chinese translation.

	Files: libgui/languages/zh_CN.ts

2018-04-16  Pantxo Diribarne  <pantxo.diribarne@gmail.com>

	Update French translation for final time before 4.4 release (bug #53526)

	Files: libgui/languages/fr_FR.ts

2018-04-15  Mike Miller  <mtmiller@octave.org>

	restore find (false) to be compatible with Matlab again (bug #53655)

	* find.cc (Ffind): Keep the dimensions of an empty logical result, so that
	find (false) returns the correct size and shape.  Add related BISTs.

	Files: libinterp/corefcn/find.cc

2018-04-15  Felipe G. Nievinski  <fgnievinski@gmail.com>

	Update Portugese translation for final time before 4.4 release (bug #53526).

	* libgui/languages/pt_BR.ts: Update Portugese translation.

	Files: libgui/languages/pt_BR.ts

2018-04-15  Daniel J Sebald  <daniel.sebald@ieee.org>

	Fix OpenGL line-stipple bug manifested as Nouveau driver crash (bug #53644)

	* gl-render.cc (opengl_renderer::draw_axes_boxes): Add a line at the end of
	  the routine that will disable the line stipple that may have been added at
	  the front of the routine prior to the box render.
	  (opengl_renderer::draw_axes): Remove the similar to that added to
	  draw_axes_boxes() since both instances of the routine are now covered as far
	  as disabling line stipple.
	  (opengl_renderer::draw_text_background): Add a line of code after the line
	  rendering OpenGL calls to disable any added line stipple.

	Files: libinterp/corefcn/gl-render.cc

2018-04-15  Markus M?tzel  <markus.muetzel@gmx.de>

	Don't make shortcut key 'Escape' translateable (bug #53526).

	* documentation.cc (documentation::documentation): Don't make shortcut key
	translateable (bug #53526).

	Files: libgui/src/documentation.cc

2018-04-15  Rik  <rik@octave.org>

	Fix typo in Catalan language file in 6c53c4add920.

	* libgui/languages/ca_ES.ts: Remove extra '>' at end of line.

	Files: libgui/languages/ca_ES.ts

2018-04-15  Avlas  <jsardid@gmail.com>

	Update Catalan translation for final time before 4.4 release (bug #53526).

	* libgui/languages/ca_ES.ts: Update Catalan translation.

	Files: libgui/languages/ca_ES.ts

2018-04-15  Philip Nienhuis  <prnienhuis@users.sf.net>

	Update Dutch translation for final time before 4.4 release (bug #53526).

	* libgui/languages/nl_NL.ts: Update Dutch translation.

	Files: libgui/languages/nl_NL.ts

2018-04-15  Markus M?tzel  <markus.muetzel@gmx.de>

	Update German translation for final time before 4.4 release (bug #53526).

	* libgui/languages/de_DE.ts: Update German translation.

	Files: libgui/languages/de_DE.ts

2018-04-15  Rik  <rik@octave.org>

	Add BIST tests for colloc input validation (bug #53653)


	* colloc.cc: Add '#include <algorithm>" to list of includes.
	* colloc.cc (Fcolloc): Use std::transform to make optional string argument
	lower case.  Change input parsing to directly look for strings "r","right",
	"l", "left".  Change error message about incorrect number of roots to be
	clearer.  Add BIST tests for input validation.

	Files: libinterp/corefcn/colloc.cc

2018-04-14  Rik  <rik@octave.org>

	Escape '<', '>' in NEWS file before it is displayed as HTML in Release Notes window (bug #53642).

	* main-window.cc (display_release_notes): Replace '<' with "&lt;" and '>' with
	"&gt;" in NEWS file before it is displayed as HTML.

	Files: libgui/src/main-window.cc

2018-04-15  Torsten  <mttl@mailbox.org>

	* languages/*.ts: updated translation files of gui

	Files: libgui/languages/be_BY.ts libgui/languages/ca_ES.ts
	libgui/languages/de_DE.ts libgui/languages/en_US.ts
	libgui/languages/es_ES.ts libgui/languages/eu_ES.ts
	libgui/languages/fr_FR.ts libgui/languages/it_IT.ts
	libgui/languages/ja_JP.ts libgui/languages/nl_NL.ts
	libgui/languages/pt_BR.ts libgui/languages/pt_PT.ts
	libgui/languages/ru_RU.ts libgui/languages/uk_UA.ts
	libgui/languages/zh_CN.ts

2018-04-14  Rik  <rik@octave.org>

	Mark missing Variable Editor GUI strings for translation (bug #53526).

	* variable-editor.cc (color_names): Mark all strings in function for translation.

	Files: libgui/src/variable-editor.cc

	Add Salva Ardid to list of translators (bug #53526).

	* libgui/languages/translators: Add Salva Ardid to list of translators.

	Files: libgui/languages/translators

	Rewrite incorrect assert statement in colloc calculation (bug #53653)

	* colloc.cc (jcobi, dfopr): Correct assert statement to be nt >= 1 to match
	original Fortran.

	* CollocWt.cc (Fcolloc): Add a few BIST tests.

	Files: libinterp/corefcn/colloc.cc liboctave/numeric/CollocWt.cc

	Remove unused class member m_force_gui (bug #53650).

	* octave.h: Remove m_force_gui from class cmdline_options as it is completely
	unused.

	Files: libinterp/octave.h

	Set a known random seed so bsxfun BIST tests pass (bug #53636).

	* bsxfun.cc: Set the rand and randn states before running BIST tests, and
	restore the random number generation states after the tests are complete.

	Files: libinterp/corefcn/bsxfun.cc

2018-04-13  Rik  <rik@octave.org>

	Add go-down icon to GUI icon set (bug #53639).

	* libgui/src/icons/go-down.svg: Added from Tango icon set.

	* libgui/src/icons/go-down.png: Converted from go-down.svg with rsvg-convert.

	* libgui/src/icons/icons_license: Document that Octave has borrowed another
	icon (go-down.svg) from the public domain Tango icon set.

	* libgui/src/resource.qrc: Add go-down.png to list of resources needed.

	* libgui/src/module.mk: Add go-down.png file to list of icons in build system.

	Files: libgui/src/icons/go-down.png libgui/src/icons/go-down.svg
	libgui/src/icons/icons_license libgui/src/module.mk
	libgui/src/resource.qrc

2018-04-13  Massimiliano Fasi  <massimiliano.fasi@manchester.ac.uk>

	Fix inaccuracies in Italian translation.

	* libgui/languages/it_IT.ts: Fix typos and accelerators.
	* libgui/languages/translators: Add Marco to the list of Italian translators.

	Files: libgui/languages/it_IT.ts libgui/languages/translators

2018-04-13  Avlas  <jsardid@gmail.com>

	Update Catalan translation (bug #53006).

	* libgui/languages/ca_ES.ts: Update translation.

	Files: libgui/languages/ca_ES.ts

2018-04-13  Daniel J Sebald  <daniel.sebald@ieee.org>

	Change Documentation shortcut context to not interfere with Editor (bug #53640).

	* documentation.cc (documentation::documentation): For all shortcut keys, make
	  the octave_dock_widget container the parent and change the context from
	  Qt::WindowShortcut to Qt::WidgetWithChildrenShortcut.

	Files: libgui/src/documentation.cc

2018-04-13  Rik  <rik@octave.org>

	NEWS: Remove ".m" suffix from two functions announced for 4.4 release (bug #53634).

	* NEWS: Remove ".m" suffix from ode15i, ode15s.

	Files: NEWS

2018-04-12  Rik  <rik@octave.org>

	NEWS: Reword deletion of --force-gui option.

	* NEWS: Reword deletion of --force-gui option.

	Files: NEWS

2018-04-12  Mike Miller  <mtmiller@octave.org>

	test: change remaining %!xtests into %!tests

	* tar.m, zip.m, fminsearch.m: Change %!xtest into %!test.  Add or update
	FIXME comments in case tests fail on some systems.
	* clf.m, speed.m: Change %!xtest into %!test.

	Files: scripts/miscellaneous/tar.m scripts/miscellaneous/zip.m
	scripts/optimization/fminsearch.m scripts/plot/util/clf.m
	scripts/testfun/speed.m

2018-04-10  Daniel J Sebald  <daniel.sebald@ieee.org>

	Restore Variable Editor focusWidget lost in dock/undock transition (bug #53410)

	* variable-editor.cc (variable_editor::variable_editor): Initialize new member
	  variable m_variable_focus_widget to nullptr.
	  (variable_editor::focusInEvent): If the m_main window's focusWidget() is
	  nullptr, check if the recorded m_variable_focus_widget is still valid within
	  the m_main container.  If so, use it as a valid pointer and restore its
	  focus.
	  (variable_editor::focusOutEvent): Record m_main's focusWidget() just prior
	  to transition to/from docked state.

	* variable-editor.h (variable_editor:octave_dock_widget): A class member
	  variable m_variable_focus_widget to keep track of focusWidget().

	Files: libgui/src/variable-editor.cc libgui/src/variable-editor.h

2018-04-11  John W. Eaton  <jwe@octave.org>

	* mk-sparse-tst.sh: Don't use xtest in generated test.

	Files: test/mk-sparse-tst.sh

2018-04-11  Rik  <rik@octave.org>

	doc: Hardcode EDITION number in title page to 4.

	* octave.texi: Hardcode EDITION number in title page to 4.
	Add FIXME note describing how this can be auto-generated in the future.

	Files: doc/interpreter/octave.texi

	test: Add bug IDs to failing %!xtest blocks.

	* gammainc.m, test.m, classdef.tst: Add bug ID to failing %!xtest blocks.

	* jit.tst: Add bug ID to failing %!xtest blocks.  Add code to immediately exit
	from test if jit is not enabled.  Need to do this because there is no %!xtestif
	keyword.

	Files: scripts/specfun/gammainc.m scripts/testfun/test.m
	test/classdef/classdef.tst test/jit.tst

	doc: Update docstring for warning().

	* error.cc (Fwarning): Update docstring.

	Files: libinterp/corefcn/error.cc

	doc: Use variables to automatically fill in Title page of manual.

	* octave.texi: Use @value{EDITION} and @value{UPDATED-MONTH} to have
	values automatically updated by the build system.

	Files: doc/interpreter/octave.texi

	configure.ac: Strip any spaces from start of FLTK_XXX variables.

	* configure.ac: Use sed to strip any spaces from start of FLTK_XXX variables.

	Files: configure.ac

2018-04-11  Mike Miller  <mtmiller@octave.org>

	build: require a clean hg state for make dist

	* Makefile.am (hg-id-dist-hook): Raise an error if the hg id shows that the
	working tree is not committed.  (DIST_IGNORE_HG_STATE): Allow the user to
	override the condition.

	Files: Makefile.am

2018-04-11  Rik  <rik@octave.org>

	README: Update sizes of Octave on disk (bug #53611).

	* README: Update sizes of Octave on disk.

	Files: README

2018-04-11  John W. Eaton  <jwe@octave.org>

	Added tag rc-4-3-90 for changeset a5ad9c053e41

	Files: .hgtags

	bump version for first 4.4 release candidate

	* configure.ac (AC_INIT): Set version to 4.3.90.
	(OCTAVE_PATCH_VERSION): Now 90.
	(OCTAVE_RELEASE_DATE): Set to 2018-04-11.

	Files: configure.ac

2018-02-06  Olaf Till  <i7tiol@t-online.de>

	check success of loading oct-file (bug #52977)

	* oct-parse.in.yy (load_fcn_from_file): Ensure function returned from
	load_oct is valid before using it.

	Files: libinterp/parse-tree/oct-parse.in.yy

2018-04-11  John W. Eaton  <jwe@octave.org>

	allow function parameters to be global (bug #53579)

	* symrec.h (symbol_record::unbind_global_rep): New function.
	* symscope.h (symbol_scope::refresh): Use it to also unbind global
	symbols.

	* test/bug-53579.tst: New file.
	* test/module.mk: Update.

	Files: libinterp/corefcn/symrec.h libinterp/corefcn/symscope.h
	test/bug-53579.tst test/module.mk

2018-04-10  John W. Eaton  <jwe@octave.org>

	fix cut/paste error in previous change (bug #53599)

	* symrec.h (symbol_record::symbol_record_rep::unbind_global_rep):
	Forward to unbind_global_rep, not unbind_fwd_rep.

	Files: libinterp/corefcn/symrec.h

	improve handling of global symbols (bug #53599)


	* load-save.cc (install_loaded_variable): For global values, check
	global status and link to global symbol if needed.

	* symrec.h (symbol_record::symbol_record_rep::unbind_global_rep):
	New function.
	(symbol_record::symbol_record_rep::clear): Use unbind_global_rep to
	clearing global symbols.
	(symbol_record::symbol_record_rep::is_marked_global): New function.
	(symbol_record::symbol_record_rep::is_global): Use it.
	(symbol_record::symbol_record_rep::bind_fwd_rep): Don't forward again
	if symbol is already global.
	(symbol_record::unbind_fwd_rep): Eliminate argument.  Change all uses.
	(symbol_record::symbol_record_rep::unbind_fwd_rep):
	Eliminate argument.  Simplify.

	* test/bug-53599.tst: New file.
	* test/module.mk: Update.

	Files: libinterp/corefcn/load-save.cc libinterp/corefcn/symrec.h
	libinterp/corefcn/symscope.cc libinterp/corefcn/symscope.h
	test/bug-53599.tst test/module.mk

2018-04-10  Marco Caliari  <marco.caliari@univr.it>

	bicg.m: Check for denominators much smaller than numerators bicg.m (bug #53589).

	* bicg.m: Set flag = 4 if the denominators are much smaller than the
	numerators, not just if they are equal to zero.

	Files: scripts/sparse/bicg.m

2018-04-09  Daniel J Sebald  <daniel.sebald@ieee.org>

	Do Variable Editor focus retention and titlebar highlight properly (bug #53410).

	* variable_editor.cc (variable_editor::variable_editor): Remove the m_main
	  QMainWindow proxy.
	  (variable_editor::focusInEvent): Added.  Add after the base class virtual
	  focusInEvent() by setting the focus to the active variable widget.

	* variable_editor.h (variable_editor::focusInEvent): Added.  Declaration of
	  overriding virtual function.

	Files: libgui/src/variable-editor.cc libgui/src/variable-editor.h

2018-04-10  John W. Eaton  <jwe@octave.org>

	find: return column vector for N-d logical arrays (bug #53603)

	* find.cc (Ffind): In special case for bool arrays, force return value
	to be column vector if it is not already a row or column vector.

	Files: libinterp/corefcn/find.cc

	make .oct and .mex files in +package dirs work again (bug #51960)

	* oct-parse.in.yy (load_fcn_from_file): Stash package name in oct and
	mex function objects.

	Files: libinterp/parse-tree/oct-parse.in.yy

2018-04-09  Mike Miller  <mtmiller@octave.org>

	clean up variable editor method for style and compiler warnings (bug #53443)

	* variable-editor.cc (variable_editor::tab_to_front): Avoid C-style cast to
	silence compiler warning from -Wold-style-cast.  Delete unnecessary braces
	and use correct indentation.

	Files: libgui/src/variable-editor.cc

2018-04-09  Rik  <rik@octave.org>

	Remove space after "file" and before ellipsis in GUI translations.

	* ca_ES.ts, de_DE.ts, en_US.ts, es_ES.ts, eu_ES.ts, fr_FR.ts, it_IT.ts,
	ja_JP.ts, nl_NL.ts, pt_BR.ts, pt_PT.ts, ru_RU.ts, uk_UA.ts, zh_CN.ts:
	Remove space after "file" and before ellipsis in GUI translations.

	Files: libgui/languages/ca_ES.ts libgui/languages/de_DE.ts
	libgui/languages/en_US.ts libgui/languages/es_ES.ts
	libgui/languages/eu_ES.ts libgui/languages/fr_FR.ts
	libgui/languages/it_IT.ts libgui/languages/ja_JP.ts
	libgui/languages/nl_NL.ts libgui/languages/pt_BR.ts
	libgui/languages/pt_PT.ts libgui/languages/ru_RU.ts
	libgui/languages/uk_UA.ts libgui/languages/zh_CN.ts

2018-04-09  Daniel J Sebald  <daniel.sebald@ieee.org>

	Add focus proxy for Variable Editor to prevent loss of variable focus (bug #53410)

	* variable_editor.cc (variable_editor::variable_editor): Make the m_main
	  QMainWindow the proxy for the variable_editor object.

	Files: libgui/src/variable-editor.cc

2018-04-09  Mike Miller  <mtmiller@octave.org>

	doc: document the --gui command-line options, update description of --no-gui

	* basics.txi (Command Line Options): Document the --gui option, delete the
	--force-gui option.  Mention that the --no-gui option is the default and the
	inverse of --gui.

	Files: doc/interpreter/basics.txi

	restore proper handling of the --force-gui option (bug #53536)

	* main.in.cc (main): Handle the --gui and --force-gui options equivalently.

	Files: src/main.in.cc

2018-04-09  John W. Eaton  <jwe@octave.org>

	make dbquit work again (bug #53426)

	* debug.cc (Fdbquit): Also set tree_evaluator::debug_mode.
	Throw interrupt_exception instead of calling
	octave_throw_interrupt_exception.

	Files: libinterp/corefcn/debug.cc

2018-04-09  Mike Miller  <mtmiller@octave.org>

	no need to set page_screen_output option with --traditional

	* interpreter.cc (interpreter::maximum_braindamage): Remove page_screen_output
	from the list of options set by --traditional, it is disabled by default now.
	* basics.txi: Remove page_screen_output from the list of options associated
	with the --traditional option.

	Files: doc/interpreter/basics.txi libinterp/corefcn/interpreter.cc

	doc: fix remaining mention of old name for Octave:data-file-in-path (bug #53588)

	* warning_ids.m: Change remaining mention of Octave:fopen-file-in-path.  Fix
	small typo in doc string.

	Files: scripts/help/warning_ids.m

2018-04-09  Rik  <rik@octave.org>

	Fix typo in xml of Dutch translation in cset 27fe7e6aba31.

	* libgui/languages/nl_NL.ts: Remove 'type =' fragment.

	Files: libgui/languages/nl_NL.ts

2018-04-05  Philip Nienhuis  <prnienhuis@users.sf.net>

	Update Dutch translation, stage 2.

	* libgui/languages/nl_NL.ts: Update Dutch translation, stage 2.

	Files: libgui/languages/nl_NL.ts

2018-04-09  Rik  <rik@octave.org>

	doc: Document warning ID Octave:data-file-in-path (bug #53588)

	* basics.txi: Change occurrences of warning IDs XXX-file-in-path to
	data-file-in-path.

	* warning_ids.m: Document Octave:data-file-in-path.  Remove warning
	ID Octave:fopen-file-in-path, Octave:load-file-in-path.

	Files: doc/interpreter/basics.txi scripts/help/warning_ids.m

2018-04-09  Daniel J Sebald  <daniel.sebald@ieee.org>

	Focus variable panel when Variable Editor comes from hidden state (bug #53443).

	* variable-editor.cc (variable_editor::edit_variable): Ensure that the Variable
	  Editor is shown prior to doing the variable panel steps to focus.

	Files: libgui/src/variable-editor.cc

2018-04-09  Rik  <rik@octave.org>

	gripes.h: Update future version number in comment from 4.6 to 5.0.

	* gripes.h: Update future version number in comment from 4.6 to 5.0.

	Files: libinterp/corefcn/gripes.h

2018-04-09  John W. Eaton  <jwe@octave.org>

	deprecated-props.tst: improve version comparison

	* deprecate-props.tst: Use compare_versions function to correctly
	compare version number strings.

	Files: test/deprecate-props.tst

	update future version numbers in doc strings and comments

	* NEWS, octave-dock-widget.cc, graphics.in.h, gripes.cc, gripes.h,
	oct-obj.h, oct.h, quadcc.cc, utils.cc, options-usage.h,
	lo-array-gripes.cc, lo-array-gripes.h, bitmax.m, chop.m, desktop.m,
	java2mat.m, mahalanobis.m, md5sum.m, octave_config_info.m,
	onenormest.m, sleep.m, tmpnam.m, toascii.m, usleep.m, wavread.m,
	wavwrite.m, annotation.m, __gnuplot_draw_axes__.m, deprecate-props.tst:
	Refer to future versions as versions 5 and 6, not 4.5+, 4.6, 4.7+, or 4.8.

	Files: NEWS libgui/src/octave-dock-widget.cc
	libinterp/corefcn/graphics.in.h libinterp/corefcn/gripes.cc
	libinterp/corefcn/gripes.h libinterp/corefcn/oct-obj.h
	libinterp/corefcn/oct.h libinterp/corefcn/quadcc.cc
	libinterp/corefcn/utils.cc libinterp/options-usage.h liboctave/util
	/lo-array-gripes.cc liboctave/util/lo-array-gripes.h
	scripts/deprecated/bitmax.m scripts/deprecated/chop.m
	scripts/deprecated/desktop.m scripts/deprecated/java2mat.m
	scripts/deprecated/mahalanobis.m scripts/deprecated/md5sum.m
	scripts/deprecated/octave_config_info.m
	scripts/deprecated/onenormest.m scripts/deprecated/sleep.m
	scripts/deprecated/tmpnam.m scripts/deprecated/toascii.m
	scripts/deprecated/usleep.m scripts/deprecated/wavread.m
	scripts/deprecated/wavwrite.m scripts/plot/appearance/annotation.m
	scripts/plot/util/private/__gnuplot_draw_axes__.m test/deprecate-
	props.tst

	* bugs.txi: Update copyright notice in document text.

	Files: doc/interpreter/bugs.txi

	* repelem.m: Update copyright year.

	Files: scripts/general/repelem.m

2018-04-08  Daniel J Sebald  <daniel.sebald@ieee.org>

	When Variable Editor is tabbed, activate that tab via openvar (bug #53443).

	* variable_editor.cc (variable_dock_widget::toplevel_change): Move setFocus()
	  after activateWindow().
	  (variable_editor::edit_variable): Call tab_to_front() and
	  setFocus() after raising and activating.
	  (variable_editor::tab_to_front): Added.  New routine that looks through
	  the QTabBar list on the QMainWindow searching for the Variable Editor and
	  if found set as the current tab.

	* variable_editor.h (variable_editor): Declare new function tab_to_front().

	Files: libgui/src/variable-editor.cc libgui/src/variable-editor.h

2018-04-08  Markus M?tzel  <markus.muetzel@gmx.de>

	camroll.m: Account for data aspect ratio (bug #53435).

	* camroll.m: Respect data aspect ratio in calculation of new cameraupvector.
	Remove old reference values from Matlab 2014a. Use dataaspectratio for test of
	orthogonality.

	Files: scripts/plot/appearance/camroll.m

2018-04-08  Rik  <rik@octave.org>

	maint: List current copyright holder first in list of copyrights.

	* texinfo-parser.cc, texinfo-parser.h, webinfo.cc, webinfo.h, lo-regexp.cc,
	lo-regexp.h, cmpermute.m, cmunique.m, findfigs.m, bicg.m, bicgstab.m, cgs.m,
	discrete_cdf.m, discrete_inv.m, discrete_pdf.m, discrete_rnd.m,
	empirical_cdf.m, empirical_inv.m, empirical_pdf.m, empirical_rnd.m, strjoin.m:
	List current copyright holder first in list of copyrights.

	Files: libgui/src/qtinfo/texinfo-parser.cc libgui/src/qtinfo/texinfo-
	parser.h libgui/src/qtinfo/webinfo.cc libgui/src/qtinfo/webinfo.h
	liboctave/util/lo-regexp.cc liboctave/util/lo-regexp.h
	scripts/image/cmpermute.m scripts/image/cmunique.m
	scripts/plot/util/findfigs.m scripts/sparse/bicg.m
	scripts/sparse/bicgstab.m scripts/sparse/cgs.m
	scripts/statistics/discrete_cdf.m scripts/statistics/discrete_inv.m
	scripts/statistics/discrete_pdf.m scripts/statistics/discrete_rnd.m
	scripts/statistics/empirical_cdf.m
	scripts/statistics/empirical_inv.m
	scripts/statistics/empirical_pdf.m
	scripts/statistics/empirical_rnd.m scripts/strings/strjoin.m

2018-04-08  Mike Miller  <mtmiller@octave.org>

	doc: fix onenormest doc string deprecation note

	* onenormest.m: Fix Octave version mentioned in doc string deprecation note.

	Files: scripts/deprecated/onenormest.m

	remove internal functions and options deprecated in version 4.0

	* __luinc__.cc: Delete file.
	* error.cc (F__usage__): Remove DEFUN.
	* spparms.cc (Fspparms): Remove keyword "defaults" alias for "default".

	* libinterp/corefcn/module.mk: Remove __luinc__.cc from build system.

	Files: libinterp/corefcn/__luinc__.cc libinterp/corefcn/error.cc
	libinterp/corefcn/module.mk libinterp/corefcn/spparms.cc

2018-04-08  Avlas  <jsardid@gmail.com>

	Add new Catalan translation ca_ES.ts.

	* libgui/languages/ca_ES.ts: New Catalan translation file.

	* libgui/module.mk: Add ca_ES.ts to build system

	* etc/icons/org.octave.Octave.appdata.xml,
	etc/icons/org.octave.Octave.desktop.in: Add Catalan comment field.

	Files: etc/icons/org.octave.Octave.appdata.xml
	etc/icons/org.octave.Octave.desktop.in libgui/languages/ca_ES.ts
	libgui/module.mk

2018-04-08  Felipe G. Nievinski  <fgnievinski@gmail.com>

	Update pt_BR Portugese translation.

	* org.octave.Octave.appdata.xml, org.octave.Octave.desktop.in,
	pt_BR.ts: Update pt_BR translations.

	Files: etc/icons/org.octave.Octave.appdata.xml
	etc/icons/org.octave.Octave.desktop.in libgui/languages/pt_BR.ts

2018-04-07  Massimiliano Fasi  <massimiliano.fasi@manchester.ac.uk>

	Update Italian translation of the Octave GUI.

	* etc/icons/org.octave.Octave.appdata.xml
	* etc/icons/org.octave.Octave.desktop.in
	* libgui/languages/it_IT.ts

	Files: etc/icons/org.octave.Octave.appdata.xml
	etc/icons/org.octave.Octave.desktop.in libgui/languages/it_IT.ts

2018-04-08  Marco Caliari  <marco.caliari@univr.it>

	Turn off warning about sparse lu factorization in bicg BIST test (bug #53390).

	* bicg.m: Turn off warning when using a two-output sparse lu factorization.

	Files: scripts/sparse/bicg.m

2018-04-08  Rik  <rik@octave.org>

	fzero.m: Re-architect search for bracketing endpoint b if none is given (bug #53583).

	* fzero.m: Change algorithm to use an absolute search when initial guess x0 is
	small, or a relative search when x0 is larger.  Use a more finegrained search
	at the beginning (1% of x0 rather than 10%).  Expand search non-linearly to a
	wider final range (1000*x0 vs. 10*x0).

	Files: scripts/optimization/fzero.m

2018-04-08  Alexander Wilms  <f.alexander.wilms@gmail.com>

	add developer_name and releases to AppStream metadata

	* org.octave.Octave.appdata.xml: Add developer_name and releases tags.

	Files: etc/icons/org.octave.Octave.appdata.xml

2018-04-03  Markus M?tzel  <markus.muetzel@gmx.de>

	Update reference values for cam* functions (bug #53435).

	* camlookat.m, camorbit.m, camroll.m, camzoom.m, camlight.m: Update
	reference values in tests to values with maximum numeric precision from
	Matlab R2016a on Windows.

	Files: scripts/plot/appearance/camlookat.m
	scripts/plot/appearance/camorbit.m scripts/plot/appearance/camroll.m
	scripts/plot/appearance/camzoom.m scripts/plot/draw/camlight.m

2018-04-05  Daniel J Sebald  <daniel.sebald@ieee.org>

	Add standard key bindings and actions to in-page Documentation find (bug #53006)

	* documentation.cc (documentation::documentation): Connect m_doc_browser
	  cursor position change signal to slot that records position.  Connect
	  m_find_line_edit text-edited signal to find_forward_from_anchor() to provide
	  search-while-type.  Replace QKeySequence "Ctrl+F" definition with Qt's
	  pre-defined QKeySequence::Find.  Change the context of the key press from
	  Qt::WidgetWithChildrenShortcut to the broader Qt::WindowShortcut and rename
	  the sequence show_shortcut.  Connect show_shortcut object's activated()
	  signal to parent widget's show() slot and to m_find_line_edit's selectAll()
	  and setFocus() slots.  Create a hide_shortcut QShortcut with QKeySequence
	  "Escape" and connect its activated() signal to parent widget's hide() slot
	  and m_doc_browser's setFocus() slot.  Create a findnext_shortcut and connect
	  its activated() signal to the documentation class's find_forward() slot.
	  Create a findnext_shortcut and connect its activated() signal to the
	  documentation class's find_backward() slot.  Set m_search_anchor_position to
	  zero.
	  (documentation::find_forward): After doing the find operation, record the
	  current "anchor" position of the QTextEdit's cursor position.
	  (documentation::find_backward): Ditto.
	  (documentation::toggle_hidden_find): Removed.
	  (documentation::find_forward_from_anchor): Added.  For search-while-type,
	  set the QTextEdit's cursor position back to the anchor position before
	  calling the find() routine and allow "undoing" the search-while-type.
	  (documentation::record_anchor_position): Added.  Record the QTextEdit
	  cursor's current position.
	  (documentation::handle_cursor_position_change): Added.  Upon the QTextEdit's
	  cursor change, call record_anchor_position() but only if that position change
	  was due to user action within the window.

	* documentation.h (documentation:public QSplitter): Add new integer member
	  variable m_search_anchor_position.
	  (documentation::find_forward_from_anchor): Added.  Slot declaration.
	  (documentation::record_anchor_position): Ditto.
	  (documentation::handle_cursor_position_change): Ditto.

	Files: libgui/src/documentation.cc libgui/src/documentation.h

2018-04-07  Rik  <rik@octave.org>

	cgs.m: overhaul BIST tests to compare to correct stopping criteria.

	* cgs.m: Use norm (b - A*x) / norm (b) as criteria for success.
	Add semicolon to assert statements within %!test blocks.

	Files: scripts/sparse/cgs.m

	bicgstab.m: Overhaul BIST tests.

	* bicgstab.m: Test that algorithm converges by looking at
	norm (b - A*x) / norm (b) rather than a condition on x.  Put %!demo blocks
	first.  Add semicolons to assert (...); lines within %!test blocks.  Create and
	use tol and maxit shared values.

	Files: scripts/sparse/bicgstab.m

	bicg.m: Overhaul GSOC-improved code to conform to Octave conventions.

	* bicg.m: Rewrite docstring.  Use semicolon at end of return; statement.
	Cuddle parenthesis when performing indexing.  Use two spaces after code
	and before starting an in-line comment.  Directly call function through
	function handle rather than using feval.  Don't surround single argument
	case statements with '{ }'.  Place %!demo blocks immediately after code
	followed by %!test blocks.  Change BIST tests to check actual stopping
	criteria which is relative error in norm (b - A*x) / norm (b).  Add
	semicolon after assert lines used in %!test blocks.

	Files: scripts/sparse/bicg.m

	pcg.m: Tweaks to documentation for clarity.

	* pcg.m: Tweaks to documentation for clarity.

	Files: scripts/sparse/pcg.m

	pcg.m: Clean up BIST tests.

	* pcg.m: In docstring, use a sentence-ending period @. after (HPD).
	Reorder %!test and %!demo blocks to have demos first.
	Change tests to verify that relative error in solution
	(norm (b - A*x)) / norm (b) is less than tolerance rather than a
